package com.ruoyi.common.core.domain.model;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
public class BeerReviewVO {

    /** 啤酒id */
    @NotNull(message = "beerId不能为空")
    private Long beerId;

    /** 评论内容 */
    private String reviewContent;

    /** 口味评分 */
    @Min(value = 1, message = "口味评分不能小于1")
    @Max(value = 5, message = "口味评分不能大于5")
    private Integer tasteRating;

    /** 香味评分 */
    @Min(value = 1, message = "香味评分不能小于1")
    @Max(value = 5, message = "香味评分不能大于5")
    private Integer aromaRating;

    /** 颜色评分 */
    @Min(value = 1, message = "颜色评分不能小于1")
    @Max(value = 5, message = "颜色评分不能大于5")
    private Integer colorRating;

    private String reviewImg;

    private Boolean anonymous = false;
}
