package com.ruoyi.bar.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * 酒吧对象 wy_bar
 * 
 * @author ruoyi
 * @date 2025-01-02
 */
@Data
public class WyBar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 酒吧名称 */
    @Excel(name = "酒吧名称")
    private String barName;

    /** 酒吧编号 */
    @Excel(name = "酒吧编号")
    private String barNumber;

    /** 酒吧logo */
    @Excel(name = "酒吧logo")
    private String barLogo;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String barContactPhone;

    /** 所在省 */
    @Excel(name = "所在省")
    private String province;

    /** 所在城市 */
    @Excel(name = "所在城市")
    private String city;

    /** 所在区 */
    @Excel(name = "所在区")
    private String district;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 最后认证时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后认证时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastAuthTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date authEndTime;

    /** 认证状态 */
    @Excel(name = "认证状态")
    private Integer authState;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicense;

    @Excel(name = "门头照片")
    private String storefrontPhoto;

    @Excel(name = "申请人昵称")
    private String nickName;

    //职务
    private String position;

    private String approvalReason;

    @NotNull(message = "纬度不能为空")
    private Double latitude;  // 纬度

    @NotNull(message = "经度不能为空")
    private Double longitude;  // 经度

    private Integer editTimes;


}
