package com.ruoyi.bar.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 酒品二维码扫码记录对象 wy_beer_qrcode_scan_log
 * 
 * @author kxl
 * @date 2025-01-27
 */
@Data
public class WyBeerQrcodeScanLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    /** 二维码id */
    @Excel(name = "二维码id")
    private Long codeId;

    private Long breweryId;

    private Long beerId;

    private String beerName;

    private Long barId;

    private String barNumber;

    /** 扫码人id */
    @Excel(name = "扫码人id")
    private Long userId;

    private String skuSn;

    /** 扫码结果 0无效 1有效 */
    @Excel(name = "扫码结果 0无效 1有效")
    private Integer scanStatus;

    /** 核销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "扫码时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date scanTime;

    /** 核销城市 */
    @Excel(name = "核销城市")
    private String scanCity;

    /** 核销ip */
    @Excel(name = "核销ip")
    private String scanIp;

    private Long activityId;

    private Long joinBatchId;

    //活动发布方类型 0平台 1品牌方
    private Integer activitySupplier;

}
