package com.ruoyi.brewery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 品牌方活动奖励对象 wy_activity_reward
 * 
 * @author kxl
 * @date 2025-02-10
 */
@Data
public class WyActivityReward extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    /** 品牌方活动id */
    @Excel(name = "品牌方活动id")
    private Long activityId;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 奖励的门店id */
    @Excel(name = "奖励的门店id")
    private Long barId;

    /** 领奖状态 */
    // 0未领取 1已领取
    private Integer rewardStatus;
    //奖品类型 1啤酒币 2实物奖品
    private Integer rewardType;

    private Long joinBatchId;

    /** 领奖时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "领奖时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date claimTime;
    // 商品id
    private Long rewardGoodsId;
    // 商品名称
    private String rewardGoodsName;
    // 商品数量
    private Integer rewardGoodsNum;
    // 发货方式
    private Integer dispatchMethod;
    // 快递单号
    private String wayBillNo;
    // 快递公司
    private String expressCompany;
    //发货时间
    private Date dispatchTime;

    private String barName;

    private String barNumber;

    private String barCity;

    private String activityName;

    private Integer activityType;

    private String goodsSpecs;
}
