package com.ruoyi.brewery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 酒品二维码对象 wy_beer_qrcode
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyBeerQrcode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 啤酒id */
    @Excel(name = "啤酒id")
    private Long beerId;

    /** sku编号 */
    @Excel(name = "sku编号")
    private String skuSn;

    /** 二维码链接 */
    @Excel(name = "二维码链接")
    private String qrcodeUrl;

    /** 状态 */
    @Excel(name = "状态")
    private Integer qrcodeStatus;

    /** 核销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "核销时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date verifyTime;

    /** 被扫次数 */
    @Excel(name = "被扫次数")
    private Long scanTimes;

    /** 核销城市 */
    @Excel(name = "核销城市")
    private String verifyCity;

    /** 核销ip */
    @Excel(name = "核销ip")
    private String verifyIp;

    /** 核销赠送的品牌啤酒币数量 */
    private Long verifyIconAmount;
    //门店编号
    private String BarCode;
    //核销啤酒币数量
    private Integer coinCount;
    //活动id
    private Long activityId;

    private String beerName;

    private WyActivity activity;

    private String batchSn;
    private String productionDate;
}
