package com.ruoyi.brewery.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 批次对象 wy_beer_qrcode_batch
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyBeerQrcodeBatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方 */
    @Excel(name = "品牌方")
    private Long breweryId;

    /** 批次编号 */
    @Excel(name = "批次编号")
    private String batchSn;

    /** 啤酒id */
    @Excel(name = "啤酒id")
    private Long beerId;

    /** 生成数量 */
    @Excel(name = "生成数量")
    private Long generateNum;

    private String beerName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productionDate;

    private Integer generateState;

    private List<WyBeerQrcode> wyBeerQrcodeList;
    // 打印数量
    private  Integer printCount;
    // 核销数量
    private Integer checkCount;
    // 作废数量
    private Integer invalidCount;
}
