package com.ruoyi.brewery.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 酒评对象 wy_beer_review
 *
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyBeerReview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 啤酒id */
    @Excel(name = "啤酒id")
    private Long beerId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;
    /** 酒吧id */
    private Long barId;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String reviewContent;

    /** 口味评分 */
    @Excel(name = "口味评分")
    private Double tasteRating;

    /** 香味评分 */
    @Excel(name = "香味评分")
    private Double aromaRating;

    /** 颜色评分 */
    @Excel(name = "颜色评分")
    private Double colorRating;

    /** 综合评分 */
    @Excel(name = "综合评分")
    private Double overallRating;

    private String reviewImg;

    private String userName;

    @Transient
    private String beerName;

    private Boolean anonymous;

    @Transient
    private String breweryName;
    @Transient
    private WyBeerReviewLike reviewLike;

    private Integer isTop;

}
