package com.ruoyi.brewery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 品牌方对象 wy_brewery
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyBrewery extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 品牌id */
    private Long id;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    private String brandName;

    /** 品牌编号 */
    @Excel(name = "品牌编号")
    private String brandCode;

    /** 所在国家 */
    @Excel(name = "所在国家")
    private String country;

    /** 所在省份 */
    @Excel(name = "所在省份")
    private String province;

    /** 所在地区 */
    @Excel(name = "所在地区")
    private String city;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactPhone;

    /** 创立日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date buildingDate;

    /** 简介 */
    @Excel(name = "简介")
    private String desc;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    /** 认证 0未认证 1已认证 */
    @Excel(name = "认证 0未认证 1已认证")
    private Integer authorized;

    /** 品牌logo */
    @Excel(name = "品牌logo")
    private String brandLogo;

    /** 品牌封面 */
    private String brandCover;

    /** 首次评价币值 */
    private Long firstReviewCoin;
    //可发布活动数
    private Integer activityNum;
}
