package com.ruoyi.brewery.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 主体认证信息对象 wy_brewery_auth
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyBreweryAuth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 酒厂id */
    @Excel(name = "酒厂id")
    private Long breweryId;

    /** 生产许可证 */
    @Excel(name = "生产许可证")
    private String productionLicense;

    @Excel(name = "品牌授权书")
    private String authorizationUrl;
    /** 生产商 */
    @Excel(name = "生产商")
    private String producer;

    /** 生产许可证编号 */
    @Excel(name = "生产许可证编号")
    private String productionLicenseSn;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 客服电话 */
    @Excel(name = "客服电话")
    private String customerSupportNumber;

    /** 主体信息 */
    @Excel(name = "主体信息")
    private String businessEntity;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String manager;

    /** 负责人联系电话 */
    @Excel(name = "负责人联系电话")
    private String managerPhone;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    private String approvalReason;

    private String brandName;
}
