package com.ruoyi.brewery.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * 兑换商品对象 wy_goods
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方 */
    @Excel(name = "品牌方")
    private Long breweryId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 图片 */
    @Excel(name = "图片")
    private String goodsCover;

    /** 规格 */
    @Excel(name = "规格")
    private String specs;

    /** 购买方式 */
    @Excel(name = "购买方式")
    @NotNull(message = "购买方式不能为空")
    private Integer purchaseMethod;

    /** 是否可兑换 */
    @Excel(name = "是否可兑换")
    private Integer redeemed;

    /** 啤酒币兑换数 */
    @Excel(name = "啤酒币兑换数")
    private Long redeemedNum;

    /** 编号 */
    @Excel(name = "编号")
    private String goodsSn;

    /** 本店售价 */
    @Excel(name = "本店售价")
    private BigDecimal goodsPrice;

    /** 市场售价 */
    @Excel(name = "市场售价")
    private BigDecimal marketPrice;

    /** 库存数量 */
    @Excel(name = "库存数量")
    private Long stockNum;

    /** 冻结数量 */
    @Excel(name = "冻结数量")
    private Long frozenNum;

    /** 上架 */
    @Excel(name = "上架")
    private Integer onSale;

    private Integer icons;

    private Integer salesCount;

    private Integer activityCount;

    private Integer exchangeWaitingCount;
}
