package com.ruoyi.brewery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 兑换订单对象 wy_redeem_order
 *
 * @author ruoyi
 * @date 2024-12-21
 */
@Data
public class WyRedeemOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private String orderSn;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    @Excel(name = "商品封面")
    private String goodsCover;

    private String barName;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 品牌啤酒币兑换数 */
    @Excel(name = "品牌啤酒币兑换数")
    private Long beerCoinNum;

    /** 平台啤酒币兑换数 */
    @Excel(name = "平台啤酒币兑换数")
    private Long platformCoinNum;

    private Integer redeemNum;

    /** 收货地址 */
    @Excel(name = "收货地址")
    private String address;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactPhone;

    /** 订单状态 0待支付 1已支付 2已发货 3已收货 9已完成 -1已取消*/
    @Excel(name = "订单状态")
    private Integer orderStatus;

    /** 物流状态 */
    @Excel(name = "物流状态")
    private Integer shippingStatus;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date paidTime;

    /** 发货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发货时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shippingTime;
    //快递方式 0=自己配送 1=快递
    private Integer dispatchMethod;
    // 快递单号 dispatchMethod=1时必填
    @Excel(name = "快递单号")
    private String trackingNumber;
    //快递公司，dispatchMethod=1时必填
    private String shippingCompany;

    private Long barId;

    private String barCity;


}
