package com.ruoyi.brewery.mapper;

import com.ruoyi.brewery.domain.WyActivity;
import com.ruoyi.brewery.domain.WyActivityBeer;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 活动酒款Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
public interface WyActivityBeerMapper
{
    /**
     * 查询平台活动酒款
     * 
     * @param activityId 平台活动酒款主键
     * @return 平台活动酒款
     */
    public List<WyActivityBeer> selectWyActivityBeerByActivityId(Long activityId);

    /**
     * 查询平台活动酒款列表
     * 
     * @param wyActivityBeer 平台活动酒款
     * @return 平台活动酒款集合
     */
    public List<WyActivityBeer> selectWyActivityBeerList(WyActivityBeer wyActivityBeer);
    public List<WyActivity> selectWyActivityListByBeerId(@Param("beerId") Long beerId,
                                                         @Param("breweryId") Long breweryId,
                                                         @Param("status") Integer status);

    /**
     * 新增平台活动酒款
     * 
     * @param wyActivityBeer 平台活动酒款
     * @return 结果
     */
    public int insertWyActivityBeer(WyActivityBeer wyActivityBeer);

    /**
     * 修改平台活动酒款
     * 
     * @param wyActivityBeer 平台活动酒款
     * @return 结果
     */
    public int updateWyActivityBeer(WyActivityBeer wyActivityBeer);

    /**
     * 删除平台活动酒款
     * 
     * @param activityId 平台活动酒款主键
     * @return 结果
     */
    public int deleteWyActivityBeerByActivityId(Long activityId);

    /**
     * 批量删除平台活动酒款
     * 
     * @param activityIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyActivityBeerByActivityIds(Long[] activityIds);
}
