package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.brewery.domain.WyActivityReward;
import org.apache.ibatis.annotations.Param;

/**
 * 品牌方活动奖励Mapper接口
 * 
 * @author kxl
 * @date 2025-02-10
 */
public interface WyActivityRewardMapper 
{
    /**
     * 查询品牌方活动奖励
     * 
     * @param id 品牌方活动奖励主键
     * @return 品牌方活动奖励
     */
    public WyActivityReward selectWyActivityRewardById(Long id);
    public WyActivityReward selectWyActivityRewardByActivityIdAndBarId(@Param("activityId") Long activityId, @Param("barId") Long barId, @Param("joinBatchId") Long joinBatchId);

    /**
     * 查询品牌方活动奖励列表
     * 
     * @param wyActivityReward 品牌方活动奖励
     * @return 品牌方活动奖励集合
     */
    public List<WyActivityReward> selectWyActivityRewardList(WyActivityReward wyActivityReward);

    /**
     * 新增品牌方活动奖励
     * 
     * @param wyActivityReward 品牌方活动奖励
     * @return 结果
     */
    public int insertWyActivityReward(WyActivityReward wyActivityReward);

    /**
     * 修改品牌方活动奖励
     * 
     * @param wyActivityReward 品牌方活动奖励
     * @return 结果
     */
    public int updateWyActivityReward(WyActivityReward wyActivityReward);

    /**
     * 删除品牌方活动奖励
     * 
     * @param id 品牌方活动奖励主键
     * @return 结果
     */
    public int deleteWyActivityRewardById(Long id);

    /**
     * 批量删除品牌方活动奖励
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyActivityRewardByIds(Long[] ids);
}
