package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.common.core.domain.entity.WyBreweryUserRole;

/**
 * 品牌方用户和角色关联Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-22
 */
public interface WyBreweryUserRoleMapper 
{
    /**
     * 查询品牌方用户和角色关联
     * 
     * @param userId 品牌方用户和角色关联主键
     * @return 品牌方用户和角色关联
     */
    public WyBreweryUserRole selectWyBreweryUserRoleByUserId(Long userId);

    /**
     * 查询品牌方用户和角色关联列表
     * 
     * @param wyBreweryUserRole 品牌方用户和角色关联
     * @return 品牌方用户和角色关联集合
     */
    public List<WyBreweryUserRole> selectWyBreweryUserRoleList(WyBreweryUserRole wyBreweryUserRole);

    /**
     * 新增品牌方用户和角色关联
     * 
     * @param wyBreweryUserRole 品牌方用户和角色关联
     * @return 结果
     */
    public int insertWyBreweryUserRole(WyBreweryUserRole wyBreweryUserRole);

    /**
     * 修改品牌方用户和角色关联
     * 
     * @param wyBreweryUserRole 品牌方用户和角色关联
     * @return 结果
     */
    public int updateWyBreweryUserRole(WyBreweryUserRole wyBreweryUserRole);

    /**
     * 删除品牌方用户和角色关联
     * 
     * @param userId 品牌方用户和角色关联主键
     * @return 结果
     */
    public int deleteWyBreweryUserRoleByUserId(Long userId);

    /**
     * 批量删除品牌方用户和角色关联
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBreweryUserRoleByUserIds(Long[] userIds);
}
