package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.brewery.domain.WyRedeemOrder;

/**
 * 兑换订单Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface WyRedeemOrderMapper 
{
    /**
     * 查询兑换订单
     * 
     * @param id 兑换订单主键
     * @return 兑换订单
     */
    public WyRedeemOrder selectWyRedeemOrderById(Long id);

    /**
     * 查询兑换订单列表
     * 
     * @param wyRedeemOrder 兑换订单
     * @return 兑换订单集合
     */
    public List<WyRedeemOrder> selectWyRedeemOrderList(WyRedeemOrder wyRedeemOrder);

    /**
     * 新增兑换订单
     * 
     * @param wyRedeemOrder 兑换订单
     * @return 结果
     */
    public int insertWyRedeemOrder(WyRedeemOrder wyRedeemOrder);

    /**
     * 修改兑换订单
     * 
     * @param wyRedeemOrder 兑换订单
     * @return 结果
     */
    public int updateWyRedeemOrder(WyRedeemOrder wyRedeemOrder);

    /**
     * 删除兑换订单
     * 
     * @param id 兑换订单主键
     * @return 结果
     */
    public int deleteWyRedeemOrderById(Long id);

    /**
     * 批量删除兑换订单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyRedeemOrderByIds(Long[] ids);
}
