package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.brewery.domain.WyBeer;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专题页对象 wy_platform_feature_page
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
@Data
public class WyPlatformFeaturePage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 专题页名称 */
    @Excel(name = "专题页名称")
    private String pageName;

    /** 副标题 */
    @Excel(name = "副标题")
    private String subTitle;

    /** 备注 */
    @Excel(name = "备注")
    private String pageDesc;

    /** 平台活动id */
    @Excel(name = "平台活动id")
    private Long platformActivityId;

    private WyPlatformActivity platformActivity;

    /** 封面图 */
    @Excel(name = "封面图")
    private String cover;

    /** 跳转链接 */
    @Excel(name = "跳转链接")
    private String pageLink;

    /** 发布状态0未发布 1已发布 2已下架 */
    @Excel(name = "发布状态0未发布 1已发布 2已下架")
    private Integer publishState;

    /** 排序规则 */
    @Excel(name = "排序规则")
    private Long showOrder;

    /** 显示地区 */
    @Excel(name = "显示地区")
    private String showRegion;

    /** 曝光量 */
    @Excel(name = "曝光量")
    private Long showCount;

    /** 点击量 */
    @Excel(name = "点击量")
    private Long clickCount;

    /** 点击率 */
    @Excel(name = "点击率")
    private BigDecimal clickRate;

    private String pageContent;

    private List<Long> beerIds;

    private List<WyBeer> beers;

    public WyPlatformActivity activity;
}
