package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.brewery.domain.WyBeer;
import com.ruoyi.brewery.domain.WyGoods;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class WyActivityVO {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    private String breweryName;

    private String brandLogo;

    /** 活动类型 */
    @Excel(name = "活动类型")
    private Integer activityType;

    /** 活动名称 */
    @Excel(name = "活动名称")
    private String activityName;

    /** 活动描述 */
    @Excel(name = "活动描述")
    private String activityDesc;

    /** 活动状态 */
    @Excel(name = "活动状态")
    private Integer activityStatus;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    @Excel(name = "活动产品范围：0无限制，1特性产品")
    private Integer beerScope;
    @Excel(name = "活动目标（桶）")
    private Integer activityTarget;

    @Excel(name = "奖励方式 1商品，2啤酒币")
    private Integer activityRewardType;

    @Excel(name = "奖励商品id（activity_reward_type=1）")
    private Long activityRewardGoodsId;

    @Excel(name = "奖励数量")
    private Integer activityRewardCount;

    @Excel(name = "持续时间(天)，招募类型活动时生效")
    private Integer duration;

    private String city;

    private Long beerId;

    private List<Long> barIds;

    private List<WyBeer> beers;
    // 距目标还差多少桶
    private Integer remainingBeerCount;
    // 关联的酒吧id
    private List<Long> beerIds;

    private WyGoods activityRewardGoods;

    /** 活动参与数量 */
    private Integer barCount;
    /** 活动奖励状态 */
    private Boolean barAwardStatus;

    private Long batchId;
}
