package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.brewery.domain.WyBeer;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class WyPlatformActivityVO {

    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 1定向 2招募 */
    private Integer activityType;

    /** 活动名称 */
    private String activityName;

    /** 活动描述 */
    private String activityDesc;

    /** 活动状态 */
    private Integer activityStatus;

    /** 活动产品范围：0无限制，1特定产品 */
    private Integer beerScope;

    /** 活动目标（桶） */
    private Long activityTarget;

    /** 奖励方式 1商品，2啤酒币 */
    private Integer activityRewardType;

    /** 奖励商品id（activity_reward_type=1） */
    private Long activityRewardGoodsId;

    /** 奖励数量 */
    private Long activityRewardCount;

    /** 活动参与开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startDate;

    /** 活动参与截至日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endDate;

    /** 持续时间(天)，招募类型活动时生效 */
    private Long duration;

    /** 活动城市 */
    private String city;

    // 距目标还差多少桶
    private Integer remainingBeerCount;

    private List<Long> beerIds;

    private List<WyBeer> beers;
    /** 活动参与数量 */
    private Integer barCount;
    /** 活动奖励状态 */
    private Boolean barAwardStatus;

    private Long batchId;
}
