package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.WyPlatformActivityReward;
import org.apache.ibatis.annotations.Param;

/**
 * 平台活动奖励Mapper接口
 * 
 * @author kxl
 * @date 2025-02-09
 */
public interface WyPlatformActivityRewardMapper 
{
    /**
     * 查询平台活动奖励
     * 
     * @param id 平台活动奖励主键
     * @return 平台活动奖励
     */
    public WyPlatformActivityReward selectWyPlatformActivityRewardById(Long id);
    public WyPlatformActivityReward selectRewardByBatchId(Long batchId);
    public WyPlatformActivityReward selectWyPlatformActivityRewardByActivityIdAndBarId(@Param("activityId") Long activityId,@Param("barId") Long barId,@Param("joinBatchId") Long joinBatchId);

    /**
     * 查询平台活动奖励列表
     * 
     * @param wyPlatformActivityReward 平台活动奖励
     * @return 平台活动奖励集合
     */
    public List<WyPlatformActivityReward> selectWyPlatformActivityRewardList(WyPlatformActivityReward wyPlatformActivityReward);

    /**
     * 新增平台活动奖励
     * 
     * @param wyPlatformActivityReward 平台活动奖励
     * @return 结果
     */
    public int insertWyPlatformActivityReward(WyPlatformActivityReward wyPlatformActivityReward);

    /**
     * 修改平台活动奖励
     * 
     * @param wyPlatformActivityReward 平台活动奖励
     * @return 结果
     */
    public int updateWyPlatformActivityReward(WyPlatformActivityReward wyPlatformActivityReward);

    /**
     * 删除平台活动奖励
     * 
     * @param id 平台活动奖励主键
     * @return 结果
     */
    public int deleteWyPlatformActivityRewardById(Long id);

    /**
     * 批量删除平台活动奖励
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyPlatformActivityRewardByIds(Long[] ids);
}
