package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.domain.WyPlatformActivityBeerView;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.WyPlatformActivityBeerMapper;
import com.ruoyi.system.domain.WyPlatformActivityBeer;
import com.ruoyi.system.service.IWyPlatformActivityBeerService;

/**
 * 平台活动酒款Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
@Service
public class WyPlatformActivityBeerServiceImpl implements IWyPlatformActivityBeerService 
{
    @Autowired
    private WyPlatformActivityBeerMapper wyPlatformActivityBeerMapper;

    /**
     * 查询平台活动酒款
     * 
     * @param activityId 平台活动酒款主键
     * @return 平台活动酒款
     */
    @Override
    public List<WyPlatformActivityBeer> selectWyPlatformActivityBeerByActivityId(Long activityId)
    {
        return wyPlatformActivityBeerMapper.selectWyPlatformActivityBeerByActivityId(activityId);
    }

    /**
     * 查询平台活动酒款列表
     * 
     * @param wyPlatformActivityBeer 平台活动酒款
     * @return 平台活动酒款
     */
    @Override
    public List<WyPlatformActivityBeer> selectWyPlatformActivityBeerList(WyPlatformActivityBeer wyPlatformActivityBeer)
    {
        return wyPlatformActivityBeerMapper.selectWyPlatformActivityBeerList(wyPlatformActivityBeer);
    }

    @Override
    public List<WyPlatformActivityBeerView> selectWyPlatformActivityBeerViewList(WyPlatformActivityBeerView wyPlatformActivityBeerView){
        return wyPlatformActivityBeerMapper.selectWyPlatformActivityBeerViewList(wyPlatformActivityBeerView);
    }
    /**
     * 新增平台活动酒款
     * 
     * @param wyPlatformActivityBeer 平台活动酒款
     * @return 结果
     */
    @Override
    public int insertWyPlatformActivityBeer(WyPlatformActivityBeer wyPlatformActivityBeer)
    {
        return wyPlatformActivityBeerMapper.insertWyPlatformActivityBeer(wyPlatformActivityBeer);
    }

    /**
     * 修改平台活动酒款
     * 
     * @param wyPlatformActivityBeer 平台活动酒款
     * @return 结果
     */
    @Override
    public int updateWyPlatformActivityBeer(WyPlatformActivityBeer wyPlatformActivityBeer)
    {
        return wyPlatformActivityBeerMapper.updateWyPlatformActivityBeer(wyPlatformActivityBeer);
    }

    /**
     * 批量删除平台活动酒款
     * 
     * @param activityIds 需要删除的平台活动酒款主键
     * @return 结果
     */
    @Override
    public int deleteWyPlatformActivityBeerByActivityIds(Long[] activityIds)
    {
        return wyPlatformActivityBeerMapper.deleteWyPlatformActivityBeerByActivityIds(activityIds);
    }

    /**
     * 删除平台活动酒款信息
     * 
     * @param activityId 平台活动酒款主键
     * @return 结果
     */
    @Override
    public int deleteWyPlatformActivityBeerByActivityId(Long activityId)
    {
        return wyPlatformActivityBeerMapper.deleteWyPlatformActivityBeerByActivityId(activityId);
    }
}
