package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.WyPlatformFeatureBeerMapper;
import com.ruoyi.system.domain.WyPlatformFeatureBeer;
import com.ruoyi.system.service.IWyPlatformFeatureBeerService;

/**
 * 专题页酒款Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
@Service
public class WyPlatformFeatureBeerServiceImpl implements IWyPlatformFeatureBeerService 
{
    @Autowired
    private WyPlatformFeatureBeerMapper wyPlatformFeatureBeerMapper;

    /**
     * 查询专题页酒款
     * 
     * @param pageId 专题页酒款主键
     * @return 专题页酒款
     */
    @Override
    public List<WyPlatformFeatureBeer> selectWyPlatformFeatureBeerByPageId(Long pageId)
    {
        return wyPlatformFeatureBeerMapper.selectWyPlatformFeatureBeerByPageId(pageId);
    }

    /**
     * 查询专题页酒款列表
     * 
     * @param wyPlatformFeatureBeer 专题页酒款
     * @return 专题页酒款
     */
    @Override
    public List<WyPlatformFeatureBeer> selectWyPlatformFeatureBeerList(WyPlatformFeatureBeer wyPlatformFeatureBeer)
    {
        return wyPlatformFeatureBeerMapper.selectWyPlatformFeatureBeerList(wyPlatformFeatureBeer);
    }

    /**
     * 新增专题页酒款
     * 
     * @param wyPlatformFeatureBeer 专题页酒款
     * @return 结果
     */
    @Override
    public int insertWyPlatformFeatureBeer(WyPlatformFeatureBeer wyPlatformFeatureBeer)
    {
        return wyPlatformFeatureBeerMapper.insertWyPlatformFeatureBeer(wyPlatformFeatureBeer);
    }

    /**
     * 修改专题页酒款
     * 
     * @param wyPlatformFeatureBeer 专题页酒款
     * @return 结果
     */
    @Override
    public int updateWyPlatformFeatureBeer(WyPlatformFeatureBeer wyPlatformFeatureBeer)
    {
        return wyPlatformFeatureBeerMapper.updateWyPlatformFeatureBeer(wyPlatformFeatureBeer);
    }

    /**
     * 批量删除专题页酒款
     * 
     * @param pageIds 需要删除的专题页酒款主键
     * @return 结果
     */
    @Override
    public int deleteWyPlatformFeatureBeerByPageIds(Long[] pageIds)
    {
        return wyPlatformFeatureBeerMapper.deleteWyPlatformFeatureBeerByPageIds(pageIds);
    }

    /**
     * 删除专题页酒款信息
     * 
     * @param pageId 专题页酒款主键
     * @return 结果
     */
    @Override
    public int deleteWyPlatformFeatureBeerByPageId(Long pageId)
    {
        return wyPlatformFeatureBeerMapper.deleteWyPlatformFeatureBeerByPageId(pageId);
    }
}
