package com.ruoyi.brewery.domain;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

@Data
public class OrderShippingVO {
    //订单id
    @NotNull(message = "订单id不能为空")
    private Long orderId;
    //快递方式 0=自己配送 1=快递
    @NotNull(message = "快递方式不能为空")
    @Range(min=0,max=1,message="快递方式只能为0或1")
    private Integer dispatchMethod;
    // 快递单号 dispatchMethod=1时必填
    private String trackingNumber;
    //快递公司，dispatchMethod=1时必填
    private String shippingCompany;
}
