/*
 Navicat Premium Data Transfer

 Source Server         : local5.7
 Source Server Type    : MySQL
 Source Server Version : 80012
 Source Host           : localhost:3306
 Source Schema         : zhidian

 Target Server Type    : MySQL
 Target Server Version : 80012
 File Encoding         : 65001

 Date: 28/01/2025 00:48:49
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 28 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 'wy_activity', '营销活动', NULL, NULL, 'WyActivity', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'activity', '营销活动', 'kxl', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42', NULL);
INSERT INTO `gen_table` VALUES (2, 'wy_beer', '啤酒', NULL, NULL, 'WyBeer', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'beer', '啤酒', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12', NULL);
INSERT INTO `gen_table` VALUES (3, 'wy_beer_coin_plan', '啤酒币方案', NULL, NULL, 'WyBeerCoinPlan', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'plan', '啤酒币方案', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00', NULL);
INSERT INTO `gen_table` VALUES (4, 'wy_beer_qrcode', '酒品二维码', NULL, NULL, 'WyBeerQrcode', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'qrcode', '酒品二维码', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32', NULL);
INSERT INTO `gen_table` VALUES (5, 'wy_beer_qrcode_batch', '批次', NULL, NULL, 'WyBeerQrcodeBatch', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'batch', '批次', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34', NULL);
INSERT INTO `gen_table` VALUES (6, 'wy_beer_review', '酒评', NULL, NULL, 'WyBeerReview', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'review', '酒评', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32', NULL);
INSERT INTO `gen_table` VALUES (7, 'wy_beer_review_like', '酒评点赞', NULL, NULL, 'WyBeerReviewLike', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'like', '酒评点赞', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:33:13', NULL);
INSERT INTO `gen_table` VALUES (8, 'wy_beer_review_reply', '酒评回复', NULL, NULL, 'WyBeerReviewReply', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'reply', '酒评回复', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05', NULL);
INSERT INTO `gen_table` VALUES (9, 'wy_brewery_banner', '品牌方广告图', NULL, NULL, 'WyBreweryBanner', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'banner', '品牌方广告图', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40', NULL);
INSERT INTO `gen_table` VALUES (10, 'wy_redeem_order', '兑换订单', NULL, NULL, 'WyRedeemOrder', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'redeemOrder', '兑换订单', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21', NULL);
INSERT INTO `gen_table` VALUES (11, 'wy_brewery', '品牌方', NULL, NULL, 'WyBrewery', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'brewery', '品牌方', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04', NULL);
INSERT INTO `gen_table` VALUES (12, 'wy_brewery_auth', '主体认证信息', NULL, NULL, 'WyBreweryAuth', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'auth', '主体认证信息', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23', NULL);
INSERT INTO `gen_table` VALUES (13, 'wy_goods', '兑换商品', NULL, NULL, 'WyGoods', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'goods', '兑换商品', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31', NULL);
INSERT INTO `gen_table` VALUES (14, 'wy_brewery_menu', '品牌方菜单权限表', NULL, NULL, 'WyBreweryMenu', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'menu', '品牌方菜单权限', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02', NULL);
INSERT INTO `gen_table` VALUES (15, 'wy_brewery_role_menu', '品牌方角色和菜单关联表', NULL, NULL, 'WyBreweryRoleMenu', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'menu', '品牌方角色和菜单关联', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:13', NULL);
INSERT INTO `gen_table` VALUES (16, 'wy_brewery_user', '品牌方用户信息表', NULL, NULL, 'WyBreweryUser', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'user', '品牌方用户信息', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03', NULL);
INSERT INTO `gen_table` VALUES (17, 'wy_brewery_user_role', '品牌方用户和角色关联表', NULL, NULL, 'WyBreweryUserRole', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'role', '品牌方用户和角色关联', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:12', NULL);
INSERT INTO `gen_table` VALUES (18, 'wy_bar', '酒吧', NULL, NULL, 'WyBar', 'crud', 'element-ui', 'com.ruoyi.system', 'system', 'bar', '酒吧', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12', NULL);
INSERT INTO `gen_table` VALUES (19, 'wy_bar_role', '角色信息表', NULL, NULL, 'WyBarRole', 'crud', 'element-ui', 'com.ruoyi.system', 'bar', 'barRole', '角色信息', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:16', NULL);
INSERT INTO `gen_table` VALUES (20, 'wy_bar_role_menu', '品牌方角色和菜单关联表', NULL, NULL, 'WyBarRoleMenu', 'crud', 'element-ui', 'com.ruoyi.system', 'bar', 'barRoleMmenu', '品牌方角色和菜单关联', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:36', NULL);
INSERT INTO `gen_table` VALUES (21, 'wy_bar_user', '品牌方用户信息表', NULL, NULL, 'WyBarUser', 'crud', 'element-ui', 'com.ruoyi.system', 'bar', 'barUser', '品牌方用户信息', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:53', NULL);
INSERT INTO `gen_table` VALUES (22, 'wy_bar_user_role', '品牌方用户和角色关联表', NULL, NULL, 'WyBarUserRole', 'crud', 'element-ui', 'com.ruoyi.system', 'bar', 'BarRole', '品牌方用户和角色关联', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:34:09', NULL);
INSERT INTO `gen_table` VALUES (23, 'wy_platform_banner', '平台banner', NULL, NULL, 'WyPlatformBanner', 'crud', 'element-plus', 'com.ruoyi.system', 'system', 'platFormBanner', 'platFormBanner', 'ruoyi', '0', '/', '{\"parentMenuId\":1}', 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33', NULL);
INSERT INTO `gen_table` VALUES (24, 'wy_platform_activity', '营销活动', NULL, NULL, 'WyPlatformActivity', 'crud', 'element-plus', 'com.ruoyi.system', 'system', 'activity', '营销活动', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28', NULL);
INSERT INTO `gen_table` VALUES (26, 'wy_platform_feature_beer', '专题页酒款表', NULL, NULL, 'WyPlatformFeatureBeer', 'crud', 'element-ui', 'com.ruoyi.system', 'system', 'PlatformFeatureBeer', '专题页酒款', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-06 22:05:39', '', '2025-01-06 22:09:39', NULL);
INSERT INTO `gen_table` VALUES (27, 'wy_platform_feature_page', '专题页', NULL, NULL, 'WyPlatformFeaturePage', 'crud', 'element-plus', 'com.ruoyi.system', 'system', 'PlatFormFeaturePage', '专题页', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2025-01-06 22:05:39', '', '2025-01-07 23:05:52', NULL);
INSERT INTO `gen_table` VALUES (28, 'wy_platform_activity_beer', '平台活动酒款表', NULL, NULL, 'WyPlatformActivityBeer', 'crud', 'element-ui', 'com.ruoyi.system', 'system', 'PlatformActivityBeer', '平台活动酒款', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-06 22:08:49', '', '2025-01-06 22:10:37', NULL);
INSERT INTO `gen_table` VALUES (29, 'wy_beer_qrcode_scan_log', '酒品二维码扫码记录', NULL, NULL, 'WyBeerQrcodeScanLog', 'crud', 'element-ui', 'com.ruoyi.system', 'system', 'QrcodeScanLog', '酒品二维码扫码记录', 'kxl', '0', '/', '{}', 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint(20) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 355 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, 1, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (2, 1, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (3, 1, 'activity_type', '活动类型', 'smallint(2)', 'Integer', 'activityType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (4, 1, 'activity_name', '活动名称', 'varchar(255)', 'String', 'activityName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (5, 1, 'activity_desc', '活动描述', 'varchar(255)', 'String', 'activityDesc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (6, 1, 'activity_status', '活动状态', 'tinyint(2)', 'Integer', 'activityStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (7, 1, 'start_date', '开始日期', 'datetime', 'Date', 'startDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (8, 1, 'end_date', '结束日期', 'datetime', 'Date', 'endDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (9, 1, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (10, 1, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (11, 1, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (12, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (13, 1, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 13, 'admin', '2024-12-21 19:20:21', '', '2025-01-06 23:21:42');
INSERT INTO `gen_table_column` VALUES (14, 2, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (15, 2, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (16, 2, 'beer_name', '啤酒名称', 'varchar(255)', 'String', 'beerName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (17, 2, 'cover', '封面图', 'varchar(255)', 'String', 'cover', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (18, 2, 'brand_logo', '品牌logo', 'varchar(255)', 'String', 'brandLogo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (19, 2, 'beer_sn', '啤酒编码', 'varchar(255)', 'String', 'beerSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (20, 2, 'beer_styles', '啤酒风格', 'varchar(255)', 'String', 'beerStyles', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (21, 2, 'beer_abv', '酒精度', 'decimal(10,2)', 'BigDecimal', 'beerAbv', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (22, 2, 'beer_ibus', '苦度值', 'decimal(10,2)', 'BigDecimal', 'beerIbus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (23, 2, 'barcode', '条码', 'varchar(255)', 'String', 'barcode', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (24, 2, 'on_sale', '上架', 'tinyint(1)', 'Integer', 'onSale', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (25, 2, 'beer_og', '原麦汁浓度', 'decimal(10,2)', 'BigDecimal', 'beerOg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (26, 2, 'market_price', '市场价', 'decimal(10,2)', 'BigDecimal', 'marketPrice', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (27, 2, 'specs', '规格', 'varchar(255)', 'String', 'specs', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (28, 2, 'desc', '描述', 'text', 'String', 'desc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 15, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (29, 2, 'scan_coin_count', '扫码获得啤酒币数', 'int(11)', 'Long', 'scanCoinCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (30, 2, 'launch_date', '上市日期', 'date', 'Date', 'launchDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 17, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (31, 2, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (32, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (33, 2, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (34, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 21, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (35, 2, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 22, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:27:12');
INSERT INTO `gen_table_column` VALUES (36, 3, 'id', NULL, 'int(11)', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (37, 3, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (38, 3, 'plan_name', '方案名', 'varchar(255)', 'String', 'planName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (39, 3, 'received_user_count', '可领取用户数量', 'varchar(255)', 'String', 'receivedUserCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (40, 3, 'received_coin_count', '每用户可领取啤酒币数量', 'varchar(255)', 'String', 'receivedCoinCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (41, 3, 'effective_days', '有效天数', 'int(11)', 'Long', 'effectiveDays', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (42, 3, 'receive_times', '每日领取次数', 'int(11)', 'Long', 'receiveTimes', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (43, 3, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (44, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (45, 3, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (46, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (47, 3, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:00');
INSERT INTO `gen_table_column` VALUES (48, 4, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (49, 4, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (50, 4, 'batch_id', '批次id', 'int(11)', 'Long', 'batchId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (51, 4, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (52, 4, 'sku_sn', 'sku编号', 'varchar(255)', 'String', 'skuSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (53, 4, 'qrcode_url', '二维码链接', 'varchar(255)', 'String', 'qrcodeUrl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (54, 4, 'qrcode_status', '状态', 'tinyint(2)', 'Integer', 'qrcodeStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (55, 4, 'verify_time', '核销时间', 'datetime', 'Date', 'verifyTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (56, 4, 'scan_times', '被扫次数', 'int(11)', 'Long', 'scanTimes', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (57, 4, 'verify_city', '核销城市', 'varchar(255)', 'String', 'verifyCity', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (58, 4, 'verify_ip', '核销ip', 'varchar(255)', 'String', 'verifyIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (59, 4, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (60, 4, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (61, 4, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (62, 4, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (63, 4, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 16, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:30:32');
INSERT INTO `gen_table_column` VALUES (64, 5, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (65, 5, 'brewery_id', '品牌方', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (66, 5, 'batch_sn', '批次编号', 'varchar(255)', 'String', 'batchSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (67, 5, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (68, 5, 'generate_num', '生成数量', 'int(11)', 'Long', 'generateNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (69, 5, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (70, 5, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (71, 5, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (72, 5, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (73, 5, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:29:34');
INSERT INTO `gen_table_column` VALUES (74, 6, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (75, 6, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (76, 6, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (77, 6, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (78, 6, 'review_content', '评论内容', 'varchar(500)', 'String', 'reviewContent', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'editor', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (79, 6, 'taste_rating', '口味评分', 'int(2)', 'Integer', 'tasteRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (80, 6, 'aroma_rating', '香味评分', 'int(2)', 'Integer', 'aromaRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (81, 6, 'color_rating', '颜色评分', 'int(2)', 'Integer', 'colorRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (82, 6, 'overall_rating', '综合评分', 'int(3)', 'Integer', 'overallRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (83, 6, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (84, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (85, 6, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (86, 6, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (87, 6, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:32:32');
INSERT INTO `gen_table_column` VALUES (88, 7, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (89, 7, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (90, 7, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (91, 7, 'review_id', '评价id', 'int(11)', 'Long', 'reviewId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (92, 7, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (93, 7, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (94, 7, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (95, 7, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (96, 7, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (97, 7, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:33:13');
INSERT INTO `gen_table_column` VALUES (98, 8, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (99, 8, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (100, 8, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (101, 8, 'review_id', '评论id', 'int(11)', 'Long', 'reviewId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (102, 8, 'reply_id', '顶级回复id', 'int(11)', 'Long', 'replyId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (103, 8, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (104, 8, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (105, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (106, 8, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (107, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (108, 8, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 11, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:34:05');
INSERT INTO `gen_table_column` VALUES (109, 9, 'id', NULL, 'int(11)', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (110, 9, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (111, 9, 'banner_type', '广告图类型', 'smallint(3)', 'Integer', 'bannerType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (112, 9, 'banner_order', '显示顺序', 'smallint(3)', 'Integer', 'bannerOrder', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (113, 9, 'banner_url', '图片地址', 'varchar(255)', 'String', 'bannerUrl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (114, 9, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (115, 9, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (116, 9, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (117, 9, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (118, 9, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:36:40');
INSERT INTO `gen_table_column` VALUES (119, 10, 'id', NULL, 'int(11)', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (120, 10, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (121, 10, 'order_sn', '订单编号', 'varchar(255)', 'String', 'orderSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (122, 10, 'goods_id', '商品id', 'int(11)', 'Long', 'goodsId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (123, 10, 'goods_name', '商品名称', 'varchar(255)', 'String', 'goodsName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (124, 10, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (125, 10, 'beer_coin_num', '品牌啤酒币兑换数', 'int(11)', 'Long', 'beerCoinNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (126, 10, 'platform_coin_num', '平台啤酒币兑换数', 'int(11)', 'Long', 'platformCoinNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (127, 10, 'address', '收货地址', 'varchar(255)', 'String', 'address', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (128, 10, 'contact_person', '联系人', 'varchar(255)', 'String', 'contactPerson', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (129, 10, 'contact_phone', '联系电话', 'varchar(255)', 'String', 'contactPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (130, 10, 'order_status', '订单状态', 'tinyint(2)', 'Integer', 'orderStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (131, 10, 'shipping_status', '物流状态', 'tinyint(2)', 'Integer', 'shippingStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 13, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (132, 10, 'paid_time', '支付时间', 'datetime', 'Date', 'paidTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 14, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:21');
INSERT INTO `gen_table_column` VALUES (133, 10, 'shipping_time', '发货时间', 'datetime', 'Date', 'shippingTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:22');
INSERT INTO `gen_table_column` VALUES (134, 10, 'tracking_number', '快递单号', 'varchar(50)', 'String', 'trackingNumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:22');
INSERT INTO `gen_table_column` VALUES (135, 10, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:22');
INSERT INTO `gen_table_column` VALUES (136, 10, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:22');
INSERT INTO `gen_table_column` VALUES (137, 10, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 19, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:22');
INSERT INTO `gen_table_column` VALUES (138, 10, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 20, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:22');
INSERT INTO `gen_table_column` VALUES (139, 10, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 21, 'admin', '2024-12-21 19:20:22', '', '2024-12-21 19:42:22');
INSERT INTO `gen_table_column` VALUES (140, 11, 'id', '品牌id', 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (141, 11, 'brand_name', '品牌名称', 'varchar(255)', 'String', 'brandName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (142, 11, 'brand_code', '品牌编号', 'varchar(255)', 'String', 'brandCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (143, 11, 'country', '所在国家', 'varchar(255)', 'String', 'country', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (144, 11, 'province', '所在省份', 'varchar(255)', 'String', 'province', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (145, 11, 'city', '所在地区', 'varchar(255)', 'String', 'city', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (146, 11, 'contact_person', '联系人', 'varchar(255)', 'String', 'contactPerson', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (147, 11, 'contact_phone', '联系电话', 'varchar(255)', 'String', 'contactPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (148, 11, 'building_date', '创立日期', 'date', 'Date', 'buildingDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (149, 11, 'desc', '简介', 'text', 'String', 'desc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (150, 11, 'state', '状态', 'tinyint(2)', 'Integer', 'state', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (151, 11, 'authorized', '认证 0未认证 1已认证', 'tinyint(1)', 'Integer', 'authorized', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (152, 11, 'brand_logo', '品牌logo', 'varchar(255)', 'String', 'brandLogo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (153, 11, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (154, 11, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (155, 11, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (156, 11, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (157, 11, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 18, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:04');
INSERT INTO `gen_table_column` VALUES (158, 12, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (159, 12, 'brewery_id', '酒厂id', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (160, 12, 'production_license', '生产许可证', 'varchar(255)', 'String', 'productionLicense', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (161, 12, 'producer', '生产商', 'varchar(255)', 'String', 'producer', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (162, 12, 'production_license_sn', '生产许可证编号', 'varchar(255)', 'String', 'productionLicenseSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (163, 12, 'address', '地址', 'varchar(255)', 'String', 'address', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (164, 12, 'customer_support_number', '客服电话', 'varchar(20)', 'String', 'customerSupportNumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (165, 12, 'business_entity', '主体信息', 'varchar(255)', 'String', 'businessEntity', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (166, 12, 'manager', '负责人姓名', 'varchar(255)', 'String', 'manager', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (167, 12, 'manager_phone', '负责人联系电话', 'varchar(20)', 'String', 'managerPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (168, 12, 'state', '状态', 'tinyint(2)', 'Integer', 'state', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (169, 12, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (170, 12, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (171, 12, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (172, 12, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (173, 12, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 16, 'admin', '2024-12-21 19:20:43', '', '2024-12-21 19:43:23');
INSERT INTO `gen_table_column` VALUES (174, 13, 'id', 'id', 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (175, 13, 'brewery_id', '品牌方', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (176, 13, 'goods_name', '商品名称', 'varchar(255)', 'String', 'goodsName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (177, 13, 'goods_cover', '图片', 'varchar(255)', 'String', 'goodsCover', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (178, 13, 'specs', '规格', 'varchar(255)', 'String', 'specs', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (179, 13, 'purchase_method', '购买方式 1啤酒币兑换 2返利兑换', 'smallint(2)', 'Integer', 'purchaseMethod', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (180, 13, 'redeemed', '是否可兑换 0不可 1可以', 'tinyint(1)', 'Integer', 'redeemed', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (181, 13, 'redeemed_num', '啤酒币兑换数', 'int(11)', 'Long', 'redeemedNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (182, 13, 'goods_sn', '编号', 'varchar(255)', 'String', 'goodsSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (183, 13, 'goods_price', '本店售价', 'decimal(10,2)', 'BigDecimal', 'goodsPrice', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (184, 13, 'market_price', '市场售价', 'decimal(10,2)', 'BigDecimal', 'marketPrice', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (185, 13, 'stock_num', '库存数量', 'int(11)', 'Long', 'stockNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (186, 13, 'frozen_num', '冻结数量', 'int(11)', 'Long', 'frozenNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (187, 13, 'on_sale', '上架 0不上架 1上架', 'varchar(255)', 'String', 'onSale', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (188, 13, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (189, 13, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (190, 13, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (191, 13, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (192, 13, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 19, 'admin', '2024-12-21 19:20:43', '', '2024-12-26 21:12:31');
INSERT INTO `gen_table_column` VALUES (193, 14, 'menu_id', '菜单ID', 'bigint(20)', 'Long', 'menuId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (194, 14, 'menu_name', '菜单名称', 'varchar(50)', 'String', 'menuName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (195, 14, 'parent_id', '父菜单ID', 'bigint(20)', 'Long', 'parentId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (196, 14, 'order_num', '显示顺序', 'int(4)', 'Integer', 'orderNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (197, 14, 'path', '路由地址', 'varchar(200)', 'String', 'path', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (198, 14, 'component', '组件路径', 'varchar(255)', 'String', 'component', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (199, 14, 'query', '路由参数', 'varchar(255)', 'String', 'query', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (200, 14, 'route_name', '路由名称', 'varchar(50)', 'String', 'routeName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (201, 14, 'is_frame', '是否为外链', 'int(1)', 'Integer', 'isFrame', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (202, 14, 'is_cache', '是否缓存', 'int(1)', 'Integer', 'isCache', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (203, 14, 'menu_type', '菜单类型', 'char(1)', 'String', 'menuType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 11, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (204, 14, 'visible', '菜单状态', 'char(1)', 'String', 'visible', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (205, 14, 'status', '菜单状态', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 13, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (206, 14, 'perms', '权限标识', 'varchar(100)', 'String', 'perms', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (207, 14, 'icon', '菜单图标', 'varchar(100)', 'String', 'icon', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (208, 14, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (209, 14, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (210, 14, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (211, 14, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (212, 14, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 20, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (213, 15, 'role_id', '角色ID', 'bigint(20)', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:13');
INSERT INTO `gen_table_column` VALUES (214, 15, 'menu_id', '菜单ID', 'bigint(20)', 'Long', 'menuId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:13');
INSERT INTO `gen_table_column` VALUES (215, 16, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (216, 16, 'dept_id', '部门ID', 'bigint(20)', 'Long', 'deptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (217, 16, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (218, 16, 'user_name', '用户账号', 'varchar(30)', 'String', 'userName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (219, 16, 'nick_name', '用户昵称', 'varchar(30)', 'String', 'nickName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (220, 16, 'user_type', '用户类型', 'varchar(2)', 'String', 'userType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (221, 16, 'email', '用户邮箱', 'varchar(50)', 'String', 'email', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (222, 16, 'phonenumber', '手机号码', 'varchar(11)', 'String', 'phonenumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (223, 16, 'sex', '用户性别', 'char(1)', 'String', 'sex', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 9, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (224, 16, 'avatar', '头像地址', 'varchar(100)', 'String', 'avatar', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (225, 16, 'password', '密码', 'varchar(100)', 'String', 'password', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (226, 16, 'status', '帐号状态', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (227, 16, 'del_flag', '删除标志', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (228, 16, 'login_ip', '最后登录IP', 'varchar(128)', 'String', 'loginIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (229, 16, 'login_date', '最后登录时间', 'datetime', 'Date', 'loginDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 15, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (230, 16, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (231, 16, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (232, 16, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (233, 16, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (234, 16, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 20, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (235, 17, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:12');
INSERT INTO `gen_table_column` VALUES (236, 17, 'role_id', '角色ID', 'bigint(20)', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:12');
INSERT INTO `gen_table_column` VALUES (237, 18, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (238, 18, 'bar_name', '酒吧名称', 'varchar(255)', 'String', 'barName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (239, 18, 'bar_number', '酒吧编号', 'varchar(20)', 'String', 'barNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (240, 18, 'bar_logo', '酒吧logo', 'varchar(255)', 'String', 'barLogo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (241, 18, 'bar_contact_phone', '联系方式', 'varchar(20)', 'String', 'barContactPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (242, 18, 'province', '所在省', 'varchar(20)', 'String', 'province', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (243, 18, 'city', '所在城市', 'varchar(20)', 'String', 'city', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (244, 18, 'district', '所在区', 'varchar(50)', 'String', 'district', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (245, 18, 'address', '地址', 'varchar(255)', 'String', 'address', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (246, 18, 'last_auth_time', '最后认证时间', 'datetime', 'Date', 'lastAuthTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 10, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (247, 18, 'auth_state', '认证状态', 'tinyint(2)', 'Integer', 'authState', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (248, 18, 'business_license', '营业执照', 'varchar(255)', 'String', 'businessLicense', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (249, 18, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (250, 18, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (251, 18, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (252, 18, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (253, 18, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 17, 'admin', '2025-01-02 21:47:56', '', '2025-01-02 21:49:12');
INSERT INTO `gen_table_column` VALUES (254, 19, 'role_id', '角色ID', 'bigint(20)', 'Long', 'roleId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (255, 19, 'role_name', '角色名称', 'varchar(30)', 'String', 'roleName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (256, 19, 'role_key', '角色权限字符串', 'varchar(100)', 'String', 'roleKey', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (257, 19, 'role_sort', '显示顺序', 'int(4)', 'Integer', 'roleSort', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (258, 19, 'data_scope', '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）', 'char(1)', 'String', 'dataScope', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (259, 19, 'menu_check_strictly', '菜单树选择项是否关联显示', 'tinyint(1)', 'Integer', 'menuCheckStrictly', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (260, 19, 'dept_check_strictly', '部门树选择项是否关联显示', 'tinyint(1)', 'Integer', 'deptCheckStrictly', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (261, 19, 'status', '角色状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 8, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (262, 19, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (263, 19, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (264, 19, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (265, 19, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (266, 19, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (267, 19, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:17');
INSERT INTO `gen_table_column` VALUES (268, 20, 'role_id', '角色ID', 'bigint(20)', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:36');
INSERT INTO `gen_table_column` VALUES (269, 20, 'menu_id', '菜单ID', 'bigint(20)', 'Long', 'menuId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2025-01-04 18:32:40', '', '2025-01-04 18:33:36');
INSERT INTO `gen_table_column` VALUES (270, 21, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (271, 21, 'dept_id', '部门ID', 'bigint(20)', 'Long', 'deptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (272, 21, 'bar_id', '酒吧id', 'int(11)', 'Long', 'barId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (273, 21, 'user_name', '用户账号', 'varchar(30)', 'String', 'userName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (274, 21, 'nick_name', '用户昵称', 'varchar(30)', 'String', 'nickName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (275, 21, 'user_type', '用户类型（00系统用户）', 'varchar(2)', 'String', 'userType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (276, 21, 'email', '用户邮箱', 'varchar(50)', 'String', 'email', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (277, 21, 'phonenumber', '手机号码', 'varchar(11)', 'String', 'phonenumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (278, 21, 'sex', '用户性别（0男 1女 2未知）', 'char(1)', 'String', 'sex', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 9, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (279, 21, 'avatar', '头像地址', 'varchar(100)', 'String', 'avatar', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (280, 21, 'password', '密码', 'varchar(100)', 'String', 'password', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (281, 21, 'status', '帐号状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (282, 21, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (283, 21, 'login_ip', '最后登录IP', 'varchar(128)', 'String', 'loginIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (284, 21, 'login_date', '最后登录时间', 'datetime', 'Date', 'loginDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 15, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (285, 21, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (286, 21, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (287, 21, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (288, 21, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (289, 21, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 20, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:33:53');
INSERT INTO `gen_table_column` VALUES (290, 22, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:34:09');
INSERT INTO `gen_table_column` VALUES (291, 22, 'role_id', '角色ID', 'bigint(20)', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2025-01-04 18:32:41', '', '2025-01-04 18:34:09');
INSERT INTO `gen_table_column` VALUES (292, 23, 'id', 'id', 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (293, 23, 'banner_name', 'banner名称', 'varchar(255)', 'String', 'bannerName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (294, 23, 'banner_type', 'banner位置', 'varchar(50)', 'String', 'bannerType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (295, 23, 'banner_url', '图片链接', 'varchar(255)', 'String', 'bannerUrl', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (296, 23, 'banner_link', '跳转链接', 'varchar(255)', 'String', 'bannerLink', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (297, 23, 'publish_state', '发布状态', 'tinyint(1)', 'Integer', 'publishState', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (298, 23, 'show_order', '显示顺序', 'int(11)', 'Long', 'showOrder', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (299, 23, 'show_start_time', NULL, 'datetime', 'Date', 'showStartTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (300, 23, 'show_end_time', NULL, 'datetime', 'Date', 'showEndTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (301, 23, 'show_count', '曝光量', 'int(11)', 'Long', 'showCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (302, 23, 'click_count', '点击量', 'int(11)', 'Long', 'clickCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (303, 23, 'click_rate', '点击率', 'decimal(10,2)', 'BigDecimal', 'clickRate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (304, 23, 'show_region', '显示地区', 'varchar(255)', 'String', 'showRegion', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (305, 23, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (306, 23, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (307, 23, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (308, 23, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (309, 23, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 18, 'admin', '2025-01-05 23:39:35', '', '2025-01-06 23:17:33');
INSERT INTO `gen_table_column` VALUES (310, 24, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (311, 24, 'activity_type', '1定向 2招募', 'smallint(2)', 'Integer', 'activityType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (312, 24, 'activity_name', '活动名称', 'varchar(255)', 'String', 'activityName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (313, 24, 'activity_desc', '活动描述', 'varchar(255)', 'String', 'activityDesc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (314, 24, 'activity_status', '活动状态', 'tinyint(2)', 'Integer', 'activityStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (315, 24, 'beer_scope', '活动产品范围：0无限制，1特定产品', 'tinyint(2)', 'Integer', 'beerScope', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (316, 24, 'beer_id', '活动产品id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (317, 24, 'activity_target', '活动目标（桶）', 'int(11)', 'Long', 'activityTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (318, 24, 'activity_reward_type', '奖励方式 1商品，2啤酒币', 'tinyint(2)', 'Integer', 'activityRewardType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 9, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (319, 24, 'activity_reward_goods_id', '奖励商品id（activity_reward_type=1）', 'int(11)', 'Long', 'activityRewardGoodsId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (320, 24, 'activity_reward_count', '奖励数量', 'int(11)', 'Long', 'activityRewardCount', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (321, 24, 'start_date', '活动参与开始日期', 'datetime', 'Date', 'startDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 12, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (322, 24, 'end_date', '活动参与截至日期', 'datetime', 'Date', 'endDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 13, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (323, 24, 'duration', '持续时间(天)，招募类型活动时生效', 'int(11)', 'Long', 'duration', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (324, 24, 'city', '活动城市', 'varchar(255)', 'String', 'city', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (325, 24, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (326, 24, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (327, 24, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (328, 24, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (329, 24, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 20, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 23:21:28');
INSERT INTO `gen_table_column` VALUES (332, 26, 'page_id', '专题id', 'int(11)', 'Long', 'pageId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 1, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 22:09:39');
INSERT INTO `gen_table_column` VALUES (333, 26, 'beer_id', '酒款id', 'int(11)', 'Long', 'beerId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 22:09:39');
INSERT INTO `gen_table_column` VALUES (334, 26, 'beer_name', '酒款名称', 'varchar(255)', 'String', 'beerName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 22:09:39');
INSERT INTO `gen_table_column` VALUES (335, 26, 'beer_cover', '酒款封面', 'varchar(255)', 'String', 'beerCover', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-06 22:05:39', '', '2025-01-06 22:09:39');
INSERT INTO `gen_table_column` VALUES (336, 27, 'id', 'id', 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (337, 27, 'page_name', '专题页名称', 'varchar(255)', 'String', 'pageName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (338, 27, 'sub_title', '副标题', 'varchar(255)', 'String', 'subTitle', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (339, 27, 'page_desc', '备注', 'varchar(255)', 'String', 'pageDesc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (340, 27, 'platform_activity_id', '平台活动id', 'int(11)', 'Long', 'platformActivityId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (341, 27, 'cover', '封面图', 'varchar(255)', 'String', 'cover', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (342, 27, 'page_link', '跳转链接', 'varchar(255)', 'String', 'pageLink', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (343, 27, 'publish_state', '发布状态0未发布 1已发布 2已下架', 'tinyint(2)', 'Integer', 'publishState', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (344, 27, 'show_order', '排序规则', 'int(11)', 'Long', 'showOrder', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (345, 27, 'show_region', '显示地区', 'varchar(255)', 'String', 'showRegion', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (346, 27, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (347, 27, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (348, 27, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (349, 27, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (350, 27, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 15, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (351, 27, 'show_count', '曝光量', 'int(11)', 'Long', 'showCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (352, 27, 'click_count', '点击量', 'int(11)', 'Long', 'clickCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (353, 27, 'click_rate', '点击率', 'decimal(10,2)', 'BigDecimal', 'clickRate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 18, 'admin', '2025-01-06 22:05:40', '', '2025-01-07 23:05:52');
INSERT INTO `gen_table_column` VALUES (354, 28, 'activity_id', '平台活动id', 'int(11)', 'Long', 'activityId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-06 22:08:49', '', '2025-01-06 22:10:37');
INSERT INTO `gen_table_column` VALUES (355, 28, 'beer_id', '酒款id', 'int(11)', 'Long', 'beerId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2025-01-06 22:08:49', '', '2025-01-06 22:10:37');
INSERT INTO `gen_table_column` VALUES (356, 29, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (357, 29, 'code_id', '二维码id', 'int(11)', 'Long', 'codeId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (358, 29, 'brewery_id', NULL, 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (359, 29, 'beer_id', NULL, 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (360, 29, 'user_id', '扫码人id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (361, 29, 'sku_sn', NULL, 'varchar(255)', 'String', 'skuSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (362, 29, 'scan_status', '扫码结果 0无效 1有效', 'tinyint(2)', 'Integer', 'scanStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 7, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (363, 29, 'verify_time', '核销时间', 'datetime', 'Date', 'verifyTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (364, 29, 'scan_times', '被扫次数', 'int(11)', 'Long', 'scanTimes', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (365, 29, 'scan_city', '核销城市', 'varchar(255)', 'String', 'scanCity', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (366, 29, 'scan_ip', '核销ip', 'varchar(255)', 'String', 'scanIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (367, 29, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (368, 29, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (369, 29, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (370, 29, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');
INSERT INTO `gen_table_column` VALUES (371, 29, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 16, 'admin', '2025-01-27 21:03:29', '', '2025-01-27 21:05:02');

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = 'Blob类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '日历信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = 'Cron类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(13) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(13) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '已触发的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '任务详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '存储的悲观锁信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '暂停的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(13) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(13) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '调度器状态表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(7) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(12) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(10) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '简单触发器的信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '同步机制的行锁表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(13) NOT NULL COMMENT '开始时间',
  `end_time` bigint(13) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(2) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name` ASC, `job_name` ASC, `job_group` ASC) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '触发器详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(5) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '参数配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 109 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '定时任务调度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-12-19 20:11:56', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-12-19 20:11:56', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-12-19 20:11:56', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '定时任务调度日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 144 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '系统访问记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 20:28:47');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-19 20:38:40');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 20:38:44');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 20:58:57');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-19 20:59:15');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 20:59:19');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 20:59:38');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 20:59:43');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 21:00:01');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 21:01:36');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 22:44:04');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2024-12-21 19:19:10');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-21 19:19:12');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 11:26:58');
INSERT INTO `sys_logininfor` VALUES (114, 'zhangsan', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '1', '验证码已失效', '2024-12-22 12:39:31');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 12:40:09');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-22 12:40:34');
INSERT INTO `sys_logininfor` VALUES (117, 'zhangsan', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '1', '验证码已失效', '2024-12-22 12:41:23');
INSERT INTO `sys_logininfor` VALUES (118, 'zhangsan', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '1', '验证码错误', '2024-12-22 12:47:34');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:39:51');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-22 17:39:51');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:40:35');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:41:44');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-22 17:43:26');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:45:04');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:47:48');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 20:24:25');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '0', '登录成功', '2024-12-23 22:37:09');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 21:42:51');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-26 20:38:41');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-26 22:16:06');
INSERT INTO `sys_logininfor` VALUES (131, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-02 21:47:26');
INSERT INTO `sys_logininfor` VALUES (132, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-04 18:32:06');
INSERT INTO `sys_logininfor` VALUES (133, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-05 23:39:19');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-06 21:50:51');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-06 22:59:26');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2025-01-06 23:27:30');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-06 23:27:34');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-07 21:48:57');
INSERT INTO `sys_logininfor` VALUES (139, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-07 23:03:56');
INSERT INTO `sys_logininfor` VALUES (140, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-08 22:34:26');
INSERT INTO `sys_logininfor` VALUES (141, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2025-01-08 23:27:32');
INSERT INTO `sys_logininfor` VALUES (142, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-11 21:29:29');
INSERT INTO `sys_logininfor` VALUES (143, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-25 21:31:13');
INSERT INTO `sys_logininfor` VALUES (144, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-26 22:59:55');
INSERT INTO `sys_logininfor` VALUES (145, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-27 21:03:17');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(11) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(11) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2107 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 9, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:34', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 10, 'monitor', NULL, '', '', 1, 0, 'M', '1', '0', '', 'monitor', 'admin', '2024-12-19 20:11:55', 'admin', '2025-01-08 22:09:02', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 11, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:43', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-12-19 20:11:55', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-12-19 20:11:55', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-12-19 20:11:55', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-12-19 20:11:55', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-12-19 20:11:55', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-12-19 20:11:55', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-12-19 20:11:55', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-12-19 20:11:55', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-12-19 20:11:55', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-12-19 20:11:55', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-12-19 20:11:55', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-12-19 20:11:55', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-12-19 20:11:55', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-12-19 20:11:55', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-12-19 20:11:55', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-12-19 20:11:55', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-12-19 20:11:55', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-12-19 20:11:55', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '店铺设置', 2105, 11, 'store', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'dashboard', 'admin', '2024-12-19 21:06:37', 'admin', '2025-01-08 22:28:44', '');
INSERT INTO `sys_menu` VALUES (2001, '商品管理', 0, 4, 'product', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'shopping', 'admin', '2024-12-19 21:27:03', 'admin', '2025-01-08 21:08:04', '');
INSERT INTO `sys_menu` VALUES (2002, '营销推广', 0, 31, 'marketing', NULL, NULL, '', 1, 0, 'M', '1', '1', '', 'server', 'admin', '2024-12-19 21:28:38', 'admin', '2025-01-07 23:45:22', '');
INSERT INTO `sys_menu` VALUES (2003, '酒评管理', 0, 5, 'beerReview', 'beerReview/index', NULL, '', 1, 0, 'C', '0', '0', '', 'star', 'admin', '2024-12-19 21:29:53', 'admin', '2025-01-08 21:26:34', '');
INSERT INTO `sys_menu` VALUES (2004, '数据统计', 0, 7, 'statistics', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'chart', 'admin', '2024-12-19 21:30:45', 'admin', '2025-01-08 21:38:55', '');
INSERT INTO `sys_menu` VALUES (2005, '增值服务', 2105, 8, 'upgrade', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'skill', 'admin', '2024-12-19 21:32:15', 'admin', '2025-01-08 21:55:07', '');
INSERT INTO `sys_menu` VALUES (2006, '店铺信息', 2000, 1, 'storeinfo', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 21:53:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2007, '店铺装修', 2000, 2, 'decoration', NULL, NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2024-12-19 21:55:16', 'admin', '2024-12-19 22:00:48', '');
INSERT INTO `sys_menu` VALUES (2008, '打印设置', 1, 3, 'printcfg', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, 'clipboard', 'admin', '2024-12-19 21:58:23', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2009, '酒厂封面图', 2007, 1, 'cover', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2010, '酒厂轮播图', 2007, 2, 'banners', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:28', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '酒品管理', 2001, 1, 'beers', 'product/beers/index', NULL, '', 1, 0, 'C', '0', '0', 'system:beers:list', '#', 'admin', '2024-12-19 22:02:13', 'admin', '2025-01-08 21:11:26', '');
INSERT INTO `sys_menu` VALUES (2012, '商品管理', 2001, 2, 'commodity', 'product/commodity/index', NULL, '', 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-12-19 22:02:46', 'admin', '2025-01-08 21:12:29', '');
INSERT INTO `sys_menu` VALUES (2013, '一物一码', 0, 7, 'qrcode', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'component', 'admin', '2024-12-19 22:04:17', 'admin', '2025-01-08 21:45:51', '');
INSERT INTO `sys_menu` VALUES (2014, '批次管理', 2013, 1, 'batch', 'qrcode/batch/index', NULL, '', 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-12-19 22:06:11', 'admin', '2024-12-22 19:41:30', '');
INSERT INTO `sys_menu` VALUES (2015, '商品二维码', 2013, 2, 'beerqrcode', NULL, NULL, '', 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-12-19 22:06:48', 'admin', '2024-12-19 22:07:05', '');
INSERT INTO `sys_menu` VALUES (2016, '营销活动', 0, 3, 'activity1', 'brewery/activity/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:activity:list', 'sunny', 'admin', '2024-12-21 20:04:59', 'admin', '2025-01-08 22:12:58', '营销活动菜单');
INSERT INTO `sys_menu` VALUES (2017, '营销活动查询', 2016, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:query', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2018, '营销活动新增', 2016, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:add', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2019, '营销活动修改', 2016, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:edit', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2020, '营销活动删除', 2016, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:remove', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2021, '营销活动导出', 2016, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:export', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2022, '主体认证信息', 2105, 1, 'auth', 'brewery/auth/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:auth:list', '#', 'admin', '2024-12-21 20:05:11', 'admin', '2025-01-08 21:52:39', '主体认证信息菜单');
INSERT INTO `sys_menu` VALUES (2023, '主体认证信息查询', 2022, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:query', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2024, '主体认证信息新增', 2022, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:add', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2025, '主体认证信息修改', 2022, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:edit', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2026, '主体认证信息删除', 2022, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:remove', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2027, '主体认证信息导出', 2022, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:export', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2028, '品牌方广告图', 2105, 1, 'banner1', 'brewery/banner/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:banner:list', '#', 'admin', '2024-12-21 20:05:20', 'admin', '2025-01-08 21:52:52', '品牌方广告图菜单');
INSERT INTO `sys_menu` VALUES (2029, '品牌方广告图查询', 2028, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:query', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2030, '品牌方广告图新增', 2028, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:add', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2031, '品牌方广告图修改', 2028, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:edit', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2032, '品牌方广告图删除', 2028, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:remove', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2033, '品牌方广告图导出', 2028, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:export', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2034, '批次', 2014, 1, 'batch', 'brewery/batch/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:batch:list', '#', 'admin', '2024-12-21 20:05:29', 'admin', '2024-12-22 19:46:58', '批次菜单');
INSERT INTO `sys_menu` VALUES (2035, '批次查询', 2034, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:query', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2036, '批次新增', 2034, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:add', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2037, '批次修改', 2034, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:edit', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2038, '批次删除', 2034, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:remove', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2039, '批次导出', 2034, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:export', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2040, '酒评', 2003, 1, 'review', 'brewery/review/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:review:list', '#', 'admin', '2024-12-21 20:05:56', 'admin', '2025-01-08 21:55:31', '酒评菜单');
INSERT INTO `sys_menu` VALUES (2041, '酒评查询', 2040, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:query', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2042, '酒评新增', 2040, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:add', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2043, '酒评修改', 2040, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:edit', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2044, '酒评删除', 2040, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:remove', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2045, '酒评导出', 2040, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:export', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2046, '酒评回复', 2003, 1, 'reply', 'brewery/reply/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:reply:list', '#', 'admin', '2024-12-21 20:05:59', 'admin', '2025-01-08 21:54:14', '酒评回复菜单');
INSERT INTO `sys_menu` VALUES (2047, '酒评回复查询', 2046, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:query', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2048, '酒评回复新增', 2046, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:add', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2049, '酒评回复修改', 2046, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:edit', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2050, '酒评回复删除', 2046, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:remove', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2051, '酒评回复导出', 2046, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:export', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2052, '兑换订单', 2106, 6, 'redeemOrder', 'redeemOrder/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:redeemOrder:list', '#', 'admin', '2024-12-21 20:06:01', 'admin', '2025-01-08 22:04:51', '兑换订单菜单');
INSERT INTO `sys_menu` VALUES (2053, '兑换订单查询', 2052, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:query', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2054, '兑换订单新增', 2052, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:add', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2055, '兑换订单修改', 2052, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:edit', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2056, '兑换订单删除', 2052, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:remove', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2057, '兑换订单导出', 2052, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:export', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2058, '酒品二维码', 2001, 1, 'qrcode', 'brewery/qrcode/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:qrcode:list', '#', 'admin', '2024-12-21 20:06:04', 'admin', '2025-01-08 21:53:33', '酒品二维码菜单');
INSERT INTO `sys_menu` VALUES (2059, '酒品二维码查询', 2058, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:query', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2060, '酒品二维码新增', 2058, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:add', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2061, '酒品二维码修改', 2058, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:edit', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2062, '酒品二维码删除', 2058, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:remove', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2063, '酒品二维码导出', 2058, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:export', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2064, '啤酒币方案', 2105, 1, 'plan', 'brewery/plan/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:plan:list', '#', 'admin', '2024-12-21 20:06:06', 'admin', '2025-01-08 21:53:07', '啤酒币方案菜单');
INSERT INTO `sys_menu` VALUES (2065, '啤酒币方案查询', 2064, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:query', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2066, '啤酒币方案新增', 2064, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:add', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2067, '啤酒币方案修改', 2064, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:edit', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2068, '啤酒币方案删除', 2064, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:remove', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2069, '啤酒币方案导出', 2064, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:export', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2070, '酒评点赞', 2003, 1, 'like', 'brewery/like/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:like:list', '#', 'admin', '2024-12-21 20:06:07', 'admin', '2025-01-08 21:54:22', '酒评点赞菜单');
INSERT INTO `sys_menu` VALUES (2071, '酒评点赞查询', 2070, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:query', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2072, '酒评点赞新增', 2070, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:add', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2073, '酒评点赞修改', 2070, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:edit', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2074, '酒评点赞删除', 2070, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:remove', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2075, '酒评点赞导出', 2070, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:export', '#', 'admin', '2024-12-21 20:06:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2076, '兑换商品', 2001, 1, 'goods', 'brewery/goods/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:goods:list', '#', 'admin', '2024-12-21 20:06:09', 'admin', '2025-01-08 21:53:51', '兑换商品菜单');
INSERT INTO `sys_menu` VALUES (2077, '兑换商品查询', 2076, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:query', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2078, '兑换商品新增', 2076, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:add', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2079, '兑换商品修改', 2076, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:edit', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2080, '兑换商品删除', 2076, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:remove', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2081, '兑换商品导出', 2076, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:export', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2082, '品牌方管理', 2105, 1, 'brewery', 'brewery/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:brewery:list', '#', 'admin', '2024-12-21 20:06:11', 'admin', '2025-01-08 21:52:21', '品牌方菜单');
INSERT INTO `sys_menu` VALUES (2083, '品牌方查询', 2082, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:query', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2084, '品牌方新增', 2082, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:add', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2085, '品牌方修改', 2082, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:edit', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2086, '品牌方删除', 2082, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:remove', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2087, '品牌方导出', 2082, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:export', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2088, '啤酒', 2001, 1, 'beer', 'brewery/beer/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:beer:list', '#', 'admin', '2024-12-21 20:06:14', 'admin', '2025-01-08 21:54:02', '啤酒菜单');
INSERT INTO `sys_menu` VALUES (2089, '啤酒查询', 2088, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:query', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2090, '啤酒新增', 2088, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:add', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2091, '啤酒修改', 2088, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:edit', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2092, '啤酒删除', 2088, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:remove', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2093, '啤酒导出', 2088, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:export', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2094, '品牌方菜单管理', 2105, 2, 'breweryMenu', 'system/menu/brewery', NULL, '', 1, 1, 'C', '0', '0', 'system:menu:list', '#', 'admin', '2024-12-23 21:40:28', 'admin', '2025-01-08 21:56:36', '');
INSERT INTO `sys_menu` VALUES (2095, '小程序运营', 0, 3, 'mpOperation', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'mp', 'admin', '2025-01-07 00:08:38', 'admin', '2025-01-08 21:22:12', '');
INSERT INTO `sys_menu` VALUES (2096, 'banner管理', 2095, 1, 'banner', 'mp/banner/index', NULL, '', 1, 0, 'C', '0', '0', 'system:platFormBanner:list', '#', 'admin', '2025-01-07 00:10:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2097, '修改', 2096, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:platFormBanner:edit', '#', 'admin', '2025-01-07 00:11:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2098, '删除', 2096, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:platFormBanner:remove', '#', 'admin', '2025-01-07 00:11:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2099, '新增', 2096, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:platFormBanner:add', '#', 'admin', '2025-01-07 00:12:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2100, '活动管理', 2095, 2, 'activity', 'mp/activity/index', NULL, '', 1, 0, 'C', '0', '0', 'system:activity:list', '#', 'admin', '2025-01-07 00:13:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2101, '新增', 2100, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:activity:add', '#', 'admin', '2025-01-07 00:13:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2102, '编辑', 2100, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:activity:edit', '#', 'admin', '2025-01-07 00:14:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2103, '删除', 2100, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:activity:remove', '#', 'admin', '2025-01-07 00:14:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2104, '专辑管理', 2095, 3, 'featurePage', 'mp/platformFeaturePage/index', NULL, '', 1, 0, 'C', '0', '0', 'system:PlatFormFeaturePage:list', '#', 'admin', '2025-01-07 23:48:31', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2105, '品牌方', 0, 1, 'brewery', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'server', 'admin', '2025-01-08 21:52:09', 'admin', '2025-01-08 22:12:05', '');
INSERT INTO `sys_menu` VALUES (2106, '订单管理', 0, 2, 'order', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'list', 'admin', '2025-01-08 22:04:40', 'admin', '2025-01-08 22:11:38', '');
INSERT INTO `sys_menu` VALUES (2107, '门店', 0, 3, 'bar', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'peoples', 'admin', '2025-01-08 22:15:06', '', NULL, '');

-- ----------------------------
-- Table structure for sys_menu_copy1
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_copy1`;
CREATE TABLE `sys_menu_copy1`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2098 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu_copy1
-- ----------------------------
INSERT INTO `sys_menu_copy1` VALUES (1, '系统管理', 0, 9, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:34', '系统管理目录');
INSERT INTO `sys_menu_copy1` VALUES (2, '系统监控', 0, 10, 'monitor', NULL, '', '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:39', '系统监控目录');
INSERT INTO `sys_menu_copy1` VALUES (3, '系统工具', 0, 11, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:43', '系统工具目录');
INSERT INTO `sys_menu_copy1` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-12-19 20:11:55', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu_copy1` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-12-19 20:11:55', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu_copy1` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-12-19 20:11:55', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu_copy1` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-12-19 20:11:55', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu_copy1` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-12-19 20:11:55', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu_copy1` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-12-19 20:11:55', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu_copy1` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-12-19 20:11:55', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu_copy1` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-12-19 20:11:55', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu_copy1` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-12-19 20:11:55', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu_copy1` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-12-19 20:11:55', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu_copy1` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-12-19 20:11:55', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu_copy1` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-12-19 20:11:55', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu_copy1` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-12-19 20:11:55', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu_copy1` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu_copy1` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu_copy1` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-12-19 20:11:55', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu_copy1` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-12-19 20:11:55', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu_copy1` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-12-19 20:11:55', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu_copy1` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-12-19 20:11:55', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu_copy1` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-12-19 20:11:55', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu_copy1` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1016, '部门查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1017, '部门新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1018, '部门修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1019, '部门删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2000, '店铺设置', 0, 2, 'store', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'dashboard', 'admin', '2024-12-19 21:06:37', 'admin', '2025-01-06 23:07:51', '');
INSERT INTO `sys_menu_copy1` VALUES (2001, '商品管理', 0, 2, 'product', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'shopping', 'admin', '2024-12-19 21:27:03', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2002, '营销推广', 0, 3, 'marketing', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'server', 'admin', '2024-12-19 21:28:38', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2003, '酒评管理', 0, 4, 'review', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'star', 'admin', '2024-12-19 21:29:53', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2004, '数据统计', 0, 5, 'statistics', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'chart', 'admin', '2024-12-19 21:30:45', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2005, '增值服务', 0, 6, 'upgrade', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'skill', 'admin', '2024-12-19 21:32:15', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2006, '店铺信息', 2000, 1, 'storeinfo', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 21:53:36', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2007, '店铺装修', 2000, 2, 'decoration', NULL, NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2024-12-19 21:55:16', 'admin', '2024-12-19 22:00:48', '');
INSERT INTO `sys_menu_copy1` VALUES (2008, '打印设置', 1, 3, 'printcfg', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, 'clipboard', 'admin', '2024-12-19 21:58:23', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2009, '酒厂封面图', 2007, 1, 'cover', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:05', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2010, '酒厂轮播图', 2007, 2, 'banners', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:28', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2011, '酒品管理', 2001, 1, 'beers', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:02:13', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2012, '商品管理', 2001, 2, 'goods', NULL, NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2024-12-19 22:02:46', 'admin', '2024-12-19 22:03:10', '');
INSERT INTO `sys_menu_copy1` VALUES (2013, '一物一码', 0, 3, 'qrcode', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'component', 'admin', '2024-12-19 22:04:17', 'admin', '2024-12-19 22:05:11', '');
INSERT INTO `sys_menu_copy1` VALUES (2014, '批次管理', 2013, 1, 'batch', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:06:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2015, '商品二维码', 2013, 2, 'beerqrcode', NULL, NULL, '', 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-12-19 22:06:48', 'admin', '2024-12-19 22:07:05', '');
INSERT INTO `sys_menu_copy1` VALUES (2016, '营销活动', 3, 1, 'activity1', 'brewery/activity/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:activity:list', '#', 'admin', '2024-12-21 20:04:59', 'admin', '2025-01-06 23:33:07', '营销活动菜单');
INSERT INTO `sys_menu_copy1` VALUES (2017, '营销活动查询', 2016, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:query', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2018, '营销活动新增', 2016, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:add', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2019, '营销活动修改', 2016, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:edit', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2020, '营销活动删除', 2016, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:remove', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2021, '营销活动导出', 2016, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:export', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2022, '主体认证信息', 3, 1, 'auth', 'brewery/auth/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:auth:list', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '主体认证信息菜单');
INSERT INTO `sys_menu_copy1` VALUES (2023, '主体认证信息查询', 2022, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:query', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2024, '主体认证信息新增', 2022, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:add', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2025, '主体认证信息修改', 2022, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:edit', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2026, '主体认证信息删除', 2022, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:remove', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2027, '主体认证信息导出', 2022, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:export', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2028, '品牌方广告图', 3, 1, 'banner1', 'brewery/banner/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:banner:list', '#', 'admin', '2024-12-21 20:05:20', 'admin', '2025-01-06 23:32:57', '品牌方广告图菜单');
INSERT INTO `sys_menu_copy1` VALUES (2029, '品牌方广告图查询', 2028, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:query', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2030, '品牌方广告图新增', 2028, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:add', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2031, '品牌方广告图修改', 2028, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:edit', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2032, '品牌方广告图删除', 2028, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:remove', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2033, '品牌方广告图导出', 2028, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:export', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2034, '批次', 3, 1, 'batch', 'brewery/batch/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:batch:list', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '批次菜单');
INSERT INTO `sys_menu_copy1` VALUES (2035, '批次查询', 2034, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:query', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2036, '批次新增', 2034, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:add', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2037, '批次修改', 2034, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:edit', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2038, '批次删除', 2034, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:remove', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2039, '批次导出', 2034, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:export', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2040, '酒评', 3, 1, 'review', 'brewery/review/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:review:list', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '酒评菜单');
INSERT INTO `sys_menu_copy1` VALUES (2041, '酒评查询', 2040, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:query', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2042, '酒评新增', 2040, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:add', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2043, '酒评修改', 2040, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:edit', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2044, '酒评删除', 2040, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:remove', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2045, '酒评导出', 2040, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:export', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2046, '酒评回复', 3, 1, 'reply', 'brewery/reply/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:reply:list', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '酒评回复菜单');
INSERT INTO `sys_menu_copy1` VALUES (2047, '酒评回复查询', 2046, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:query', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2048, '酒评回复新增', 2046, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:add', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2049, '酒评回复修改', 2046, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:edit', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2050, '酒评回复删除', 2046, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:remove', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2051, '酒评回复导出', 2046, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:export', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2052, '兑换订单', 0, 2, 'redeemOrder', 'brewery/redeemOrder/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:redeemOrder:list', '#', 'admin', '2024-12-21 20:06:01', 'admin', '2025-01-06 23:07:44', '兑换订单菜单');
INSERT INTO `sys_menu_copy1` VALUES (2053, '兑换订单查询', 2052, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:query', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2054, '兑换订单新增', 2052, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:add', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2055, '兑换订单修改', 2052, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:edit', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2056, '兑换订单删除', 2052, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:remove', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2057, '兑换订单导出', 2052, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:export', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2058, '酒品二维码', 3, 1, 'qrcode', 'brewery/qrcode/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:qrcode:list', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '酒品二维码菜单');
INSERT INTO `sys_menu_copy1` VALUES (2059, '酒品二维码查询', 2058, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:query', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2060, '酒品二维码新增', 2058, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:add', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2061, '酒品二维码修改', 2058, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:edit', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2062, '酒品二维码删除', 2058, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:remove', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2063, '酒品二维码导出', 2058, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:export', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2064, '啤酒币方案', 3, 1, 'plan', 'brewery/plan/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:plan:list', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '啤酒币方案菜单');
INSERT INTO `sys_menu_copy1` VALUES (2065, '啤酒币方案查询', 2064, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:query', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2066, '啤酒币方案新增', 2064, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:add', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2067, '啤酒币方案修改', 2064, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:edit', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2068, '啤酒币方案删除', 2064, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:remove', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2069, '啤酒币方案导出', 2064, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:export', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2070, '酒评点赞', 3, 1, 'like', 'brewery/like/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:like:list', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '酒评点赞菜单');
INSERT INTO `sys_menu_copy1` VALUES (2071, '酒评点赞查询', 2070, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:query', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2072, '酒评点赞新增', 2070, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:add', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2073, '酒评点赞修改', 2070, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:edit', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2074, '酒评点赞删除', 2070, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:remove', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2075, '酒评点赞导出', 2070, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:export', '#', 'admin', '2024-12-21 20:06:08', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2076, '兑换商品', 3, 1, 'goods', 'brewery/goods/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:goods:list', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '兑换商品菜单');
INSERT INTO `sys_menu_copy1` VALUES (2077, '兑换商品查询', 2076, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:query', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2078, '兑换商品新增', 2076, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:add', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2079, '兑换商品修改', 2076, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:edit', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2080, '兑换商品删除', 2076, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:remove', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2081, '兑换商品导出', 2076, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:export', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2082, '品牌方', 3, 1, 'brewery', 'brewery/brewery/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:brewery:list', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '品牌方菜单');
INSERT INTO `sys_menu_copy1` VALUES (2083, '品牌方查询', 2082, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:query', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2084, '品牌方新增', 2082, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:add', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2085, '品牌方修改', 2082, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:edit', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2086, '品牌方删除', 2082, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:remove', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2087, '品牌方导出', 2082, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:export', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2088, '啤酒', 3, 1, 'beer', 'brewery/beer/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:beer:list', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '啤酒菜单');
INSERT INTO `sys_menu_copy1` VALUES (2089, '啤酒查询', 2088, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:query', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2090, '啤酒新增', 2088, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:add', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2091, '啤酒修改', 2088, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:edit', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2092, '啤酒删除', 2088, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:remove', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2093, '啤酒导出', 2088, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:export', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2094, '品牌方菜单管理', 0, 21, 'breweryMenu', 'system/menu/brewery', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-26 20:41:15', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2095, '小程序运营', 0, 1, 'mpOperation', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, '#', 'admin', '2025-01-06 23:07:17', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2096, 'banner管理', 2095, 1, 'banner', 'mp/banner/index', NULL, '', 1, 1, 'C', '0', '0', '', '#', 'admin', '2025-01-06 23:15:25', 'admin', '2025-01-06 23:31:58', '');
INSERT INTO `sys_menu_copy1` VALUES (2097, '活动管理', 2095, 2, 'activity', 'mp/activity/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2025-01-06 23:24:35', '', NULL, '');
INSERT INTO `sys_menu_copy1` VALUES (2098, '专辑管理', 2095, 3, 'featurePage', 'mp/platformFeaturePage/index', NULL, '', 1, 0, 'C', '0', '0', 'system:PlatFormFeaturePage:list', '#', 'admin', '2025-01-07 23:18:51', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(4) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-12-19 20:11:56', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-12-19 20:11:56', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '返回参数',
  `status` int(1) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(20) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 207 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/store/setting\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:06:37', 153);
INSERT INTO `sys_oper_log` VALUES (101, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:06:50', 38);
INSERT INTO `sys_oper_log` VALUES (102, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 21:06:37\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"store\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:06:58', 40);
INSERT INTO `sys_oper_log` VALUES (103, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":9,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:25:34', 106);
INSERT INTO `sys_oper_log` VALUES (104, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":10,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:25:39', 24);
INSERT INTO `sys_oper_log` VALUES (105, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:25:43', 24);
INSERT INTO `sys_oper_log` VALUES (106, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"product\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:27:03', 26);
INSERT INTO `sys_oper_log` VALUES (107, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"营销推广\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"marketing\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:28:38', 103);
INSERT INTO `sys_oper_log` VALUES (108, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"star\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒评管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"review\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:29:53', 25);
INSERT INTO `sys_oper_log` VALUES (109, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:30:45', 27);
INSERT INTO `sys_oper_log` VALUES (110, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"skill\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"增值服务\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"upgrade\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:32:15', 28);
INSERT INTO `sys_oper_log` VALUES (111, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"店铺信息\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"storeinfo\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:53:36', 56);
INSERT INTO `sys_oper_log` VALUES (112, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"店铺装修\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"decoration\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:55:16', 81);
INSERT INTO `sys_oper_log` VALUES (113, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"clipboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"打印设置\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":1,\"path\":\"printcfg\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:58:23', 25);
INSERT INTO `sys_oper_log` VALUES (114, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒厂封面图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2007,\"path\":\"cover\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:00:05', 24);
INSERT INTO `sys_oper_log` VALUES (115, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒厂轮播图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2007,\"path\":\"banners\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:00:28', 43);
INSERT INTO `sys_oper_log` VALUES (116, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 21:55:16\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2007,\"menuName\":\"店铺装修\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"decoration\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:00:48', 31);
INSERT INTO `sys_oper_log` VALUES (117, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"path\":\"beers\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:02:13', 20);
INSERT INTO `sys_oper_log` VALUES (118, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"商品更换里\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":2001,\"path\":\"goods\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:02:46', 95);
INSERT INTO `sys_oper_log` VALUES (119, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:02:46\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2012,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":2001,\"path\":\"goods\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:03:11', 118);
INSERT INTO `sys_oper_log` VALUES (120, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"一物一码\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2001,\"path\":\"qrcode\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:04:17', 90);
INSERT INTO `sys_oper_log` VALUES (121, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:04:55', 67);
INSERT INTO `sys_oper_log` VALUES (122, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:05:11', 91);
INSERT INTO `sys_oper_log` VALUES (123, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2013,\"path\":\"batch\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:06:11', 102);
INSERT INTO `sys_oper_log` VALUES (124, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"商品二维码\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"beerqrcode\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:06:48', 58);
INSERT INTO `sys_oper_log` VALUES (125, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:06:48\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2015,\"menuName\":\"商品二维码\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2013,\"path\":\"beerqrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:07:05', 25);
INSERT INTO `sys_oper_log` VALUES (126, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_brewery_banner,wy_beer_qrcode,wy_beer_review_like,wy_beer_review_reply,wy_activity,wy_redeem_order,wy_beer_coin_plan,wy_beer_review,wy_beer,wy_beer_qrcode_batch\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:20:22', 377);
INSERT INTO `sys_oper_log` VALUES (127, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_goods,wy_brewery,wy_brewery_auth\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:20:43', 105);
INSERT INTO `sys_oper_log` VALUES (128, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"activity\",\"className\":\"WyActivity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":2,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityType\",\"columnComment\":\"活动类型\",\"columnId\":3,\"columnName\":\"activity_type\",\"columnType\":\"smallint(2)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityName\",\"columnComment\":\"活动名称\",\"columnId\":4,\"columnName\":\"activity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:25:24', 73);
INSERT INTO `sys_oper_log` VALUES (129, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"beer\",\"className\":\"WyBeer\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":14,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":15,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerName\",\"columnComment\":\"啤酒名称\",\"columnId\":16,\"columnName\":\"beer_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Cover\",\"columnComment\":\"封面图\",\"columnId\":17,\"columnName\":\"cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"cover\",\"javaType\":\"String\",', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:27:13', 227);
INSERT INTO `sys_oper_log` VALUES (130, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"plan\",\"className\":\"WyBeerCoinPlan\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":36,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":37,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PlanName\",\"columnComment\":\"方案名\",\"columnId\":38,\"columnName\":\"plan_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"planName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ReceivedUserCount\",\"columnComment\":\"可领取用户数量\",\"columnId\":39,\"columnName\":\"received_user_count\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"j', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:29:00', 66);
INSERT INTO `sys_oper_log` VALUES (131, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"batch\",\"className\":\"WyBeerQrcodeBatch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":64,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方\",\"columnId\":65,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchSn\",\"columnComment\":\"批次编号\",\"columnId\":66,\"columnName\":\"batch_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":67,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:29:34', 111);
INSERT INTO `sys_oper_log` VALUES (132, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"qrcode\",\"className\":\"WyBeerQrcode\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":48,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":49,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":50,\"columnName\":\"batch_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BearId\",\"columnComment\":\"啤酒id\",\"columnId\":51,\"columnName\":\"bear_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"bearId\",\"javaType\":\"Long\",\"list\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:30:32', 86);
INSERT INTO `sys_oper_log` VALUES (133, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"review\",\"className\":\"WyBeerReview\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":74,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":75,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":76,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户id\",\"columnId\":77,\"columnName\":\"user_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":tr', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:32:32', 171);
INSERT INTO `sys_oper_log` VALUES (134, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"like\",\"className\":\"WyBeerReviewLike\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":88,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":89,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":90,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ReviewId\",\"columnComment\":\"评价id\",\"columnId\":91,\"columnName\":\"review_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"reviewId\",\"javaType\":\"Long\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:33:13', 117);
INSERT INTO `sys_oper_log` VALUES (135, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"reply\",\"className\":\"WyBeerReviewReply\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":98,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":99,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":100,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ReviewId\",\"columnComment\":\"评论id\",\"columnId\":101,\"columnName\":\"review_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"reviewId\",\"javaType\":\"Lon', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:34:05', 31);
INSERT INTO `sys_oper_log` VALUES (136, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"banner\",\"className\":\"WyBreweryBanner\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":109,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":110,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BannerType\",\"columnComment\":\"广告图类型\",\"columnId\":111,\"columnName\":\"banner_type\",\"columnType\":\"smallint(3)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"bannerType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BannerOrder\",\"columnComment\":\"显示顺序\",\"columnId\":112,\"columnName\":\"banner_order\",\"columnType\":\"smallint(3)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaFi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:36:40', 143);
INSERT INTO `sys_oper_log` VALUES (137, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"order\",\"className\":\"WyRedeemOrder\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":119,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":120,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"OrderSn\",\"columnComment\":\"订单编号\",\"columnId\":121,\"columnName\":\"order_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"orderSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"GoodsId\",\"columnComment\":\"商品id\",\"columnId\":122,\"columnName\":\"goods_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsId\",\"javaTy', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:41:19', 209);
INSERT INTO `sys_oper_log` VALUES (138, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"redeemOrder\",\"className\":\"WyRedeemOrder\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":119,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:41:19\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":120,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:41:19\",\"usableColumn\":false},{\"capJavaField\":\"OrderSn\",\"columnComment\":\"订单编号\",\"columnId\":121,\"columnName\":\"order_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"orderSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:41:19\",\"usableColumn\":false},{\"capJavaField\":\"GoodsId\",\"columnComment\":\"商品id\",\"columnId\":122,\"columnName\":\"goods_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isInc', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:42:22', 93);
INSERT INTO `sys_oper_log` VALUES (139, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"brewery\",\"className\":\"WyBrewery\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"品牌id\",\"columnId\":140,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BrandName\",\"columnComment\":\"品牌名称\",\"columnId\":141,\"columnName\":\"brand_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"brandName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BrandCode\",\"columnComment\":\"品牌编号\",\"columnId\":142,\"columnName\":\"brand_code\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"brandCode\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Country\",\"columnComment\":\"所在国家\",\"columnId\":143,\"columnName\":\"country\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequir', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:43:05', 172);
INSERT INTO `sys_oper_log` VALUES (140, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"auth\",\"className\":\"WyBreweryAuth\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":158,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"酒厂id\",\"columnId\":159,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductionLicense\",\"columnComment\":\"生产许可证\",\"columnId\":160,\"columnName\":\"production_license\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"productionLicense\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Producer\",\"columnComment\":\"生产商\",\"columnId\":161,\"columnName\":\"producer\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:43:23', 38);
INSERT INTO `sys_oper_log` VALUES (141, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"goods\",\"className\":\"WyGoods\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":174,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方\",\"columnId\":175,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"GoodsName\",\"columnComment\":\"商品名称\",\"columnId\":176,\"columnName\":\"goods_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"GoodsCover\",\"columnComment\":\"图片\",\"columnId\":177,\"columnName\":\"goods_cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsCo', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:43:44', 115);
INSERT INTO `sys_oper_log` VALUES (142, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_activity,wy_beer,wy_beer_coin_plan,wy_beer_qrcode,wy_beer_qrcode_batch,wy_beer_review,wy_beer_review_like,wy_beer_review_reply,wy_brewery_banner,wy_redeem_order,wy_brewery,wy_brewery_auth,wy_goods\"}', NULL, 0, NULL, '2024-12-21 19:46:04', 1456);
INSERT INTO `sys_oper_log` VALUES (143, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_brewery_user,wy_brewery_menu,wy_brewery_user_role,wy_brewery_role_menu\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:27:17', 172);
INSERT INTO `sys_oper_log` VALUES (144, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"menu\",\"className\":\"WyBreweryMenu\",\"columns\":[{\"capJavaField\":\"MenuId\",\"columnComment\":\"菜单ID\",\"columnId\":193,\"columnName\":\"menu_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"menuId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MenuName\",\"columnComment\":\"菜单名称\",\"columnId\":194,\"columnName\":\"menu_name\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"menuName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父菜单ID\",\"columnId\":195,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"OrderNum\",\"columnComment\":\"显示顺序\",\"columnId\":196,\"columnName\":\"order_num\",\"columnType\":\"int(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isReq', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:28:02', 124);
INSERT INTO `sys_oper_log` VALUES (145, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"menu\",\"className\":\"WyBreweryRoleMenu\",\"columns\":[{\"capJavaField\":\"RoleId\",\"columnComment\":\"角色ID\",\"columnId\":213,\"columnName\":\"role_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"roleId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MenuId\",\"columnComment\":\"菜单ID\",\"columnId\":214,\"columnName\":\"menu_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"menuId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"品牌方角色和菜单关联\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"brewery\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.brewery\",\"params\":{},\"sub\":false,\"tableComment\":\"品牌方角色和菜单关联表\",\"tableId\":15,\"tableName\":\"wy_brewery_role_menu\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:28:13', 52);
INSERT INTO `sys_oper_log` VALUES (146, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"user\",\"className\":\"WyBreweryUser\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":215,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"DeptId\",\"columnComment\":\"部门ID\",\"columnId\":216,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":217,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserName\",\"columnComment\":\"用户账号\",\"columnId\":218,\"columnName\":\"user_name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequir', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:29:03', 205);
INSERT INTO `sys_oper_log` VALUES (147, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"role\",\"className\":\"WyBreweryUserRole\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":235,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":17,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RoleId\",\"columnComment\":\"角色ID\",\"columnId\":236,\"columnName\":\"role_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"roleId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":17,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"品牌方用户和角色关联\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"brewery\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.brewery\",\"params\":{},\"sub\":false,\"tableComment\":\"品牌方用户和角色关联表\",\"tableId\":17,\"tableName\":\"wy_brewery_user_role\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:29:12', 39);
INSERT INTO `sys_oper_log` VALUES (148, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_brewery_menu,wy_brewery_role_menu,wy_brewery_user,wy_brewery_user_role\"}', NULL, 0, NULL, '2024-12-22 11:29:18', 403);
INSERT INTO `sys_oper_log` VALUES (149, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/menu/brewery\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"品牌方菜单管理\",\"menuType\":\"C\",\"orderNum\":21,\"params\":{},\"parentId\":0,\"path\":\"breweryMenu\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 20:41:15', 78);
INSERT INTO `sys_oper_log` VALUES (150, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"qrcode/index\",\"createTime\":\"2024-12-24 00:23:15\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":9,\"menuName\":\"二维码数据明细\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":3,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 20:41:35\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 20:41:35', 76);
INSERT INTO `sys_oper_log` VALUES (151, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"product/commodity\",\"createTime\":\"2024-12-26 20:42:55\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":16,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"commodity\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 20:42:55', 52);
INSERT INTO `sys_oper_log` VALUES (152, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', '研发部门', '/tool/gen/synchDb/wy_goods', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 21:11:59', 179);
INSERT INTO `sys_oper_log` VALUES (153, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"goods\",\"className\":\"WyGoods\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":174,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-26 21:11:59\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方\",\"columnId\":175,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-26 21:11:59\",\"usableColumn\":false},{\"capJavaField\":\"GoodsName\",\"columnComment\":\"商品名称\",\"columnId\":176,\"columnName\":\"goods_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-26 21:11:59\",\"usableColumn\":false},{\"capJavaField\":\"GoodsCover\",\"columnComment\":\"图片\",\"columnId\":177,\"columnName\":\"goods_cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 21:12:31', 90);
INSERT INTO `sys_oper_log` VALUES (154, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"product/commodity/index\",\"createTime\":\"2024-12-26 20:42:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":16,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"commodity\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 21:15:04\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 21:15:04', 113);
INSERT INTO `sys_oper_log` VALUES (155, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"product/commodity/index\",\"createTime\":\"2024-12-26 20:42:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":16,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":3,\"path\":\"commodity\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 22:16:21\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 22:16:21', 86);
INSERT INTO `sys_oper_log` VALUES (156, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"qrcode/index\",\"createTime\":\"2024-12-24 00:23:15\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":9,\"menuName\":\"二维码数据明细\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":3,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 22:16:25\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 22:16:25', 10);
INSERT INTO `sys_oper_log` VALUES (157, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"qrcode/bath/index\",\"createTime\":\"2024-12-26 22:17:19\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":17,\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":3,\"path\":\"bath\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 22:17:19', 36);
INSERT INTO `sys_oper_log` VALUES (158, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"qrcode/batch/index\",\"createTime\":\"2024-12-26 22:17:20\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":17,\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":3,\"path\":\"bath\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 22:17:59\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 22:17:59', 33);
INSERT INTO `sys_oper_log` VALUES (159, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"qrcode/batch/index\",\"createTime\":\"2024-12-26 22:17:20\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":17,\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":3,\"path\":\"batch\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 22:18:13\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 22:18:13', 56);
INSERT INTO `sys_oper_log` VALUES (160, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_bar\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-02 21:47:56', 124);
INSERT INTO `sys_oper_log` VALUES (161, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"bar\",\"className\":\"WyBar\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":237,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-02 21:47:56\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BarName\",\"columnComment\":\"酒吧名称\",\"columnId\":238,\"columnName\":\"bar_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-02 21:47:56\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"barName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BarNumber\",\"columnComment\":\"酒吧编号\",\"columnId\":239,\"columnName\":\"bar_number\",\"columnType\":\"varchar(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-02 21:47:56\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"barNumber\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BarLogo\",\"columnComment\":\"酒吧logo\",\"columnId\":240,\"columnName\":\"bar_logo\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-02 21:47:56\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"barLogo\",\"java', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-02 21:49:12', 69);
INSERT INTO `sys_oper_log` VALUES (162, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_bar\"}', NULL, 0, NULL, '2025-01-02 21:49:17', 354);
INSERT INTO `sys_oper_log` VALUES (163, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_bar_user,wy_bar_role,wy_bar_user_role,wy_bar_role_menu\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 18:32:41', 165);
INSERT INTO `sys_oper_log` VALUES (164, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"barRole\",\"className\":\"WyBarRole\",\"columns\":[{\"capJavaField\":\"RoleId\",\"columnComment\":\"角色ID\",\"columnId\":254,\"columnName\":\"role_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:40\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"roleId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":19,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RoleName\",\"columnComment\":\"角色名称\",\"columnId\":255,\"columnName\":\"role_name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"roleName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":19,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RoleKey\",\"columnComment\":\"角色权限字符串\",\"columnId\":256,\"columnName\":\"role_key\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"roleKey\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":19,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RoleSort\",\"columnComment\":\"显示顺序\",\"columnId\":257,\"columnName\":\"role_sort\",\"columnType\":\"int(4)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"is', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 18:33:17', 177);
INSERT INTO `sys_oper_log` VALUES (165, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"barRoleMmenu\",\"className\":\"WyBarRoleMenu\",\"columns\":[{\"capJavaField\":\"RoleId\",\"columnComment\":\"角色ID\",\"columnId\":268,\"columnName\":\"role_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:40\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"roleId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":20,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MenuId\",\"columnComment\":\"菜单ID\",\"columnId\":269,\"columnName\":\"menu_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:40\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"menuId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":20,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"品牌方角色和菜单关联\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"bar\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.system\",\"params\":{},\"sub\":false,\"tableComment\":\"品牌方角色和菜单关联表\",\"tableId\":20,\"tableName\":\"wy_bar_role_menu\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 18:33:36', 27);
INSERT INTO `sys_oper_log` VALUES (166, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"barUser\",\"className\":\"WyBarUser\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":270,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:41\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":21,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"DeptId\",\"columnComment\":\"部门ID\",\"columnId\":271,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:41\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":21,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BarId\",\"columnComment\":\"酒吧id\",\"columnId\":272,\"columnName\":\"bar_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:41\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"barId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":21,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserName\",\"columnComment\":\"用户账号\",\"columnId\":273,\"columnName\":\"user_name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:41\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaF', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 18:33:53', 109);
INSERT INTO `sys_oper_log` VALUES (167, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"BarRole\",\"className\":\"WyBarUserRole\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":290,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:41\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":22,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RoleId\",\"columnComment\":\"角色ID\",\"columnId\":291,\"columnName\":\"role_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-04 18:32:41\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"roleId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":22,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"品牌方用户和角色关联\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"bar\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.system\",\"params\":{},\"sub\":false,\"tableComment\":\"品牌方用户和角色关联表\",\"tableId\":22,\"tableName\":\"wy_bar_user_role\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 18:34:09', 23);
INSERT INTO `sys_oper_log` VALUES (168, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_bar_user_role,wy_bar_user,wy_bar_role_menu,wy_bar_role\"}', NULL, 0, NULL, '2025-01-04 18:34:27', 550);
INSERT INTO `sys_oper_log` VALUES (169, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_platform_banner\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 23:39:35', 128);
INSERT INTO `sys_oper_log` VALUES (170, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"platFormBanner\",\"className\":\"WyPlatformBanner\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":292,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BannerName\",\"columnComment\":\"banner名称\",\"columnId\":293,\"columnName\":\"banner_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"bannerName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BannerType\",\"columnComment\":\"banner位置\",\"columnId\":294,\"columnName\":\"banner_type\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"bannerType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BannerUrl\",\"columnComment\":\"图片链接\",\"columnId\":295,\"columnName\":\"banner_url\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 23:41:03', 75);
INSERT INTO `sys_oper_log` VALUES (171, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_platform_banner\"}', NULL, 0, NULL, '2025-01-05 23:41:30', 109);
INSERT INTO `sys_oper_log` VALUES (172, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_platform_activity_bar,wy_platform_activity,wy_platform_feature_page,wy_platform_feature_beer\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 22:05:40', 185);
INSERT INTO `sys_oper_log` VALUES (173, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"activity\",\"className\":\"WyPlatformActivity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":310,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":24,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityType\",\"columnComment\":\"1定向 2招募\",\"columnId\":311,\"columnName\":\"activity_type\",\"columnType\":\"smallint(2)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":24,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityName\",\"columnComment\":\"活动名称\",\"columnId\":312,\"columnName\":\"activity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":24,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityDesc\",\"columnComment\":\"活动描述\",\"columnId\":313,\"columnName\":\"activity_desc\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"is', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 22:06:43', 223);
INSERT INTO `sys_oper_log` VALUES (174, '代码生成', 3, 'com.ruoyi.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', '研发部门', '/tool/gen/25', '127.0.0.1', '内网IP', '[25]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 22:07:28', 87);
INSERT INTO `sys_oper_log` VALUES (175, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_platform_activity_beer\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 22:08:49', 24);
INSERT INTO `sys_oper_log` VALUES (176, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"PlatformFeatureBeer\",\"className\":\"WyPlatformFeatureBeer\",\"columns\":[{\"capJavaField\":\"PageId\",\"columnComment\":\"专题id\",\"columnId\":332,\"columnName\":\"page_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"pageId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":1,\"superColumn\":false,\"tableId\":26,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"酒款id\",\"columnId\":333,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":26,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerName\",\"columnComment\":\"酒款名称\",\"columnId\":334,\"columnName\":\"beer_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"beerName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":26,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerCover\",\"columnComment\":\"酒款封面\",\"columnId\":335,\"columnName\":\"beer_cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 22:09:39', 38);
INSERT INTO `sys_oper_log` VALUES (177, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"PlatFormFeaturePage\",\"className\":\"WyPlatformFeaturePage\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":336,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":27,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PageName\",\"columnComment\":\"专题页名称\",\"columnId\":337,\"columnName\":\"page_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"pageName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":27,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SubTitle\",\"columnComment\":\"副标题\",\"columnId\":338,\"columnName\":\"sub_title\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"subTitle\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":27,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PageDesc\",\"columnComment\":\"备注\",\"columnId\":339,\"columnName\":\"page_desc\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 22:10:13', 64);
INSERT INTO `sys_oper_log` VALUES (178, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"PlatformActivityBeer\",\"className\":\"WyPlatformActivityBeer\",\"columns\":[{\"capJavaField\":\"ActivityId\",\"columnComment\":\"平台活动id\",\"columnId\":354,\"columnName\":\"activity_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:08:49\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"activityId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":28,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"酒款id\",\"columnId\":355,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:08:49\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":28,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"平台活动酒款\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"system\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.system\",\"params\":{},\"sub\":false,\"tableComment\":\"平台活动酒款表\",\"tableId\":28,\"tableName\":\"wy_platform_activity_beer\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 22:10:37', 122);
INSERT INTO `sys_oper_log` VALUES (179, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_platform_activity,wy_platform_feature_beer,wy_platform_feature_page,wy_platform_activity_beer\"}', NULL, 0, NULL, '2025-01-06 22:10:46', 654);
INSERT INTO `sys_oper_log` VALUES (180, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"小程序运营\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"mpOperation\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:07:17', 126);
INSERT INTO `sys_oper_log` VALUES (181, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"brewery/redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:07:44', 53);
INSERT INTO `sys_oper_log` VALUES (182, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 21:06:37\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"store\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:07:52', 26);
INSERT INTO `sys_oper_log` VALUES (183, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"mp/banner/index\",\"createBy\":\"admin\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuName\":\"banner管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2095,\"path\":\"banner\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:15:25', 140);
INSERT INTO `sys_oper_log` VALUES (184, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"platFormBanner\",\"className\":\"WyPlatformBanner\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":292,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"updateTime\":\"2025-01-05 23:41:03\",\"usableColumn\":false},{\"capJavaField\":\"BannerName\",\"columnComment\":\"banner名称\",\"columnId\":293,\"columnName\":\"banner_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"bannerName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"updateTime\":\"2025-01-05 23:41:03\",\"usableColumn\":false},{\"capJavaField\":\"BannerType\",\"columnComment\":\"banner位置\",\"columnId\":294,\"columnName\":\"banner_type\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"bannerType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"updateTime\":\"2025-01-05 23:41:03\",\"usableColumn\":false},{\"capJavaField\":\"BannerUrl\",\"columnComment\":\"图片链接\",\"columnId\":295,\"columnName\":\"banner_url\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-05 23:39:35\",\"dictType\":\"\",\"edit\":true,\"htmlTyp', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:17:33', 80);
INSERT INTO `sys_oper_log` VALUES (185, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"activity\",\"className\":\"WyPlatformActivity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":310,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":24,\"updateBy\":\"\",\"updateTime\":\"2025-01-06 22:06:42\",\"usableColumn\":false},{\"capJavaField\":\"ActivityType\",\"columnComment\":\"1定向 2招募\",\"columnId\":311,\"columnName\":\"activity_type\",\"columnType\":\"smallint(2)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":24,\"updateBy\":\"\",\"updateTime\":\"2025-01-06 22:06:42\",\"usableColumn\":false},{\"capJavaField\":\"ActivityName\",\"columnComment\":\"活动名称\",\"columnId\":312,\"columnName\":\"activity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":24,\"updateBy\":\"\",\"updateTime\":\"2025-01-06 22:06:42\",\"usableColumn\":false},{\"capJavaField\":\"ActivityDesc\",\"columnComment\":\"活动描述\",\"columnId\":313,\"columnName\":\"activity_desc\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:21:28', 122);
INSERT INTO `sys_oper_log` VALUES (186, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"activity\",\"className\":\"WyActivity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:25:24\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":2,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:25:24\",\"usableColumn\":false},{\"capJavaField\":\"ActivityType\",\"columnComment\":\"活动类型\",\"columnId\":3,\"columnName\":\"activity_type\",\"columnType\":\"smallint(2)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:25:24\",\"usableColumn\":false},{\"capJavaField\":\"ActivityName\",\"columnComment\":\"活动名称\",\"columnId\":4,\"columnName\":\"activity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:21:42', 102);
INSERT INTO `sys_oper_log` VALUES (187, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"mp/activity/index\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"活动管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2095,\"path\":\"activity\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:24:35', 70);
INSERT INTO `sys_oper_log` VALUES (188, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"mp/banner/index\",\"createTime\":\"2025-01-06 23:15:25\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2096,\"menuName\":\"banner管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2095,\"path\":\"/banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:29:30', 35);
INSERT INTO `sys_oper_log` VALUES (189, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"mp/banner/index\",\"createTime\":\"2025-01-06 23:15:25\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2096,\"menuName\":\"banner管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2095,\"path\":\"mpOperation/banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:31:11', 127);
INSERT INTO `sys_oper_log` VALUES (190, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"mp/banner/index\",\"createTime\":\"2025-01-06 23:15:25\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2096,\"menuName\":\"banner管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2095,\"path\":\"banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:31:58', 63);
INSERT INTO `sys_oper_log` VALUES (191, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"brewery/banner/index\",\"createTime\":\"2024-12-21 20:05:20\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2028,\"menuName\":\"品牌方广告图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"banner1\",\"perms\":\"brewery:banner:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:32:57', 36);
INSERT INTO `sys_oper_log` VALUES (192, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"brewery/activity/index\",\"createTime\":\"2024-12-21 20:04:59\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"营销活动\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"activity1\",\"perms\":\"brewery:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 23:33:07', 39);
INSERT INTO `sys_oper_log` VALUES (193, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '127.0.0.1', '内网IP', '{\"bannerLink\":\"pages/activityList/activityList\",\"bannerName\":\"第一张\",\"bannerUrl\":\"http://39.104.21.219:28082/profile/upload/2025/01/06/bar-bg_20250106235739A002.png\",\"clickCount\":1,\"clickRate\":1,\"createTime\":\"2025-01-06 23:58:58\",\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'banner_type\' doesn\'t have a default value\r\n### The error may exist in file [C:\\Users\\Administrator\\IdeaProjects\\RuoYi-Vue-ZhiDian\\ruoyi-system\\target\\classes\\mapper\\system\\WyPlatformBannerMapper.xml]\r\n### The error may involve com.ruoyi.system.mapper.WyPlatformBannerMapper.insertWyPlatformBanner-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into wy_platform_banner          ( banner_name,                          banner_url,             banner_link,             publish_state,             show_order,             show_start_time,             show_end_time,             show_count,             click_count,             click_rate,             show_region,                          create_time )           values ( ?,                          ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,                          ? )\r\n### Cause: java.sql.SQLException: Field \'banner_type\' doesn\'t have a default value\n; Field \'banner_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'banner_type\' doesn\'t have a default value', '2025-01-06 23:58:58', 149);
INSERT INTO `sys_oper_log` VALUES (194, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '127.0.0.1', '内网IP', '{\"bannerLink\":\"pages/activityList/activityList\",\"bannerName\":\"第一张\",\"bannerUrl\":\"http://39.104.21.219:28082/profile/upload/2025/01/06/bar-bg_20250106235739A002.png\",\"clickCount\":1,\"clickRate\":1,\"createTime\":\"2025-01-06 23:59:27\",\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'banner_type\' doesn\'t have a default value\r\n### The error may exist in file [C:\\Users\\Administrator\\IdeaProjects\\RuoYi-Vue-ZhiDian\\ruoyi-system\\target\\classes\\mapper\\system\\WyPlatformBannerMapper.xml]\r\n### The error may involve com.ruoyi.system.mapper.WyPlatformBannerMapper.insertWyPlatformBanner-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into wy_platform_banner          ( banner_name,                          banner_url,             banner_link,             publish_state,             show_order,             show_start_time,             show_end_time,             show_count,             click_count,             click_rate,             show_region,                          create_time )           values ( ?,                          ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,                          ? )\r\n### Cause: java.sql.SQLException: Field \'banner_type\' doesn\'t have a default value\n; Field \'banner_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'banner_type\' doesn\'t have a default value', '2025-01-06 23:59:27', 4);
INSERT INTO `sys_oper_log` VALUES (195, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '127.0.0.1', '内网IP', '{\"bannerLink\":\"pages/activityList/activityList\",\"bannerName\":\"第一张\",\"bannerUrl\":\"http://39.104.21.219:28082/profile/upload/2025/01/06/bar-bg_20250106235739A002.png\",\"clickCount\":1,\"clickRate\":1,\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\"}', '{\"msg\":\"轮播图类型不能为空\",\"code\":500}', 0, NULL, '2025-01-07 00:02:13', 9);
INSERT INTO `sys_oper_log` VALUES (196, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"PlatFormFeaturePage\",\"className\":\"WyPlatformFeaturePage\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":336,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":27,\"updateBy\":\"\",\"updateTime\":\"2025-01-06 22:10:13\",\"usableColumn\":false},{\"capJavaField\":\"PageName\",\"columnComment\":\"专题页名称\",\"columnId\":337,\"columnName\":\"page_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"pageName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":27,\"updateBy\":\"\",\"updateTime\":\"2025-01-06 22:10:13\",\"usableColumn\":false},{\"capJavaField\":\"SubTitle\",\"columnComment\":\"副标题\",\"columnId\":338,\"columnName\":\"sub_title\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"subTitle\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":27,\"updateBy\":\"\",\"updateTime\":\"2025-01-06 22:10:13\",\"usableColumn\":false},{\"capJavaField\":\"PageDesc\",\"columnComment\":\"备注\",\"columnId\":339,\"columnName\":\"page_desc\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-06 22:05:40\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 23:05:52', 94);
INSERT INTO `sys_oper_log` VALUES (197, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"mp/platformFeaturePage/index\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"专辑管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2095,\"path\":\"featurePage\",\"perms\":\"system:PlatFormFeaturePage:list\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 23:18:51', 130);
INSERT INTO `sys_oper_log` VALUES (198, '啤酒', 2, 'com.ruoyi.web.controller.brewery.WyBeerController.approve()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/beer/approve', '127.0.0.1', '内网IP', '{\"approve\":1,\"approveReason\":\"\",\"beerId\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 23:00:12', 84);
INSERT INTO `sys_oper_log` VALUES (199, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:01:05\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:01:05', 89);
INSERT INTO `sys_oper_log` VALUES (200, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:01:18\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:01:18', 80);
INSERT INTO `sys_oper_log` VALUES (201, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:02:54\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:02:54', 47);
INSERT INTO `sys_oper_log` VALUES (202, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:03:08\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:03:08', 67);
INSERT INTO `sys_oper_log` VALUES (203, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:04:01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:04:01', 88);
INSERT INTO `sys_oper_log` VALUES (204, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"asdasdasdasd\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:11:27\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:11:27', 152);
INSERT INTO `sys_oper_log` VALUES (205, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"asdasdasdasdsadsadsadsad\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:11:46\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:11:46', 32);
INSERT INTO `sys_oper_log` VALUES (206, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:14:35\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:14:35', 64);
INSERT INTO `sys_oper_log` VALUES (207, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '127.0.0.1', '内网IP', '{\"activityDesc\":\"<p><img src=\\\"/dev-api/profile/upload/2025/01/05/bar-bg_20250105164546A009.png\\\"></p >\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:18:52\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:18:52', 147);
INSERT INTO `sys_oper_log` VALUES (208, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_beer_qrcode_scan_log\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-27 21:03:29', 129);
INSERT INTO `sys_oper_log` VALUES (209, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"QrcodeScanLog\",\"className\":\"WyBeerQrcodeScanLog\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":356,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-27 21:03:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":29,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CodeId\",\"columnComment\":\"二维码id\",\"columnId\":357,\"columnName\":\"code_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-27 21:03:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"codeId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":29,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnId\":358,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-27 21:03:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":29,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnId\":359,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-27 21:03:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-27 21:05:02', 132);
INSERT INTO `sys_oper_log` VALUES (210, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_beer_qrcode_scan_log\"}', NULL, 0, NULL, '2025-01-27 21:05:08', 384);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '岗位信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色和部门关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2025-01-27 21:03:17', 'admin', '2024-12-19 20:11:54', '', '2025-01-27 21:03:17', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-19 20:11:54', 'admin', '2024-12-19 20:11:54', '', NULL, '测试员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '用户与岗位关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

-- ----------------------------
-- Table structure for wy_activity
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity`;
CREATE TABLE `wy_activity`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL COMMENT '品牌方id',
  `activity_type` smallint(2) NOT NULL COMMENT '1定向 2招募',
  `activity_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '活动名称',
  `activity_desc` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '活动描述',
  `activity_status` tinyint(2) NULL DEFAULT NULL COMMENT '0无效 1有效',
  `beer_scope` tinyint(2) NOT NULL DEFAULT 0 COMMENT '活动产品范围：0无限制，1特定产品',
  `beer_id` int(11) NULL DEFAULT NULL COMMENT '活动产品id',
  `activity_target` int(11) NOT NULL COMMENT '活动目标（桶）',
  `activity_reward_type` tinyint(2) NOT NULL COMMENT '奖励方式 1商品，2啤酒币',
  `activity_reward_goods_id` int(11) NULL DEFAULT NULL COMMENT '奖励商品id（activity_reward_type=1）',
  `activity_reward_count` int(11) NOT NULL COMMENT '奖励数量',
  `start_date` datetime NULL DEFAULT NULL COMMENT '活动参与开始日期',
  `end_date` datetime NULL DEFAULT NULL COMMENT '活动参与截至日期',
  `duration` int(11) NULL DEFAULT NULL COMMENT '持续时间(天)，招募类型活动时生效',
  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '活动城市',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '营销活动' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_activity
-- ----------------------------
INSERT INTO `wy_activity` VALUES (1, 1, 2, '测试', '简介', 1, 0, NULL, 0, 0, NULL, 0, '2024-12-30 00:00:00', '2024-12-31 00:00:00', NULL, NULL, '', '2024-12-30 21:15:35', '', NULL, NULL);
INSERT INTO `wy_activity` VALUES (2, 1, 1, '测试活动', '<p><img src=\"/dev-api/profile/upload/2025/01/05/bar-bg_20250105164546A009.png\"></p >', 1, 1, 2, 12, 2, 1, 12, '2024-12-30 00:00:00', '2024-12-31 00:00:00', 2, '呼和浩特', '', '2024-12-30 23:46:19', '', '2025-01-26 23:18:52', NULL);
INSERT INTO `wy_activity` VALUES (3, 1, 2, '11', NULL, 1, 1, 1, 123, 2, NULL, 123, '2025-01-28 00:00:00', '2025-01-31 00:00:00', 30, '呼和浩特', '', '2025-01-02 20:49:14', '', NULL, NULL);
INSERT INTO `wy_activity` VALUES (4, 1, 2, '招募活动', '活动真实有效，快来参加吧', 1, 0, NULL, 10, 1, 3, 12, '2025-01-01 00:00:00', '2025-01-11 00:00:00', 10, '呼和浩特', '', '2025-01-02 21:03:33', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_activity_bar
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity_bar`;
CREATE TABLE `wy_activity_bar`  (
  `activity_id` int(11) NOT NULL,
  `bar_id` int(11) NOT NULL,
  PRIMARY KEY (`activity_id`, `bar_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '活动参与酒吧' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_activity_bar
-- ----------------------------

-- ----------------------------
-- Table structure for wy_activity_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity_beer`;
CREATE TABLE `wy_activity_beer`  (
  `activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `beer_id` int(11) NOT NULL COMMENT '酒款id',
  PRIMARY KEY (`activity_id`, `beer_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '平台活动酒款表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_activity_beer
-- ----------------------------

-- ----------------------------
-- Table structure for wy_bar
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar`;
CREATE TABLE `wy_bar`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bar_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒吧名称',
  `bar_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒吧编号',
  `bar_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '酒吧logo',
  `bar_contact_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系方式',
  `province` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所在省',
  `city` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所在城市',
  `district` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所在区',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '地址',
  `last_auth_time` datetime NULL DEFAULT NULL COMMENT '最后认证时间',
  `auth_state` tinyint(2) NOT NULL DEFAULT 0 COMMENT '认证状态',
  `business_license` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '营业执照',
  `approval_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '审核理由',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `storefront_photo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '门头照',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒吧' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_bar
-- ----------------------------
INSERT INTO `wy_bar` VALUES (1, '魅力时刻', '18006181', 'http://barLogo', '13312345678', NULL, NULL, NULL, '呼和浩特啊实打实的撒', NULL, 0, 'http://businessLicense', NULL, '', '2025-01-04 20:19:47', '', NULL, NULL, NULL);
INSERT INTO `wy_bar` VALUES (2, '魅力时刻', '92778839', 'http://barLogo', '18147107797', NULL, NULL, NULL, '呼和浩特啊实打实的撒', NULL, 0, 'http://businessLicense', NULL, '', '2025-01-05 14:36:41', '', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for wy_bar_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_role`;
CREATE TABLE `wy_bar_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_bar_role
-- ----------------------------
INSERT INTO `wy_bar_role` VALUES (1, '酒吧创建人', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '超级管理员');
INSERT INTO `wy_bar_role` VALUES (2, '酒吧员工', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for wy_bar_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_role_menu`;
CREATE TABLE `wy_bar_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_bar_role_menu
-- ----------------------------
INSERT INTO `wy_bar_role_menu` VALUES (1, 1);

-- ----------------------------
-- Table structure for wy_bar_user
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_user`;
CREATE TABLE `wy_bar_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `bar_id` int(11) NULL DEFAULT NULL COMMENT '酒吧id',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `open_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '微信openid',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_bar_user
-- ----------------------------
INSERT INTO `wy_bar_user` VALUES (1, NULL, 1, '13312345678', '里斯', '00', '', '13312345678', '0', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '', NULL, NULL, '', '2025-01-04 20:19:47', '', NULL, NULL);
INSERT INTO `wy_bar_user` VALUES (2, NULL, 2, '18147107797', '里斯', '00', '', '18147107797', '0', 'http://barLogo', '$2a$10$U2MEXNyFwEhIbDaXNftW9uGmglo/82WlY1wR7ExWYoHmNYhMy5jZK', '0', '0', '', NULL, 'o79Dx6-Ha9r7U_luLtzTxCMG8uNg', '', '2025-01-05 14:36:41', '', '2025-01-05 17:53:40', NULL);

-- ----------------------------
-- Table structure for wy_bar_user_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_user_role`;
CREATE TABLE `wy_bar_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_bar_user_role
-- ----------------------------
INSERT INTO `wy_bar_user_role` VALUES (1, 1);
INSERT INTO `wy_bar_user_role` VALUES (2, 1);

-- ----------------------------
-- Table structure for wy_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer`;
CREATE TABLE `wy_beer`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `brand_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_styles` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_abv` decimal(10, 2) NULL DEFAULT NULL COMMENT '酒精度',
  `beer_ibus` decimal(10, 2) NULL DEFAULT NULL COMMENT '苦度值',
  `beer_reviews_count` int(11) NULL DEFAULT NULL COMMENT '评论数',
  `beer_overall_rating` decimal(10, 2) NULL DEFAULT NULL COMMENT '综合评分',
  `barcode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `on_sale` tinyint(1) NULL DEFAULT 0,
  `beer_og` decimal(10, 2) NULL DEFAULT NULL COMMENT '原麦汁浓度',
  `market_price` decimal(10, 2) NULL DEFAULT NULL,
  `specs` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `desc` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL,
  `scan_coin_count` int(11) NULL DEFAULT NULL COMMENT '扫码获得啤酒币数',
  `launch_date` date NULL DEFAULT NULL COMMENT '上市日期',
  `approval` tinyint(1) NULL DEFAULT 0 COMMENT '审核状态',
  `approval_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '审核拒绝理由',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `beer_sn`(`beer_sn` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '啤酒' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer
-- ----------------------------
INSERT INTO `wy_beer` VALUES (1, 1, '青岛啤酒', 'http://39.104.21.219:28082/profile/upload/2024/12/25/WX20241225-221430@2x_20241225232021A001.png', 'http://39.104.21.219:28082/profile/upload/2024/12/25/icon-logo_20241225232027A002.png', '1231245436457', '小麦啤酒（Wheat beer）', 8.00, 1.00, NULL, NULL, '9876543123', 0, 12.00, 8.00, '1', '<p>很好喝</p>', 1, '2024-12-25', 1, '', '', '2024-12-25 23:22:19', '', '2025-01-08 23:00:12', NULL);

-- ----------------------------
-- Table structure for wy_beer_coin_plan
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_coin_plan`;
CREATE TABLE `wy_beer_coin_plan`  (
  `id` int(11) NOT NULL,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `plan_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `received_user_count` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '可领取用户数量',
  `received_coin_count` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '每用户可领取啤酒币数量',
  `effective_days` int(11) NULL DEFAULT NULL COMMENT '有效天数',
  `receive_times` int(11) NULL DEFAULT NULL COMMENT '每日领取次数',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '啤酒币方案' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer_coin_plan
-- ----------------------------

-- ----------------------------
-- Table structure for wy_beer_qrcode
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_qrcode`;
CREATE TABLE `wy_beer_qrcode`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `batch_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `sku_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `qrcode_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `qrcode_status` tinyint(2) NULL DEFAULT NULL COMMENT '0未核销 1已核销 2已失效',
  `verify_time` datetime NULL DEFAULT NULL COMMENT '核销时间',
  `scan_times` int(11) NULL DEFAULT NULL COMMENT '被扫次数',
  `verify_city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '核销城市',
  `verify_ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '核销ip',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒品二维码' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer_qrcode
-- ----------------------------
INSERT INTO `wy_beer_qrcode` VALUES (1, 1, 4, 1, 'd3cbde5a33c44cd7b118b1e80a2fb5a8', 'http://127.0.0.1:9090/qrcode/dc28ac3e-9345-4dd5-9859-530540667a8a/d3cbde5a33c44cd7b118b1e80a2fb5a8.jpg.jpg', 0, NULL, NULL, NULL, NULL, '', NULL, '', NULL, NULL);
INSERT INTO `wy_beer_qrcode` VALUES (2, 1, 4, 1, '1ceb469063f847ebb9b110ee10e62078', 'http://127.0.0.1:9090/qrcode/dc28ac3e-9345-4dd5-9859-530540667a8a/1ceb469063f847ebb9b110ee10e62078.jpg.jpg', 0, NULL, NULL, NULL, NULL, '', NULL, '', NULL, NULL);
INSERT INTO `wy_beer_qrcode` VALUES (3, 1, 4, 1, 'd79e09b7d602487198164af9acc1307b', 'http://127.0.0.1:9090/qrcode/dc28ac3e-9345-4dd5-9859-530540667a8a/d79e09b7d602487198164af9acc1307b.jpg.jpg', 0, NULL, NULL, NULL, NULL, '', NULL, '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_beer_qrcode_batch
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_qrcode_batch`;
CREATE TABLE `wy_beer_qrcode_batch`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL COMMENT '品牌方',
  `batch_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `generate_num` int(11) NULL DEFAULT NULL,
  `generate_state` tinyint(2) NULL DEFAULT 0 COMMENT '0未用 1已用',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '批次' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer_qrcode_batch
-- ----------------------------
INSERT INTO `wy_beer_qrcode_batch` VALUES (1, 1, '11', 1, 11, 1, '', '2024-12-26 22:30:16', '', NULL, NULL);
INSERT INTO `wy_beer_qrcode_batch` VALUES (3, 1, '06cef56b-a19d-4872-83cc-a50b683dccae', 1, 1, 1, '', '2024-12-26 23:40:00', '', '2024-12-26 23:40:42', NULL);
INSERT INTO `wy_beer_qrcode_batch` VALUES (4, 1, 'dc28ac3e-9345-4dd5-9859-530540667a8a', 1, 3, 1, '', '2025-01-22 23:26:59', '', '2025-01-25 21:26:46', NULL);

-- ----------------------------
-- Table structure for wy_beer_qrcode_scan_log
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_qrcode_scan_log`;
CREATE TABLE `wy_beer_qrcode_scan_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code_id` int(11) NULL DEFAULT NULL COMMENT '二维码id',
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL COMMENT '扫码人id',
  `sku_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `scan_status` tinyint(2) NULL DEFAULT NULL COMMENT '扫码结果 0无效 1有效',
  `scan_time` datetime NULL DEFAULT NULL COMMENT '扫码时间',
  `scan_city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '扫码城市',
  `scan_ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '扫码ip',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒品二维码扫码记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer_qrcode_scan_log
-- ----------------------------
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (1, NULL, 1, 1, NULL, 'd3cbde5a33c44cd7b118b1e80a2fb5a8', 0, NULL, NULL, NULL, '', NULL, '', NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (2, NULL, 1, 1, NULL, '1ceb469063f847ebb9b110ee10e62078', 0, NULL, NULL, NULL, '', NULL, '', NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (3, NULL, 1, 1, NULL, 'd79e09b7d602487198164af9acc1307b', 0, NULL, NULL, NULL, '', NULL, '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_beer_review
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_review`;
CREATE TABLE `wy_beer_review`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `review_content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `taste_rating` int(11) NULL DEFAULT NULL COMMENT '口味评分',
  `aroma_rating` int(11) NULL DEFAULT NULL COMMENT '香味评分',
  `color_rating` int(11) NULL DEFAULT NULL COMMENT '颜色评分',
  `overall_rating` int(11) NULL DEFAULT NULL COMMENT '综合评分',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `review_img` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒评' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer_review
-- ----------------------------
INSERT INTO `wy_beer_review` VALUES (3, 1, 1, 1, '很好', 3, 3, 3, 3, '', '2025-01-25 14:24:28', '', NULL, NULL, 'http://baidu.com/123.png');

-- ----------------------------
-- Table structure for wy_beer_review_like
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_review_like`;
CREATE TABLE `wy_beer_review_like`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `review_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒评点赞' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer_review_like
-- ----------------------------

-- ----------------------------
-- Table structure for wy_beer_review_reply
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_review_reply`;
CREATE TABLE `wy_beer_review_reply`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `review_id` int(11) NULL DEFAULT NULL,
  `reply_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `replay_content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒评回复' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_beer_review_reply
-- ----------------------------

-- ----------------------------
-- Table structure for wy_brewery
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery`;
CREATE TABLE `wy_brewery`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '品牌id',
  `brand_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '品牌名称',
  `brand_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '品牌编号',
  `country` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '所在国家',
  `province` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '所在省份',
  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '所在地区',
  `contact_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系人',
  `contact_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系电话',
  `building_date` date NULL DEFAULT NULL COMMENT '创立日期',
  `desc` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '简介',
  `state` tinyint(2) NULL DEFAULT 1 COMMENT '状态 0无效 1有效',
  `authorized` tinyint(1) NULL DEFAULT 0 COMMENT '认证 0未认证 1已认证',
  `brand_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '品牌logo',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery
-- ----------------------------
INSERT INTO `wy_brewery` VALUES (1, '青岛啤酒', '0100101', '中国', '内蒙古', '呼和浩特', '张三', '13812341234', '2010-10-10', '这是简介', 1, 0, NULL, '', NULL, '', '2024-12-24 23:03:16', NULL);

-- ----------------------------
-- Table structure for wy_brewery_auth
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_auth`;
CREATE TABLE `wy_brewery_auth`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL COMMENT '酒厂id',
  `production_license` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '生产许可证',
  `producer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '生产商',
  `production_license_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生产许可证编号',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '地址',
  `customer_support_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '客服电话',
  `business_entity` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '主体信息',
  `manager` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人姓名',
  `manager_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人联系电话',
  `authorization_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '品牌授权书',
  `state` tinyint(2) NULL DEFAULT 0 COMMENT '状态 0待确认 1已确认 2拒绝',
  `approval_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '审核不通过原因',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '主体认证信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_auth
-- ----------------------------
INSERT INTO `wy_brewery_auth` VALUES (1, 1, 'http://39.104.21.219:28082/profile/upload/2024/12/25/logo_20241225214124A005.png', '青岛啤酒', 'BGB23123123123', '内蒙古 呼和浩特', '400123500', '青岛啤酒有限公司', '张三', '18012345678', 'http://39.104.21.219:28082/profile/upload/2024/12/25/icon-logo_20241225214136A006.png', 0, NULL, '', '2024-12-25 20:49:25', '', '2024-12-25 21:41:55', NULL);

-- ----------------------------
-- Table structure for wy_brewery_banner
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_banner`;
CREATE TABLE `wy_brewery_banner`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL,
  `banner_type` smallint(3) NOT NULL DEFAULT 1 COMMENT '1封面图 2轮播图',
  `banner_order` smallint(3) NOT NULL,
  `banner_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方广告图' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_banner
-- ----------------------------
INSERT INTO `wy_brewery_banner` VALUES (1, 1, 2, 1, 'http://39.104.21.219:28082/profile/upload/2024/12/25/WX20241225-221430@2x_20241225221910A001.png', '', '2024-12-25 21:54:59', '', '2024-12-25 22:19:12', '这是第一张');
INSERT INTO `wy_brewery_banner` VALUES (2, 1, 2, 2, 'http://39.104.21.219:28082/profile/upload/2024/12/25/WX20241225-221446@2x_20241225222331A002.png', '', '2024-12-25 22:23:52', '', NULL, NULL);
INSERT INTO `wy_brewery_banner` VALUES (3, 1, 1, 1, 'http://39.104.21.219:28082/profile/upload/2024/12/25/logo_20241225222730A001.png', '', '2024-12-25 22:27:46', '', '2024-12-25 22:30:05', NULL);

-- ----------------------------
-- Table structure for wy_brewery_menu
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_menu`;
CREATE TABLE `wy_brewery_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(11) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(11) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_menu
-- ----------------------------
INSERT INTO `wy_brewery_menu` VALUES (2, '酒评管理', 0, 4, 'beerReview', 'beerReview/index', NULL, '', 1, 1, 'C', '0', '0', NULL, 'pjgl', '', '2024-12-23 21:51:12', '', '2024-12-24 21:23:52', '');
INSERT INTO `wy_brewery_menu` VALUES (3, '商品管理', 0, 2, 'product', '', NULL, '', 1, 0, 'M', '0', '0', NULL, 'spdl', '', '2024-12-23 23:06:11', '', '2024-12-24 21:24:10', '');
INSERT INTO `wy_brewery_menu` VALUES (4, '营销推广', 0, 3, 'marketing', 'marketing/index', NULL, '', 1, 0, 'C', '0', '0', NULL, 'yxtg', '', '2024-12-23 23:32:36', '', '2024-12-24 21:24:27', '');
INSERT INTO `wy_brewery_menu` VALUES (5, '数据统计', 0, 5, 'statistics', '', NULL, '', 1, 0, 'M', '0', '0', NULL, 'server', '', '2024-12-23 23:34:53', '', '2024-12-24 00:56:00', '');
INSERT INTO `wy_brewery_menu` VALUES (6, '增值服务', 0, 6, 'valueAdded', 'valueAdded/index', NULL, '', 1, 0, 'C', '0', '0', NULL, 'zzfw', '', '2024-12-23 23:36:45', '', '2024-12-24 21:24:35', '');
INSERT INTO `wy_brewery_menu` VALUES (7, '店铺设置', 0, 1, 'brewery', '', NULL, '', 1, 0, 'M', '0', '0', NULL, 'dpgl', '', '2024-12-23 23:47:37', '', '2024-12-24 21:24:48', '');
INSERT INTO `wy_brewery_menu` VALUES (8, '酒款管理', 3, 1, 'beers', 'product/beers/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-24 00:12:32', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (9, '二维码数据明细', 3, 4, 'qrcode', 'qrcode/index', NULL, '', 1, 0, 'C', '0', '0', '', '#', '', '2024-12-24 00:23:15', '', '2024-12-26 22:16:26', '');
INSERT INTO `wy_brewery_menu` VALUES (10, '核销数据统计', 5, 1, 'verification', 'statistics/verification', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-24 00:51:19', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (11, '核销数量排行', 5, 2, 'ranking', 'statistics/ranking', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-24 00:53:28', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (15, '品牌广告图', 7, 2, 'banner', 'brewery/banner', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-24 01:11:47', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (16, '商品管理', 3, 2, 'commodity', 'product/commodity/index', NULL, '', 1, 0, 'C', '0', '0', '', '#', '', '2024-12-26 20:42:55', '', '2024-12-26 22:16:21', '');
INSERT INTO `wy_brewery_menu` VALUES (17, '批次管理', 3, 3, 'batch', 'qrcode/batch/index', NULL, '', 1, 0, 'C', '0', '0', '', '#', '', '2024-12-26 22:17:20', '', '2024-12-26 22:18:14', '');

-- ----------------------------
-- Table structure for wy_brewery_menu2
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_menu2`;
CREATE TABLE `wy_brewery_menu2`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2052 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_menu2
-- ----------------------------
INSERT INTO `wy_brewery_menu2` VALUES (1, '系统管理', 0, 9, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:34', '系统管理目录');
INSERT INTO `wy_brewery_menu2` VALUES (2052, '兑换订单', 0, 1, '/redeemOrder', 'brewery/redeemOrder/index', NULL, '', 1, 0, 'C', '0', '1', 'brewery:redeemOrder:list', '#', 'admin', '2024-12-21 20:06:01', 'admin', '2024-12-23 21:08:24', '兑换订单菜单');

-- ----------------------------
-- Table structure for wy_brewery_menu_copy1
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_menu_copy1`;
CREATE TABLE `wy_brewery_menu_copy1`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2093 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_menu_copy1
-- ----------------------------
INSERT INTO `wy_brewery_menu_copy1` VALUES (1, '系统管理', 0, 9, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:34', '系统管理目录');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2, '系统监控', 0, 10, 'monitor', NULL, '', '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:39', '系统监控目录');
INSERT INTO `wy_brewery_menu_copy1` VALUES (3, '系统工具', 0, 11, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-12-19 20:11:55', 'admin', '2024-12-19 21:25:43', '系统工具目录');
INSERT INTO `wy_brewery_menu_copy1` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-12-19 20:11:55', '', NULL, '用户管理菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-12-19 20:11:55', '', NULL, '角色管理菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-12-19 20:11:55', '', NULL, '菜单管理菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-12-19 20:11:55', '', NULL, '部门管理菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-12-19 20:11:55', '', NULL, '岗位管理菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-12-19 20:11:55', '', NULL, '字典管理菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-12-19 20:11:55', '', NULL, '参数设置菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-12-19 20:11:55', '', NULL, '通知公告菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-12-19 20:11:55', '', NULL, '日志管理菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-12-19 20:11:55', '', NULL, '在线用户菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-12-19 20:11:55', '', NULL, '定时任务菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-12-19 20:11:55', '', NULL, '数据监控菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-12-19 20:11:55', '', NULL, '服务监控菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存监控菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存列表菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-12-19 20:11:55', '', NULL, '表单构建菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-12-19 20:11:55', '', NULL, '代码生成菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-12-19 20:11:55', '', NULL, '系统接口菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-12-19 20:11:55', '', NULL, '操作日志菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-12-19 20:11:55', '', NULL, '登录日志菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1016, '部门查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1017, '部门新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1018, '部门修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1019, '部门删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2000, '店铺设置', 0, 1, 'store', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'dashboard', 'admin', '2024-12-19 21:06:37', 'admin', '2024-12-19 21:06:58', '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2001, '商品管理', 0, 2, 'product', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'shopping', 'admin', '2024-12-19 21:27:03', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2002, '营销推广', 0, 3, 'marketing', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'server', 'admin', '2024-12-19 21:28:38', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2003, '酒评管理', 0, 4, 'review', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'star', 'admin', '2024-12-19 21:29:53', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2004, '数据统计', 0, 5, 'statistics', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'chart', 'admin', '2024-12-19 21:30:45', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2005, '增值服务', 0, 6, 'upgrade', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'skill', 'admin', '2024-12-19 21:32:15', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2006, '店铺信息', 2000, 1, 'storeinfo', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 21:53:36', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2007, '店铺装修', 2000, 2, 'decoration', NULL, NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2024-12-19 21:55:16', 'admin', '2024-12-19 22:00:48', '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2008, '打印设置', 1, 3, 'printcfg', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, 'clipboard', 'admin', '2024-12-19 21:58:23', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2009, '酒厂封面图', 2007, 1, 'cover', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:05', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2010, '酒厂轮播图', 2007, 2, 'banners', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:28', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2011, '酒品管理', 2001, 1, 'beers', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:02:13', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2012, '商品管理', 2001, 2, 'goods', NULL, NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2024-12-19 22:02:46', 'admin', '2024-12-19 22:03:10', '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2013, '一物一码', 0, 3, 'qrcode', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'component', 'admin', '2024-12-19 22:04:17', 'admin', '2024-12-19 22:05:11', '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2014, '批次管理', 2013, 1, 'batch', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:06:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2015, '商品二维码', 2013, 2, 'beerqrcode', NULL, NULL, '', 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-12-19 22:06:48', 'admin', '2024-12-19 22:07:05', '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2016, '营销活动', 3, 1, 'activity', 'brewery/activity/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:activity:list', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '营销活动菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2017, '营销活动查询', 2016, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:query', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2018, '营销活动新增', 2016, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:add', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2019, '营销活动修改', 2016, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:edit', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2020, '营销活动删除', 2016, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:remove', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2021, '营销活动导出', 2016, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:export', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2022, '主体认证信息', 3, 1, 'auth', 'brewery/auth/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:auth:list', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '主体认证信息菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2023, '主体认证信息查询', 2022, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:query', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2024, '主体认证信息新增', 2022, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:add', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2025, '主体认证信息修改', 2022, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:edit', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2026, '主体认证信息删除', 2022, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:remove', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2027, '主体认证信息导出', 2022, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:export', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2028, '品牌方广告图', 3, 1, 'banner', 'brewery/banner/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:banner:list', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '品牌方广告图菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2029, '品牌方广告图查询', 2028, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:query', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2030, '品牌方广告图新增', 2028, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:add', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2031, '品牌方广告图修改', 2028, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:edit', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2032, '品牌方广告图删除', 2028, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:remove', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2033, '品牌方广告图导出', 2028, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:export', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2034, '批次', 3, 1, 'batch', 'brewery/batch/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:batch:list', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '批次菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2035, '批次查询', 2034, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:query', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2036, '批次新增', 2034, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:add', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2037, '批次修改', 2034, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:edit', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2038, '批次删除', 2034, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:remove', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2039, '批次导出', 2034, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:export', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2040, '酒评', 3, 1, 'review', 'brewery/review/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:review:list', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '酒评菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2041, '酒评查询', 2040, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:query', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2042, '酒评新增', 2040, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:add', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2043, '酒评修改', 2040, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:edit', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2044, '酒评删除', 2040, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:remove', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2045, '酒评导出', 2040, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:export', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2046, '酒评回复', 3, 1, 'reply', 'brewery/reply/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:reply:list', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '酒评回复菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2047, '酒评回复查询', 2046, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:query', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2048, '酒评回复新增', 2046, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:add', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2049, '酒评回复修改', 2046, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:edit', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2050, '酒评回复删除', 2046, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:remove', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2051, '酒评回复导出', 2046, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:export', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2052, '兑换订单', 0, 1, 'redeemOrder', 'brewery/redeemOrder/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:redeemOrder:list', '#', 'admin', '2024-12-21 20:06:01', '', NULL, '兑换订单菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2053, '兑换订单查询', 2052, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:query', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2054, '兑换订单新增', 2052, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:add', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2055, '兑换订单修改', 2052, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:edit', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2056, '兑换订单删除', 2052, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:remove', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2057, '兑换订单导出', 2052, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:export', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2058, '酒品二维码', 3, 1, 'qrcode', 'brewery/qrcode/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:qrcode:list', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '酒品二维码菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2059, '酒品二维码查询', 2058, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:query', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2060, '酒品二维码新增', 2058, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:add', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2061, '酒品二维码修改', 2058, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:edit', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2062, '酒品二维码删除', 2058, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:remove', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2063, '酒品二维码导出', 2058, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:export', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2064, '啤酒币方案', 3, 1, 'plan', 'brewery/plan/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:plan:list', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '啤酒币方案菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2065, '啤酒币方案查询', 2064, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:query', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2066, '啤酒币方案新增', 2064, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:add', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2067, '啤酒币方案修改', 2064, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:edit', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2068, '啤酒币方案删除', 2064, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:remove', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2069, '啤酒币方案导出', 2064, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:export', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2070, '酒评点赞', 3, 1, 'like', 'brewery/like/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:like:list', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '酒评点赞菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2071, '酒评点赞查询', 2070, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:query', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2072, '酒评点赞新增', 2070, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:add', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2073, '酒评点赞修改', 2070, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:edit', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2074, '酒评点赞删除', 2070, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:remove', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2075, '酒评点赞导出', 2070, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:export', '#', 'admin', '2024-12-21 20:06:08', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2076, '兑换商品', 3, 1, 'goods', 'brewery/goods/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:goods:list', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '兑换商品菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2077, '兑换商品查询', 2076, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:query', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2078, '兑换商品新增', 2076, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:add', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2079, '兑换商品修改', 2076, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:edit', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2080, '兑换商品删除', 2076, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:remove', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2081, '兑换商品导出', 2076, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:export', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2082, '品牌方', 3, 1, 'brewery', 'brewery/brewery/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:brewery:list', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '品牌方菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2083, '品牌方查询', 2082, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:query', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2084, '品牌方新增', 2082, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:add', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2085, '品牌方修改', 2082, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:edit', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2086, '品牌方删除', 2082, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:remove', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2087, '品牌方导出', 2082, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:export', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2088, '啤酒', 3, 1, 'beer', 'brewery/beer/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:beer:list', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '啤酒菜单');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2089, '啤酒查询', 2088, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:query', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2090, '啤酒新增', 2088, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:add', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2091, '啤酒修改', 2088, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:edit', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2092, '啤酒删除', 2088, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:remove', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `wy_brewery_menu_copy1` VALUES (2093, '啤酒导出', 2088, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:export', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');

-- ----------------------------
-- Table structure for wy_brewery_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_role`;
CREATE TABLE `wy_brewery_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_role
-- ----------------------------
INSERT INTO `wy_brewery_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '超级管理员');
INSERT INTO `wy_brewery_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for wy_brewery_role_copy1
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_role_copy1`;
CREATE TABLE `wy_brewery_role_copy1`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_role_copy1
-- ----------------------------
INSERT INTO `wy_brewery_role_copy1` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '超级管理员');
INSERT INTO `wy_brewery_role_copy1` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for wy_brewery_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_role_menu`;
CREATE TABLE `wy_brewery_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_role_menu
-- ----------------------------
INSERT INTO `wy_brewery_role_menu` VALUES (1, 1);

-- ----------------------------
-- Table structure for wy_brewery_role_menu_copy1
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_role_menu_copy1`;
CREATE TABLE `wy_brewery_role_menu_copy1`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_role_menu_copy1
-- ----------------------------
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 2);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 3);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 4);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 100);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 101);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 102);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 103);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 104);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 105);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 106);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 107);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 108);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 109);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 110);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 111);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 112);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 113);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 114);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 115);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 116);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 117);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 500);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 501);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1000);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1001);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1002);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1003);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1004);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1005);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1006);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1007);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1008);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1009);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1010);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1011);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1012);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1013);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1014);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1015);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1016);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1017);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1018);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1019);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1020);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1021);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1022);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1023);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1024);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1025);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1026);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1027);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1028);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1029);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1030);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1031);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1032);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1033);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1034);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1035);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1036);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1037);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1038);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1039);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1040);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1041);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1042);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1043);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1044);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1045);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1046);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1047);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1048);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1049);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1050);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1051);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1052);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1053);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1054);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1055);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1056);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1057);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1058);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1059);
INSERT INTO `wy_brewery_role_menu_copy1` VALUES (2, 1060);

-- ----------------------------
-- Table structure for wy_brewery_user
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_user`;
CREATE TABLE `wy_brewery_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `brewery_id` int(11) NULL DEFAULT NULL,
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_user
-- ----------------------------
INSERT INTO `wy_brewery_user` VALUES (1, 103, 1, 'zhangsan', '青岛啤酒张三', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-21 19:19:13', 'admin', '2024-12-19 20:11:54', '', '2024-12-21 19:19:12', '管理员');
INSERT INTO `wy_brewery_user` VALUES (2, 105, 1, 'lisi', '青岛啤酒李四', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-19 20:11:54', 'admin', '2024-12-19 20:11:54', '', NULL, '测试员');

-- ----------------------------
-- Table structure for wy_brewery_user_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_user_role`;
CREATE TABLE `wy_brewery_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_brewery_user_role
-- ----------------------------
INSERT INTO `wy_brewery_user_role` VALUES (1, 1);
INSERT INTO `wy_brewery_user_role` VALUES (2, 2);

-- ----------------------------
-- Table structure for wy_favorited_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_favorited_beer`;
CREATE TABLE `wy_favorited_beer`  (
  `user_id` int(11) NOT NULL,
  `beer_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`, `beer_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_favorited_beer
-- ----------------------------

-- ----------------------------
-- Table structure for wy_favorited_brewery
-- ----------------------------
DROP TABLE IF EXISTS `wy_favorited_brewery`;
CREATE TABLE `wy_favorited_brewery`  (
  `user_id` int(11) NOT NULL,
  `brewery_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`, `brewery_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_favorited_brewery
-- ----------------------------

-- ----------------------------
-- Table structure for wy_goods
-- ----------------------------
DROP TABLE IF EXISTS `wy_goods`;
CREATE TABLE `wy_goods`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL COMMENT '品牌方',
  `goods_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '商品名称',
  `goods_cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '图片',
  `specs` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '规格',
  `purchase_method` smallint(2) NULL DEFAULT NULL COMMENT '购买方式 1啤酒币兑换 2返利兑换',
  `redeemed` tinyint(1) NULL DEFAULT 0 COMMENT '是否可兑换 0不可 1可以',
  `redeemed_num` int(11) NULL DEFAULT NULL COMMENT '啤酒币兑换数',
  `goods_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '编号',
  `goods_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '本店售价',
  `market_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '市场售价',
  `stock_num` int(11) NULL DEFAULT NULL COMMENT '库存数量',
  `frozen_num` int(11) NULL DEFAULT NULL COMMENT '冻结数量',
  `on_sale` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '上架 0不上架 1上架',
  `icons` int(11) NULL DEFAULT 0,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `goods_sn`(`goods_sn` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '兑换商品' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_goods
-- ----------------------------
INSERT INTO `wy_goods` VALUES (1, 1, '燕京U8', 'http://39.104.21.219:28082/profile/upload/2024/12/26/WX20241225-221430@2x_20241226212942A001.png', '1123', 1, 0, 14, '2134234', 12.00, 15.00, 999, 120, '1', 1, '', '2024-12-26 21:29:45', '', '2024-12-26 22:19:41', NULL);
INSERT INTO `wy_goods` VALUES (3, 1, '雪鹿', 'http://39.104.21.219:28082/profile/upload/2024/12/30/WX20241225-221446@2x_20241230230911A001.png', '12', 2, 0, 10, '123123', 4.00, 12.00, 122, 111, '1', 0, '', '2024-12-30 23:09:14', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_platform_activity
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_activity`;
CREATE TABLE `wy_platform_activity`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activity_type` smallint(2) NOT NULL COMMENT '1定向 2招募',
  `activity_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '活动名称',
  `activity_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '活动描述',
  `activity_status` tinyint(2) NULL DEFAULT NULL COMMENT '0无效 1有效',
  `beer_scope` tinyint(2) NOT NULL DEFAULT 0 COMMENT '活动产品范围：0无限制，1特定产品',
  `beer_id` int(11) NULL DEFAULT NULL COMMENT '活动产品id',
  `activity_target` int(11) NOT NULL COMMENT '活动目标（桶）',
  `activity_reward_type` tinyint(2) NOT NULL COMMENT '奖励方式 1商品，2啤酒币',
  `activity_reward_goods_id` int(11) NULL DEFAULT NULL COMMENT '奖励商品id（activity_reward_type=1）',
  `activity_reward_count` int(11) NOT NULL COMMENT '奖励数量',
  `start_date` datetime NULL DEFAULT NULL COMMENT '活动参与开始日期',
  `end_date` datetime NULL DEFAULT NULL COMMENT '活动参与截至日期',
  `duration` int(11) NULL DEFAULT NULL COMMENT '持续时间(天)，招募类型活动时生效',
  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '活动城市',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '营销活动' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_platform_activity
-- ----------------------------
INSERT INTO `wy_platform_activity` VALUES (1, 2, '测试', '简介', 1, 0, NULL, 0, 0, NULL, 0, '2024-12-30 00:00:00', '2024-12-31 00:00:00', NULL, NULL, '', '2024-12-30 21:15:35', '', NULL, NULL);
INSERT INTO `wy_platform_activity` VALUES (2, 2, '测试', NULL, 1, 1, 1, 12, 2, NULL, 12, '2025-01-29 00:00:00', '2025-01-31 00:00:00', 10, '呼和浩特', '', '2025-01-02 20:48:35', '', NULL, NULL);
INSERT INTO `wy_platform_activity` VALUES (3, 2, '11', NULL, 1, 1, 1, 123, 2, NULL, 123, '2025-01-28 00:00:00', '2025-01-31 00:00:00', 30, '呼和浩特', '', '2025-01-02 20:49:14', '', NULL, NULL);
INSERT INTO `wy_platform_activity` VALUES (4, 2, '招募活动', '活动真实有效，快来参加吧', 1, 0, NULL, 10, 1, 3, 12, '2025-01-01 00:00:00', '2025-01-11 00:00:00', 10, '呼和浩特', '', '2025-01-02 21:03:33', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_platform_activity_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_activity_beer`;
CREATE TABLE `wy_platform_activity_beer`  (
  `activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `beer_id` int(11) NOT NULL COMMENT '酒款id',
  PRIMARY KEY (`activity_id`, `beer_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '平台活动酒款表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_platform_activity_beer
-- ----------------------------

-- ----------------------------
-- Table structure for wy_platform_banner
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_banner`;
CREATE TABLE `wy_platform_banner`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `banner_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'banner名称',
  `banner_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'banner位置',
  `banner_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '图片链接',
  `banner_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '跳转链接',
  `publish_state` tinyint(1) NOT NULL DEFAULT 0 COMMENT '发布状态',
  `show_order` int(11) NOT NULL DEFAULT 1 COMMENT '显示顺序',
  `show_start_time` datetime NULL DEFAULT NULL,
  `show_end_time` datetime NULL DEFAULT NULL,
  `show_count` int(11) NULL DEFAULT 0 COMMENT '曝光量',
  `click_count` int(11) NULL DEFAULT 0 COMMENT '点击量',
  `click_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '点击率',
  `show_region` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '显示地区',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_platform_banner
-- ----------------------------

-- ----------------------------
-- Table structure for wy_platform_feature_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_feature_beer`;
CREATE TABLE `wy_platform_feature_beer`  (
  `page_id` int(11) NOT NULL COMMENT '专题id',
  `beer_id` int(11) NOT NULL COMMENT '酒款id',
  `beer_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒款名称',
  `beer_cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒款封面'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '专题页酒款表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_platform_feature_beer
-- ----------------------------

-- ----------------------------
-- Table structure for wy_platform_feature_page
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_feature_page`;
CREATE TABLE `wy_platform_feature_page`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '专题页名称',
  `sub_title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '副标题',
  `page_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `platform_activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '封面图',
  `page_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '跳转链接',
  `publish_state` tinyint(4) NOT NULL DEFAULT 0 COMMENT '发布状态0未发布 1已发布 2已下架',
  `show_order` int(11) NULL DEFAULT 1 COMMENT '排序规则',
  `show_region` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '显示地区',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `show_count` int(11) NULL DEFAULT 0 COMMENT '曝光量',
  `click_count` int(11) NULL DEFAULT 0 COMMENT '点击量',
  `click_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '点击率',
  `page_content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '专题页内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '专题页' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_platform_feature_page
-- ----------------------------
INSERT INTO `wy_platform_feature_page` VALUES (1, 'TasteRoom 风味屋·风味之旅系列', '探索啤酒风味新边界', '这是备注', 3, 'http://ma.zdtap.com/profile/upload/2025/01/15/切图 1 (1)_20250115235403A001.png', NULL, 1, 1, NULL, '', '2025-01-15 23:54:05', '', '2025-01-16 00:13:16', NULL, 0, 0, 0.00, NULL);

-- ----------------------------
-- Table structure for wy_platform_feature_page2
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_feature_page2`;
CREATE TABLE `wy_platform_feature_page2`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '专题页名称',
  `sub_title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '副标题',
  `page_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `platform_activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '封面图',
  `page_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '跳转链接',
  `publish_state` tinyint(2) NOT NULL DEFAULT 0 COMMENT '发布状态0未发布 1已发布 2已下架',
  `show_order` int(11) NULL DEFAULT 1 COMMENT '排序规则',
  `show_region` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '显示地区',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `show_count` int(11) NULL DEFAULT 0 COMMENT '曝光量',
  `click_count` int(11) NULL DEFAULT 0 COMMENT '点击量',
  `click_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '点击率',
  `page_content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '专题页内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '专题页' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_platform_feature_page2
-- ----------------------------

-- ----------------------------
-- Table structure for wy_redeem_order
-- ----------------------------
DROP TABLE IF EXISTS `wy_redeem_order`;
CREATE TABLE `wy_redeem_order`  (
  `id` int(11) NOT NULL,
  `brewery_id` int(11) NOT NULL,
  `order_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `goods_id` int(11) NULL DEFAULT NULL,
  `goods_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `beer_coin_num` int(11) NULL DEFAULT NULL,
  `platform_coin_num` int(11) NULL DEFAULT NULL,
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `contact_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `contact_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `order_status` tinyint(2) NULL DEFAULT NULL,
  `shipping_status` tinyint(2) NULL DEFAULT NULL,
  `paid_time` datetime NULL DEFAULT NULL,
  `shipping_time` datetime NULL DEFAULT NULL,
  `tracking_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '快递单号',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '兑换订单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_redeem_order
-- ----------------------------

-- ----------------------------
-- Table structure for wy_wechat_user
-- ----------------------------
DROP TABLE IF EXISTS `wy_wechat_user`;
CREATE TABLE `wy_wechat_user`  (
  `open_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '微信openid',
  `app_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '小程序appid',
  `nickname` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '用户昵称',
  `avatar` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '头像',
  `create_time` datetime NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  PRIMARY KEY (`open_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '微信用户' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_wechat_user
-- ----------------------------
INSERT INTO `wy_wechat_user` VALUES ('o79Dx6-Ha9r7U_luLtzTxCMG8uNg', 'wxafc7be9f3ada44a0', NULL, NULL, '2025-01-05 11:27:02', NULL, NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
