/*
 Navicat Premium Data Transfer

 Source Server         : local5.7
 Source Server Type    : MySQL
 Source Server Version : 80012
 Source Host           : localhost:3306
 Source Schema         : zhidian2

 Target Server Type    : MySQL
 Target Server Version : 80012
 File Encoding         : 65001

 Date: 16/02/2025 01:08:56
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 'wy_activity', '营销活动', NULL, NULL, 'WyActivity', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'activity', '营销活动', 'kxl', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47', NULL);
INSERT INTO `gen_table` VALUES (2, 'wy_beer', '啤酒', NULL, NULL, 'WyBeer', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'beer', '啤酒', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08', NULL);
INSERT INTO `gen_table` VALUES (3, 'wy_beer_coin_plan', '啤酒币方案', NULL, NULL, 'WyBeerCoinPlan', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'plan', '啤酒币方案', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:26', NULL);
INSERT INTO `gen_table` VALUES (4, 'wy_beer_qrcode', '酒品二维码', NULL, NULL, 'WyBeerQrcode', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'qrcode', '酒品二维码', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12', NULL);
INSERT INTO `gen_table` VALUES (5, 'wy_beer_qrcode_batch', '批次', NULL, NULL, 'WyBeerQrcodeBatch', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'batch', '批次', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00', NULL);
INSERT INTO `gen_table` VALUES (6, 'wy_beer_review', '酒评', NULL, NULL, 'WyBeerReview', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'review', '酒评', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08', NULL);
INSERT INTO `gen_table` VALUES (7, 'wy_beer_review_like', '酒评点赞', NULL, NULL, 'WyBeerReviewLike', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'like', '酒评点赞', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:20:14', NULL);
INSERT INTO `gen_table` VALUES (8, 'wy_beer_review_reply', '酒评回复', NULL, NULL, 'WyBeerReviewReply', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'reply', '酒评回复', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08', NULL);
INSERT INTO `gen_table` VALUES (9, 'wy_brewery_banner', '品牌方广告图', NULL, NULL, 'WyBreweryBanner', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'banner', '品牌方广告图', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38', NULL);
INSERT INTO `gen_table` VALUES (10, 'wy_redeem_order', '兑换订单', NULL, NULL, 'WyRedeemOrder', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'redeemOrder', '兑换订单', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10', NULL);
INSERT INTO `gen_table` VALUES (11, 'wy_brewery', '品牌方', NULL, NULL, 'WyBrewery', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'brewery', '品牌方', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00', NULL);
INSERT INTO `gen_table` VALUES (12, 'wy_brewery_auth', '主体认证信息', NULL, NULL, 'WyBreweryAuth', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'auth', '主体认证信息', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22', NULL);
INSERT INTO `gen_table` VALUES (13, 'wy_goods', '兑换商品', NULL, NULL, 'WyGoods', 'crud', 'element-plus', 'com.ruoyi.brewery', 'brewery', 'goods', '兑换商品', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04', NULL);
INSERT INTO `gen_table` VALUES (14, 'wy_brewery_menu', '品牌方菜单权限表', NULL, NULL, 'WyBreweryMenu', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'menu', '品牌方菜单权限', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02', NULL);
INSERT INTO `gen_table` VALUES (15, 'wy_brewery_role_menu', '品牌方角色和菜单关联表', NULL, NULL, 'WyBreweryRoleMenu', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'menu', '品牌方角色和菜单关联', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:13', NULL);
INSERT INTO `gen_table` VALUES (16, 'wy_brewery_user', '品牌方用户信息表', NULL, NULL, 'WyBreweryUser', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'user', '品牌方用户信息', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03', NULL);
INSERT INTO `gen_table` VALUES (17, 'wy_brewery_user_role', '品牌方用户和角色关联表', NULL, NULL, 'WyBreweryUserRole', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'role', '品牌方用户和角色关联', 'ruoyi', '0', '/', '{}', 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:12', NULL);
INSERT INTO `gen_table` VALUES (18, 'wy_bar', '酒吧', NULL, NULL, 'WyBar', 'crud', 'element-plus', 'com.ruoyi.system', 'system', 'bar', '酒吧', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42', NULL);
INSERT INTO `gen_table` VALUES (19, 'wy_platform_activity', '营销活动', NULL, NULL, 'WyPlatformActivity', 'crud', 'element-plus', 'com.ruoyi.system', 'system', 'activity', '营销活动', 'ruoyi', '0', '/', '{}', 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20', NULL);
INSERT INTO `gen_table` VALUES (20, 'wy_brewery_tag_print_template', '品牌方标签套打模板', NULL, NULL, 'WyBreweryTagPrintTemplate', 'crud', 'element-ui', 'com.ruoyi.brewery', 'brewery', 'breweryTagPrintTemplate', '品牌方标签套打模板', 'ruoyi', '0', '/', '{}', 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54', NULL);
INSERT INTO `gen_table` VALUES (21, 'wy_platform_bill_template', '酒单套打模板', NULL, NULL, 'WyPlatformBillTemplate', 'crud', 'element-ui', 'com.ruoyi.system', 'system', 'billTemplate', '酒单套打模板', 'ruoyi', '0', '/', '{}', 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:11', NULL);
INSERT INTO `gen_table` VALUES (22, 'wy_activity_bar', '活动参与酒吧', NULL, NULL, 'WyActivityBar', 'crud', 'element-ui', 'com.ruoyi.bar', 'bar', 'activityBarBatch', '活动参与酒吧', 'ruoyi', '0', '/', '{}', 'admin', '2025-02-15 21:44:55', '', '2025-02-15 21:50:45', NULL);
INSERT INTO `gen_table` VALUES (23, 'wy_activity_join_batch', '获得参与批次信息', NULL, NULL, 'WyActivityJoinBatch', 'crud', 'element-ui', 'com.ruoyi.bar', 'bar', 'activityJoinBatch', '获得参与批次信息', 'ruoyi', '0', '/', '{}', 'admin', '2025-02-15 22:23:54', '', '2025-02-15 22:25:03', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint(20) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 300 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, 1, 'id', '', 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (2, 1, 'brewery_id', '酒厂ID', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (3, 1, 'activity_type', '1定向 2招募', 'smallint(2)', 'Long', 'activityType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (4, 1, 'activity_name', '活动名称', 'varchar(255)', 'String', 'activityName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (5, 1, 'activity_desc', '活动介绍', 'varchar(255)', 'String', 'activityDesc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (6, 1, 'activity_status', '0无效 1有效', 'tinyint(2)', 'Long', 'activityStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (7, 1, 'start_date', '开始时间', 'datetime', 'Date', 'startDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (8, 1, 'end_date', '结束时间', 'datetime', 'Date', 'endDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (9, 1, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (10, 1, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (11, 1, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (12, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (13, 1, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 13, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:49:47');
INSERT INTO `gen_table_column` VALUES (14, 2, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (15, 2, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (16, 2, 'beer_name', '啤酒名称', 'varchar(255)', 'String', 'beerName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (17, 2, 'cover', '封面图', 'varchar(255)', 'String', 'cover', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (18, 2, 'brand_logo', '品牌logo', 'varchar(255)', 'String', 'brandLogo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (19, 2, 'beer_sn', '啤酒编码', 'varchar(255)', 'String', 'beerSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (20, 2, 'beer_styles', '啤酒风格', 'varchar(255)', 'String', 'beerStyles', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (21, 2, 'beer_abv', '酒精度', 'decimal(10,2)', 'BigDecimal', 'beerAbv', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (22, 2, 'beer_ibus', '苦度值', 'decimal(10,2)', 'BigDecimal', 'beerIbus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (23, 2, 'barcode', '条码', 'varchar(255)', 'String', 'barcode', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (24, 2, 'on_sale', '上架', 'tinyint(1)', 'Integer', 'onSale', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (25, 2, 'beer_og', '原麦汁浓度', 'decimal(10,2)', 'BigDecimal', 'beerOg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (26, 2, 'market_price', '市场价', 'decimal(10,2)', 'BigDecimal', 'marketPrice', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (27, 2, 'specs', '规格', 'varchar(255)', 'String', 'specs', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (28, 2, 'desc', '描述', 'text', 'String', 'desc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 15, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (29, 2, 'scan_coin_count', '扫码获得啤酒币数', 'int(11)', 'Long', 'scanCoinCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (30, 2, 'launch_date', '上市日期', 'date', 'Date', 'launchDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 17, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (31, 2, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (32, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (33, 2, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (34, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 21, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (35, 2, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 22, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 18:59:08');
INSERT INTO `gen_table_column` VALUES (36, 3, 'id', NULL, 'int(11)', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:26');
INSERT INTO `gen_table_column` VALUES (37, 3, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:26');
INSERT INTO `gen_table_column` VALUES (38, 3, 'plan_name', '方案名', 'varchar(255)', 'String', 'planName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:26');
INSERT INTO `gen_table_column` VALUES (39, 3, 'received_user_count', '可领取用户数量', 'varchar(255)', 'String', 'receivedUserCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (40, 3, 'received_coin_count', '每用户可领取啤酒币数量', 'varchar(255)', 'String', 'receivedCoinCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (41, 3, 'effective_days', '有效天数', 'int(11)', 'Long', 'effectiveDays', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (42, 3, 'receive_times', '每日领取次数', 'int(11)', 'Long', 'receiveTimes', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (43, 3, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (44, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (45, 3, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (46, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (47, 3, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:02:27');
INSERT INTO `gen_table_column` VALUES (48, 4, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12');
INSERT INTO `gen_table_column` VALUES (49, 4, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12');
INSERT INTO `gen_table_column` VALUES (50, 4, 'batch_id', '批次id', 'int(11)', 'Long', 'batchId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12');
INSERT INTO `gen_table_column` VALUES (51, 4, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12');
INSERT INTO `gen_table_column` VALUES (52, 4, 'sku_sn', 'sku编号', 'varchar(255)', 'String', 'skuSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12');
INSERT INTO `gen_table_column` VALUES (53, 4, 'qrcode_url', '二维码链接', 'varchar(255)', 'String', 'qrcodeUrl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12');
INSERT INTO `gen_table_column` VALUES (54, 4, 'qrcode_status', '状态', 'tinyint(2)', 'Integer', 'qrcodeStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:12');
INSERT INTO `gen_table_column` VALUES (55, 4, 'verify_time', '核销时间', 'datetime', 'Date', 'verifyTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (56, 4, 'scan_times', '被扫次数', 'int(11)', 'Long', 'scanTimes', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (57, 4, 'verify_city', '核销城市', 'varchar(255)', 'String', 'verifyCity', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (58, 4, 'verify_ip', '核销ip', 'varchar(255)', 'String', 'verifyIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (59, 4, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (60, 4, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (61, 4, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (62, 4, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (63, 4, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 16, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:06:13');
INSERT INTO `gen_table_column` VALUES (64, 5, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (65, 5, 'brewery_id', '品牌方', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (66, 5, 'batch_sn', '批次编号', 'varchar(255)', 'String', 'batchSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (67, 5, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (68, 5, 'generate_num', '生成数量', 'int(11)', 'Long', 'generateNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (69, 5, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (70, 5, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (71, 5, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (72, 5, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (73, 5, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:21:00');
INSERT INTO `gen_table_column` VALUES (74, 6, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (75, 6, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (76, 6, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (77, 6, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (78, 6, 'review_content', '评论内容', 'varchar(500)', 'String', 'reviewContent', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'editor', '', 5, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (79, 6, 'taste_rating', '口味评分', 'int(2)', 'Integer', 'tasteRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (80, 6, 'aroma_rating', '香味评分', 'int(2)', 'Integer', 'aromaRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (81, 6, 'color_rating', '颜色评分', 'int(2)', 'Integer', 'colorRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (82, 6, 'overall_rating', '综合评分', 'int(3)', 'Integer', 'overallRating', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (83, 6, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (84, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (85, 6, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (86, 6, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (87, 6, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:09:08');
INSERT INTO `gen_table_column` VALUES (88, 7, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (89, 7, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (90, 7, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (91, 7, 'review_id', '评价id', 'int(11)', 'Long', 'reviewId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:21', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (92, 7, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (93, 7, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (94, 7, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (95, 7, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (96, 7, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (97, 7, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:20:14');
INSERT INTO `gen_table_column` VALUES (98, 8, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (99, 8, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (100, 8, 'beer_id', '啤酒id', 'int(11)', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (101, 8, 'review_id', '评论id', 'int(11)', 'Long', 'reviewId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (102, 8, 'reply_id', '顶级回复id', 'int(11)', 'Long', 'replyId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (103, 8, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (104, 8, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (105, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (106, 8, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (107, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (108, 8, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 11, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:18:08');
INSERT INTO `gen_table_column` VALUES (109, 9, 'id', NULL, 'int(11)', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (110, 9, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (111, 9, 'banner_type', '广告图类型', 'smallint(3)', 'Integer', 'bannerType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (112, 9, 'banner_order', '显示顺序', 'smallint(3)', 'Integer', 'bannerOrder', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (113, 9, 'banner_url', '图片地址', 'varchar(255)', 'String', 'bannerUrl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (114, 9, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (115, 9, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (116, 9, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (117, 9, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (118, 9, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:11:38');
INSERT INTO `gen_table_column` VALUES (119, 10, 'id', NULL, 'int(11)', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (120, 10, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (121, 10, 'order_sn', '订单编号', 'varchar(255)', 'String', 'orderSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (122, 10, 'goods_id', '商品id', 'int(11)', 'Long', 'goodsId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (123, 10, 'goods_name', '商品名称', 'varchar(255)', 'String', 'goodsName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (124, 10, 'user_id', '用户id', 'int(11)', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (125, 10, 'beer_coin_num', '品牌啤酒币兑换数', 'int(11)', 'Long', 'beerCoinNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (126, 10, 'platform_coin_num', '平台啤酒币兑换数', 'int(11)', 'Long', 'platformCoinNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (127, 10, 'address', '收货地址', 'varchar(255)', 'String', 'address', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (128, 10, 'contact_person', '联系人', 'varchar(255)', 'String', 'contactPerson', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (129, 10, 'contact_phone', '联系电话', 'varchar(255)', 'String', 'contactPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (130, 10, 'order_status', '订单状态', 'tinyint(2)', 'Integer', 'orderStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (131, 10, 'shipping_status', '物流状态', 'tinyint(2)', 'Integer', 'shippingStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 13, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (132, 10, 'paid_time', '支付时间', 'datetime', 'Date', 'paidTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 14, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (133, 10, 'shipping_time', '发货时间', 'datetime', 'Date', 'shippingTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (134, 10, 'tracking_number', '快递单号', 'varchar(50)', 'String', 'trackingNumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (135, 10, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (136, 10, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (137, 10, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 19, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (138, 10, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 20, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (139, 10, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 21, 'admin', '2024-12-21 19:20:22', '', '2024-12-22 19:13:10');
INSERT INTO `gen_table_column` VALUES (140, 11, 'id', '品牌id', 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (141, 11, 'brand_name', '品牌名称', 'varchar(255)', 'String', 'brandName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (142, 11, 'brand_code', '品牌编号', 'varchar(255)', 'String', 'brandCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (143, 11, 'country', '所在国家', 'varchar(255)', 'String', 'country', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (144, 11, 'province', '所在省份', 'varchar(255)', 'String', 'province', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (145, 11, 'city', '所在地区', 'varchar(255)', 'String', 'city', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (146, 11, 'contact_person', '联系人', 'varchar(255)', 'String', 'contactPerson', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (147, 11, 'contact_phone', '联系电话', 'varchar(255)', 'String', 'contactPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (148, 11, 'building_date', '创立日期', 'date', 'Date', 'buildingDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (149, 11, 'desc', '简介', 'text', 'String', 'desc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 10, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (150, 11, 'state', '状态', 'tinyint(2)', 'Integer', 'state', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (151, 11, 'authorized', '认证 0未认证 1已认证', 'tinyint(1)', 'Integer', 'authorized', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (152, 11, 'brand_logo', '品牌logo', 'varchar(255)', 'String', 'brandLogo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (153, 11, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (154, 11, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (155, 11, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (156, 11, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (157, 11, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 18, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:22:00');
INSERT INTO `gen_table_column` VALUES (158, 12, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (159, 12, 'brewery_id', '酒厂id', 'int(11)', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (160, 12, 'production_license', '生产许可证', 'varchar(255)', 'String', 'productionLicense', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (161, 12, 'producer', '生产商', 'varchar(255)', 'String', 'producer', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (162, 12, 'production_license_sn', '生产许可证编号', 'varchar(255)', 'String', 'productionLicenseSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (163, 12, 'address', '地址', 'varchar(255)', 'String', 'address', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (164, 12, 'customer_support_number', '客服电话', 'varchar(20)', 'String', 'customerSupportNumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (165, 12, 'business_entity', '主体信息', 'varchar(255)', 'String', 'businessEntity', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (166, 12, 'manager', '负责人姓名', 'varchar(255)', 'String', 'manager', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (167, 12, 'manager_phone', '负责人联系电话', 'varchar(20)', 'String', 'managerPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (168, 12, 'state', '状态', 'tinyint(2)', 'Integer', 'state', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (169, 12, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (170, 12, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (171, 12, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (172, 12, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (173, 12, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 16, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:23:22');
INSERT INTO `gen_table_column` VALUES (174, 13, 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (175, 13, 'brewery_id', '品牌方', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (176, 13, 'goods_name', '商品名称', 'varchar(255)', 'String', 'goodsName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (177, 13, 'goods_cover', '图片', 'varchar(255)', 'String', 'goodsCover', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (178, 13, 'specs', '规格', 'varchar(255)', 'String', 'specs', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (179, 13, 'purchase_method', '购买方式', 'smallint(2)', 'Integer', 'purchaseMethod', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (180, 13, 'redeemed', '是否可兑换', 'tinyint(1)', 'Integer', 'redeemed', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (181, 13, 'redeemed_num', '啤酒币兑换数', 'int(11)', 'Long', 'redeemedNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (182, 13, 'goods_sn', '编号', 'varchar(255)', 'String', 'goodsSn', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (183, 13, 'goods_price', '本店售价', 'decimal(10,2)', 'BigDecimal', 'goodsPrice', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (184, 13, 'market_price', '市场售价', 'decimal(10,2)', 'BigDecimal', 'marketPrice', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (185, 13, 'stock_num', '库存数量', 'int(11)', 'Long', 'stockNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (186, 13, 'frozen_num', '冻结数量', 'int(11)', 'Long', 'frozenNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (187, 13, 'on_sale', '上架', 'varchar(255)', 'String', 'onSale', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (188, 13, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (189, 13, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (190, 13, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (191, 13, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (192, 13, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 19, 'admin', '2024-12-21 19:20:43', '', '2024-12-22 19:24:04');
INSERT INTO `gen_table_column` VALUES (193, 14, 'menu_id', '菜单ID', 'bigint(20)', 'Long', 'menuId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (194, 14, 'menu_name', '菜单名称', 'varchar(50)', 'String', 'menuName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (195, 14, 'parent_id', '父菜单ID', 'bigint(20)', 'Long', 'parentId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (196, 14, 'order_num', '显示顺序', 'int(4)', 'Integer', 'orderNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (197, 14, 'path', '路由地址', 'varchar(200)', 'String', 'path', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (198, 14, 'component', '组件路径', 'varchar(255)', 'String', 'component', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (199, 14, 'query', '路由参数', 'varchar(255)', 'String', 'query', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (200, 14, 'route_name', '路由名称', 'varchar(50)', 'String', 'routeName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (201, 14, 'is_frame', '是否为外链', 'int(1)', 'Integer', 'isFrame', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (202, 14, 'is_cache', '是否缓存', 'int(1)', 'Integer', 'isCache', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (203, 14, 'menu_type', '菜单类型', 'char(1)', 'String', 'menuType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 11, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (204, 14, 'visible', '菜单状态', 'char(1)', 'String', 'visible', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (205, 14, 'status', '菜单状态', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 13, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (206, 14, 'perms', '权限标识', 'varchar(100)', 'String', 'perms', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (207, 14, 'icon', '菜单图标', 'varchar(100)', 'String', 'icon', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (208, 14, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (209, 14, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (210, 14, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (211, 14, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (212, 14, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 20, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:02');
INSERT INTO `gen_table_column` VALUES (213, 15, 'role_id', '角色ID', 'bigint(20)', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:13');
INSERT INTO `gen_table_column` VALUES (214, 15, 'menu_id', '菜单ID', 'bigint(20)', 'Long', 'menuId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:28:13');
INSERT INTO `gen_table_column` VALUES (215, 16, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (216, 16, 'dept_id', '部门ID', 'bigint(20)', 'Long', 'deptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (217, 16, 'brewery_id', '品牌方id', 'int(11)', 'Long', 'breweryId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (218, 16, 'user_name', '用户账号', 'varchar(30)', 'String', 'userName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (219, 16, 'nick_name', '用户昵称', 'varchar(30)', 'String', 'nickName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (220, 16, 'user_type', '用户类型', 'varchar(2)', 'String', 'userType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (221, 16, 'email', '用户邮箱', 'varchar(50)', 'String', 'email', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (222, 16, 'phonenumber', '手机号码', 'varchar(11)', 'String', 'phonenumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (223, 16, 'sex', '用户性别', 'char(1)', 'String', 'sex', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 9, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (224, 16, 'avatar', '头像地址', 'varchar(100)', 'String', 'avatar', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (225, 16, 'password', '密码', 'varchar(100)', 'String', 'password', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (226, 16, 'status', '帐号状态', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (227, 16, 'del_flag', '删除标志', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (228, 16, 'login_ip', '最后登录IP', 'varchar(128)', 'String', 'loginIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (229, 16, 'login_date', '最后登录时间', 'datetime', 'Date', 'loginDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 15, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (230, 16, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (231, 16, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (232, 16, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (233, 16, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (234, 16, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 20, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:03');
INSERT INTO `gen_table_column` VALUES (235, 17, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:12');
INSERT INTO `gen_table_column` VALUES (236, 17, 'role_id', '角色ID', 'bigint(20)', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-12-22 11:27:17', '', '2024-12-22 11:29:12');
INSERT INTO `gen_table_column` VALUES (237, 18, 'id', 'id', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (238, 18, 'bar_name', '酒吧名称', 'varchar(255)', 'String', 'barName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (239, 18, 'bar_number', '酒吧编号', 'varchar(20)', 'String', 'barNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (240, 18, 'bar_logo', '酒吧logo', 'varchar(255)', 'String', 'barLogo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (241, 18, 'bar_contact_phone', '联系方式', 'varchar(20)', 'String', 'barContactPhone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (242, 18, 'province', '所在省', 'varchar(20)', 'String', 'province', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (243, 18, 'city', '所在城市', 'varchar(20)', 'String', 'city', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (244, 18, 'district', '所在区', 'varchar(50)', 'String', 'district', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (245, 18, 'address', '地址', 'varchar(255)', 'String', 'address', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (246, 18, 'last_auth_time', '最后认证时间', 'datetime', 'Date', 'lastAuthTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 10, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (247, 18, 'auth_state', '认证状态', 'tinyint', 'Long', 'authState', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (248, 18, 'business_license', '营业执照', 'varchar(255)', 'String', 'businessLicense', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (249, 18, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (250, 18, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (251, 18, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (252, 18, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (253, 18, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 17, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (254, 18, 'approval_reason', '审核理由', 'varchar(255)', 'String', 'approvalReason', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 18, 'admin', '2025-01-10 15:54:13', '', '2025-01-10 15:54:42');
INSERT INTO `gen_table_column` VALUES (255, 19, 'id', NULL, 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (256, 19, 'activity_type', '1定向 2招募', 'smallint', 'Long', 'activityType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (257, 19, 'activity_name', '活动名称', 'varchar(255)', 'String', 'activityName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (258, 19, 'activity_desc', '活动描述', 'varchar(255)', 'String', 'activityDesc', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (259, 19, 'activity_status', '0无效 1有效', 'tinyint', 'Long', 'activityStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (260, 19, 'beer_scope', '活动产品范围：0无限制，1特定产品', 'tinyint', 'Long', 'beerScope', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (261, 19, 'beer_id', '活动产品id', 'int', 'Long', 'beerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (262, 19, 'activity_target', '活动目标（桶）', 'int', 'Long', 'activityTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (263, 19, 'activity_reward_type', '奖励方式 1商品，2啤酒币', 'tinyint', 'Long', 'activityRewardType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 9, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (264, 19, 'activity_reward_goods_id', '奖励商品id（activity_reward_type=1）', 'int', 'Long', 'activityRewardGoodsId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (265, 19, 'activity_reward_count', '奖励数量', 'int', 'Long', 'activityRewardCount', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (266, 19, 'start_date', '活动参与开始日期', 'datetime', 'Date', 'startDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 12, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (267, 19, 'end_date', '活动参与截至日期', 'datetime', 'Date', 'endDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 13, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (268, 19, 'duration', '持续时间(天)，招募类型活动时生效', 'int', 'Long', 'duration', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (269, 19, 'city', '活动城市', 'varchar(255)', 'String', 'city', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (270, 19, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (271, 19, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (272, 19, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (273, 19, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (274, 19, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 20, 'admin', '2025-01-10 23:12:56', '', '2025-01-10 23:14:20');
INSERT INTO `gen_table_column` VALUES (275, 20, 'id', '模板id', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (276, 20, 'template_name', '模板名称', 'varchar(255)', 'String', 'templateName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (277, 20, 'brewery_id', '品牌方id', 'int', 'Long', 'breweryId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (278, 20, 'page_width', '宽度 mm', 'double', 'Long', 'pageWidth', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (279, 20, 'page_height', '高度 mm', 'double', 'Long', 'pageHeight', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (280, 20, 'elements', '打印元素', 'longtext', 'String', 'elements', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 6, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (281, 20, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (282, 20, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (283, 20, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (284, 20, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (285, 20, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 11, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:54');
INSERT INTO `gen_table_column` VALUES (286, 21, 'id', '模板id', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (287, 21, 'template_name', '模板名称', 'varchar(255)', 'String', 'templateName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (288, 21, 'show_order', '排序', 'int', 'Long', 'showOrder', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (289, 21, 'template_type', '模板类型 1图片 2pdf', 'int', 'Long', 'templateType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2025-02-15 13:41:24', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (290, 21, 'bar_id', '专属门店id 0表示公共', 'int', 'Long', 'barId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (291, 21, 'total_export_count', '导出次数', 'int', 'Long', 'totalExportCount', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (292, 21, 'page_width', '宽度 mm', 'double', 'Long', 'pageWidth', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (293, 21, 'page_height', '高度 mm', 'double', 'Long', 'pageHeight', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (294, 21, 'elements', '元素', 'longtext', 'String', 'elements', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 9, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (295, 21, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (296, 21, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (297, 21, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (298, 21, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (299, 21, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2025-02-15 13:41:25', '', '2025-02-15 13:42:11');
INSERT INTO `gen_table_column` VALUES (300, 22, 'batch_id', '批次id', 'int(11)', 'Long', 'batchId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-15 21:44:55', '', '2025-02-15 21:50:45');
INSERT INTO `gen_table_column` VALUES (301, 22, 'activity_id', '活动id', 'int(11)', 'Long', 'activityId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-02-15 21:44:55', '', '2025-02-15 21:50:45');
INSERT INTO `gen_table_column` VALUES (302, 22, 'activity_supplier', '活动发布方 0平台 1品牌方', 'tinyint(1)', 'Integer', 'activitySupplier', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-15 21:44:55', '', '2025-02-15 21:50:45');
INSERT INTO `gen_table_column` VALUES (303, 22, 'bar_id', '门店id', 'int(11)', 'Long', 'barId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-02-15 21:44:55', '', '2025-02-15 21:50:45');
INSERT INTO `gen_table_column` VALUES (304, 22, 'join_status', '参加状态', 'tinyint(2)', 'Integer', 'joinStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2025-02-15 21:44:55', '', '2025-02-15 21:50:45');
INSERT INTO `gen_table_column` VALUES (305, 23, 'batch_id', '批次id', 'int(11)', 'Long', 'batchId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-15 22:23:54', '', '2025-02-15 22:25:03');
INSERT INTO `gen_table_column` VALUES (306, 23, 'activity_id', '活动id', 'int(11)', 'Long', 'activityId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-02-15 22:23:54', '', '2025-02-15 22:25:03');
INSERT INTO `gen_table_column` VALUES (307, 23, 'activity_supplier', '活动发布方 0平台 1品牌方', 'tinyint(1)', 'Integer', 'activitySupplier', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-15 22:23:54', '', '2025-02-15 22:25:03');
INSERT INTO `gen_table_column` VALUES (308, 23, 'bar_id', '参与方id', 'int(11)', 'Long', 'barId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-02-15 22:23:54', '', '2025-02-15 22:25:03');
INSERT INTO `gen_table_column` VALUES (309, 23, 'join_status', '参加状态', 'tinyint(2)', 'Integer', 'joinStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2025-02-15 22:23:54', '', '2025-02-15 22:25:03');

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = 'Blob类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '日历信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = 'Cron类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(20) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(20) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '已触发的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '任务详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '存储的悲观锁信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '暂停的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(20) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(20) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '调度器状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(20) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(20) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(20) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '简单触发器的信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '同步机制的行锁表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(20) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(20) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(20) NOT NULL COMMENT '开始时间',
  `end_time` bigint(20) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(6) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name` ASC, `job_name` ASC, `job_group` ASC) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '触发器详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-green', 'Y', 'admin', '2024-12-19 20:11:56', 'admin', '2025-02-09 21:28:37', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-12-19 20:11:56', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 200 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(11) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-12-19 20:11:55', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-12-19 20:11:56', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-12-19 20:11:56', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-12-19 20:11:56', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 209 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 20:28:47');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-19 20:38:40');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 20:38:44');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 20:58:57');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-19 20:59:15');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 20:59:19');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 20:59:38');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 20:59:43');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 21:00:01');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 21:01:36');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 22:44:04');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2024-12-21 19:19:10');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-21 19:19:12');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 11:26:58');
INSERT INTO `sys_logininfor` VALUES (114, 'zhangsan', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '1', '验证码已失效', '2024-12-22 12:39:31');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 12:40:09');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-22 12:40:34');
INSERT INTO `sys_logininfor` VALUES (117, 'zhangsan', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '1', '验证码已失效', '2024-12-22 12:41:23');
INSERT INTO `sys_logininfor` VALUES (118, 'zhangsan', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '1', '验证码错误', '2024-12-22 12:47:34');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:39:51');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-22 17:39:51');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:40:35');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:41:44');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-22 17:43:26');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:45:04');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-22 17:47:48');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-22 18:42:51');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-22 19:41:38');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-22 19:41:42');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-22 23:06:24');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-22 23:37:42');
INSERT INTO `sys_logininfor` VALUES (131, 'zhangsan', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码已失效', '2024-12-22 23:41:11');
INSERT INTO `sys_logininfor` VALUES (132, 'zhangsan', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码错误', '2024-12-22 23:41:14');
INSERT INTO `sys_logininfor` VALUES (133, 'zhangsan', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '用户不存在/密码错误', '2024-12-22 23:53:46');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-22 23:54:03');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-23 00:15:57');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-23 00:19:51');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-23 00:22:30');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-23 20:58:39');
INSERT INTO `sys_logininfor` VALUES (139, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-23 20:59:29');
INSERT INTO `sys_logininfor` VALUES (140, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-23 21:02:51');
INSERT INTO `sys_logininfor` VALUES (141, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-23 21:03:29');
INSERT INTO `sys_logininfor` VALUES (142, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-23 21:05:37');
INSERT INTO `sys_logininfor` VALUES (143, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-23 21:08:28');
INSERT INTO `sys_logininfor` VALUES (144, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-23 21:11:14');
INSERT INTO `sys_logininfor` VALUES (145, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-23 21:25:13');
INSERT INTO `sys_logininfor` VALUES (146, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-23 21:29:05');
INSERT INTO `sys_logininfor` VALUES (147, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-24 01:10:01');
INSERT INTO `sys_logininfor` VALUES (148, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-24 01:10:06');
INSERT INTO `sys_logininfor` VALUES (149, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-24 21:23:28');
INSERT INTO `sys_logininfor` VALUES (150, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-24 21:24:51');
INSERT INTO `sys_logininfor` VALUES (151, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-24 21:26:12');
INSERT INTO `sys_logininfor` VALUES (152, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-26 00:09:01');
INSERT INTO `sys_logininfor` VALUES (153, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-26 00:10:46');
INSERT INTO `sys_logininfor` VALUES (154, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-26 00:30:43');
INSERT INTO `sys_logininfor` VALUES (155, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-26 00:32:01');
INSERT INTO `sys_logininfor` VALUES (156, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-26 00:33:17');
INSERT INTO `sys_logininfor` VALUES (157, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2024-12-26 00:34:08');
INSERT INTO `sys_logininfor` VALUES (158, 'admin', '111.127.225.115', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2024-12-27 00:06:13');
INSERT INTO `sys_logininfor` VALUES (159, '18888888888', '111.127.226.107', 'XX XX', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '用户不存在/密码错误', '2025-01-06 00:45:03');
INSERT INTO `sys_logininfor` VALUES (160, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-07 00:06:25');
INSERT INTO `sys_logininfor` VALUES (161, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-07 22:07:49');
INSERT INTO `sys_logininfor` VALUES (162, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-07 23:44:47');
INSERT INTO `sys_logininfor` VALUES (163, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2025-01-07 23:58:10');
INSERT INTO `sys_logininfor` VALUES (164, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-08 00:02:34');
INSERT INTO `sys_logininfor` VALUES (165, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-08 21:06:51');
INSERT INTO `sys_logininfor` VALUES (166, 'admin', '111.127.49.227', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-08 21:44:18');
INSERT INTO `sys_logininfor` VALUES (167, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-09 00:01:00');
INSERT INTO `sys_logininfor` VALUES (168, 'admin', '110.18.11.117', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-10 15:52:08');
INSERT INTO `sys_logininfor` VALUES (169, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-10 21:27:06');
INSERT INTO `sys_logininfor` VALUES (170, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2025-01-10 21:28:15');
INSERT INTO `sys_logininfor` VALUES (171, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-10 21:29:15');
INSERT INTO `sys_logininfor` VALUES (172, 'zhangsan', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码已失效', '2025-01-10 22:30:49');
INSERT INTO `sys_logininfor` VALUES (173, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-11 00:13:24');
INSERT INTO `sys_logininfor` VALUES (174, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-11 21:04:36');
INSERT INTO `sys_logininfor` VALUES (175, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码错误', '2025-01-11 22:33:49');
INSERT INTO `sys_logininfor` VALUES (176, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-11 22:33:54');
INSERT INTO `sys_logininfor` VALUES (177, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-12 00:00:21');
INSERT INTO `sys_logininfor` VALUES (178, 'admin', '111.127.226.107', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-13 22:42:18');
INSERT INTO `sys_logininfor` VALUES (179, 'admin', '111.127.226.23', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-15 23:29:15');
INSERT INTO `sys_logininfor` VALUES (180, 'admin', '111.127.226.23', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-20 22:16:22');
INSERT INTO `sys_logininfor` VALUES (181, 'admin', '111.127.226.23', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-26 22:41:31');
INSERT INTO `sys_logininfor` VALUES (182, 'admin', '111.127.226.23', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码已失效', '2025-01-28 01:33:10');
INSERT INTO `sys_logininfor` VALUES (183, 'admin', '111.127.226.23', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-01-28 01:33:14');
INSERT INTO `sys_logininfor` VALUES (184, 'admin', '111.127.226.23', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2025-01-28 01:44:09');
INSERT INTO `sys_logininfor` VALUES (185, 'zhangsan', '111.127.226.23', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码已失效', '2025-01-28 17:06:58');
INSERT INTO `sys_logininfor` VALUES (186, 'admin', '110.18.10.241', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-09 11:58:10');
INSERT INTO `sys_logininfor` VALUES (187, 'admin', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-09 11:59:57');
INSERT INTO `sys_logininfor` VALUES (188, 'admin', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-09 18:52:24');
INSERT INTO `sys_logininfor` VALUES (189, 'admin', '1.182.20.119', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码错误', '2025-02-09 21:12:24');
INSERT INTO `sys_logininfor` VALUES (190, 'admin', '1.182.20.119', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-09 21:12:29');
INSERT INTO `sys_logininfor` VALUES (191, 'admin', '45.116.152.21', 'XX XX', 'Chrome Mobile', 'Android 1.x', '1', '验证码错误', '2025-02-09 21:48:08');
INSERT INTO `sys_logininfor` VALUES (192, 'admin', '45.116.152.21', 'XX XX', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2025-02-09 21:48:14');
INSERT INTO `sys_logininfor` VALUES (193, 'zhangsan', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2025-02-09 21:55:44');
INSERT INTO `sys_logininfor` VALUES (194, 'admin', '111.127.224.223', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-10 20:58:49');
INSERT INTO `sys_logininfor` VALUES (195, 'zhangsan', '111.127.224.223', 'XX XX', 'Chrome 13', 'Mac OS X', '1', '验证码错误', '2025-02-10 21:27:25');
INSERT INTO `sys_logininfor` VALUES (196, 'admin', '111.127.224.223', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-11 20:53:56');
INSERT INTO `sys_logininfor` VALUES (197, 'admin', '111.127.224.223', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '退出成功', '2025-02-11 21:48:14');
INSERT INTO `sys_logininfor` VALUES (198, 'admin', '111.127.224.223', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-11 21:52:32');
INSERT INTO `sys_logininfor` VALUES (199, 'admin', '111.127.224.223', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-12 00:01:18');
INSERT INTO `sys_logininfor` VALUES (200, 'zhangsan', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2025-02-12 22:03:30');
INSERT INTO `sys_logininfor` VALUES (201, 'admin', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-12 23:07:42');
INSERT INTO `sys_logininfor` VALUES (202, 'admin', '111.127.224.101', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-12 23:50:38');
INSERT INTO `sys_logininfor` VALUES (203, 'admin', '111.127.224.101', 'XX XX', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-13 00:43:18');
INSERT INTO `sys_logininfor` VALUES (204, 'admin', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-13 21:09:03');
INSERT INTO `sys_logininfor` VALUES (205, 'admin', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-14 01:17:00');
INSERT INTO `sys_logininfor` VALUES (206, 'admin', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2025-02-14 15:37:31');
INSERT INTO `sys_logininfor` VALUES (207, 'admin', '110.18.8.118', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-14 15:37:34');
INSERT INTO `sys_logininfor` VALUES (208, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-15 13:41:05');
INSERT INTO `sys_logininfor` VALUES (209, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '0', '登录成功', '2025-02-15 15:43:38');
INSERT INTO `sys_logininfor` VALUES (210, 'zhangsan', '127.0.0.1', '内网IP', 'Chrome 13', 'Mac OS X', '1', '验证码错误', '2025-02-15 15:47:15');
INSERT INTO `sys_logininfor` VALUES (211, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-15 21:44:43');
INSERT INTO `sys_logininfor` VALUES (212, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-15 22:23:46');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(11) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(11) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2109 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 19, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-19 20:11:55', 'admin', '2025-01-10 23:20:22', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 20, 'monitor', NULL, '', '', 1, 0, 'M', '1', '0', '', 'monitor', 'admin', '2024-12-19 20:11:55', 'admin', '2025-01-10 23:20:30', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 21, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-12-19 20:11:55', 'admin', '2025-01-10 23:20:37', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-12-19 20:11:55', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-12-19 20:11:55', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-12-19 20:11:55', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-12-19 20:11:55', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-12-19 20:11:55', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-12-19 20:11:55', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-12-19 20:11:55', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-12-19 20:11:55', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-12-19 20:11:55', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-12-19 20:11:55', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-12-19 20:11:55', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-12-19 20:11:55', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-12-19 20:11:55', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-12-19 20:11:55', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-12-19 20:11:55', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-12-19 20:11:55', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-12-19 20:11:55', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-12-19 20:11:55', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-12-19 20:11:55', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-12-19 20:11:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '店铺设置', 2105, 11, 'store', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'dashboard', 'admin', '2024-12-19 21:06:37', 'admin', '2025-01-08 22:28:44', '');
INSERT INTO `sys_menu` VALUES (2001, '商品管理', 0, 6, 'product', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'shopping', 'admin', '2024-12-19 21:27:03', 'admin', '2025-01-10 23:19:55', '');
INSERT INTO `sys_menu` VALUES (2002, '营销推广', 0, 31, 'marketing', NULL, NULL, '', 1, 0, 'M', '1', '1', '', 'server', 'admin', '2024-12-19 21:28:38', 'admin', '2025-01-07 23:45:22', '');
INSERT INTO `sys_menu` VALUES (2003, '酒评管理', 0, 7, 'beerReview', 'beerReview/index', NULL, '', 1, 0, 'C', '0', '0', '', 'star', 'admin', '2024-12-19 21:29:53', 'admin', '2025-01-10 23:21:32', '');
INSERT INTO `sys_menu` VALUES (2004, '数据统计', 0, 10, 'statistics', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'chart', 'admin', '2024-12-19 21:30:45', 'admin', '2025-01-10 23:21:52', '');
INSERT INTO `sys_menu` VALUES (2005, '增值服务', 2105, 8, 'upgrade', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'skill', 'admin', '2024-12-19 21:32:15', 'admin', '2025-01-08 21:55:07', '');
INSERT INTO `sys_menu` VALUES (2006, '店铺信息', 2000, 1, 'storeinfo', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 21:53:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2007, '店铺装修', 2000, 2, 'decoration', NULL, NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2024-12-19 21:55:16', 'admin', '2024-12-19 22:00:48', '');
INSERT INTO `sys_menu` VALUES (2008, '打印设置', 1, 3, 'printcfg', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, 'clipboard', 'admin', '2024-12-19 21:58:23', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2009, '酒厂封面图', 2007, 1, 'cover', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2010, '酒厂轮播图', 2007, 2, 'banners', NULL, NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-19 22:00:28', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '酒品管理', 2001, 1, 'beers', 'product/beers/index', NULL, '', 1, 0, 'C', '0', '0', 'system:beers:list', '#', 'admin', '2024-12-19 22:02:13', 'admin', '2025-01-08 21:11:26', '');
INSERT INTO `sys_menu` VALUES (2013, '一物一码', 0, 9, 'qrcode', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'component', 'admin', '2024-12-19 22:04:17', 'admin', '2025-01-10 23:21:13', '');
INSERT INTO `sys_menu` VALUES (2014, '批次管理', 2013, 1, 'batch', 'qrcode/batch/index', NULL, '', 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-12-19 22:06:11', 'admin', '2024-12-22 19:41:30', '');
INSERT INTO `sys_menu` VALUES (2015, '商品二维码', 2013, 2, 'beerqrcode', NULL, NULL, '', 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-12-19 22:06:48', 'admin', '2024-12-19 22:07:05', '');
INSERT INTO `sys_menu` VALUES (2016, '营销活动', 0, 3, 'activity', 'mp/activity/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:activity:list', 'sunny', 'admin', '2024-12-21 20:04:59', 'admin', '2025-01-11 21:17:55', '营销活动菜单');
INSERT INTO `sys_menu` VALUES (2017, '营销活动查询', 2016, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:query', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2018, '营销活动新增', 2016, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:add', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2019, '营销活动修改', 2016, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:edit', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2020, '营销活动删除', 2016, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:remove', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2021, '营销活动导出', 2016, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:activity:export', '#', 'admin', '2024-12-21 20:04:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2022, '主体认证信息', 2105, 1, 'auth', 'brewery/auth', NULL, '', 1, 0, 'C', '0', '0', 'brewery:auth:list', '#', 'admin', '2024-12-21 20:05:11', 'admin', '2025-01-09 00:03:40', '主体认证信息菜单');
INSERT INTO `sys_menu` VALUES (2023, '主体认证信息查询', 2022, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:query', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2024, '主体认证信息新增', 2022, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:add', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2025, '主体认证信息修改', 2022, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:edit', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2026, '主体认证信息删除', 2022, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:remove', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2027, '主体认证信息导出', 2022, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:auth:export', '#', 'admin', '2024-12-21 20:05:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2028, '品牌方广告图', 2105, 1, 'banner1', 'brewery/banner/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:banner:list', '#', 'admin', '2024-12-21 20:05:20', 'admin', '2025-01-08 21:52:52', '品牌方广告图菜单');
INSERT INTO `sys_menu` VALUES (2029, '品牌方广告图查询', 2028, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:query', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2030, '品牌方广告图新增', 2028, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:add', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2031, '品牌方广告图修改', 2028, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:edit', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2032, '品牌方广告图删除', 2028, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:remove', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2033, '品牌方广告图导出', 2028, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:banner:export', '#', 'admin', '2024-12-21 20:05:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2034, '批次', 2014, 1, 'batch', 'brewery/batch/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:batch:list', '#', 'admin', '2024-12-21 20:05:29', 'admin', '2024-12-22 19:46:58', '批次菜单');
INSERT INTO `sys_menu` VALUES (2035, '批次查询', 2034, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:query', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2036, '批次新增', 2034, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:add', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2037, '批次修改', 2034, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:edit', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2038, '批次删除', 2034, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:remove', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2039, '批次导出', 2034, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:batch:export', '#', 'admin', '2024-12-21 20:05:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2040, '酒评', 2003, 1, 'review', 'brewery/review/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:review:list', '#', 'admin', '2024-12-21 20:05:56', 'admin', '2025-01-08 21:55:31', '酒评菜单');
INSERT INTO `sys_menu` VALUES (2041, '酒评查询', 2040, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:query', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2042, '酒评新增', 2040, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:add', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2043, '酒评修改', 2040, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:edit', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2044, '酒评删除', 2040, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:remove', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2045, '酒评导出', 2040, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:review:export', '#', 'admin', '2024-12-21 20:05:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2046, '酒评回复', 2003, 1, 'reply', 'brewery/reply/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:reply:list', '#', 'admin', '2024-12-21 20:05:59', 'admin', '2025-01-08 21:54:14', '酒评回复菜单');
INSERT INTO `sys_menu` VALUES (2047, '酒评回复查询', 2046, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:query', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2048, '酒评回复新增', 2046, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:add', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2049, '酒评回复修改', 2046, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:edit', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2050, '酒评回复删除', 2046, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:remove', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2051, '酒评回复导出', 2046, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:reply:export', '#', 'admin', '2024-12-21 20:05:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2052, '兑换订单', 2106, 6, 'redeemOrder', 'redeemOrder/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:redeemOrder:list', '#', 'admin', '2024-12-21 20:06:01', 'admin', '2025-01-08 22:04:51', '兑换订单菜单');
INSERT INTO `sys_menu` VALUES (2053, '兑换订单查询', 2052, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:query', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2054, '兑换订单新增', 2052, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:add', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2055, '兑换订单修改', 2052, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:edit', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2056, '兑换订单删除', 2052, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:remove', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2057, '兑换订单导出', 2052, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:redeemOrder:export', '#', 'admin', '2024-12-21 20:06:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2058, '酒品二维码', 2001, 1, 'qrcode', 'brewery/qrcode/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:qrcode:list', '#', 'admin', '2024-12-21 20:06:04', 'admin', '2025-01-08 21:53:33', '酒品二维码菜单');
INSERT INTO `sys_menu` VALUES (2059, '酒品二维码查询', 2058, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:query', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2060, '酒品二维码新增', 2058, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:add', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2061, '酒品二维码修改', 2058, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:edit', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2062, '酒品二维码删除', 2058, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:remove', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2063, '酒品二维码导出', 2058, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:qrcode:export', '#', 'admin', '2024-12-21 20:06:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2064, '啤酒币方案', 2105, 1, 'plan', 'brewery/plan/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:plan:list', '#', 'admin', '2024-12-21 20:06:06', 'admin', '2025-01-08 21:53:07', '啤酒币方案菜单');
INSERT INTO `sys_menu` VALUES (2065, '啤酒币方案查询', 2064, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:query', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2066, '啤酒币方案新增', 2064, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:add', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2067, '啤酒币方案修改', 2064, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:edit', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2068, '啤酒币方案删除', 2064, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:remove', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2069, '啤酒币方案导出', 2064, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:plan:export', '#', 'admin', '2024-12-21 20:06:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2070, '酒评点赞', 2003, 1, 'like', 'brewery/like/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:like:list', '#', 'admin', '2024-12-21 20:06:07', 'admin', '2025-01-08 21:54:22', '酒评点赞菜单');
INSERT INTO `sys_menu` VALUES (2071, '酒评点赞查询', 2070, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:query', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2072, '酒评点赞新增', 2070, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:add', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2073, '酒评点赞修改', 2070, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:edit', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2074, '酒评点赞删除', 2070, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:remove', '#', 'admin', '2024-12-21 20:06:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2075, '酒评点赞导出', 2070, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:like:export', '#', 'admin', '2024-12-21 20:06:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2076, '兑换商品', 2001, 1, 'goods', 'product/goods/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:goods:list', '#', 'admin', '2024-12-21 20:06:09', 'admin', '2025-01-10 17:04:09', '兑换商品菜单');
INSERT INTO `sys_menu` VALUES (2077, '兑换商品查询', 2076, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:query', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2078, '兑换商品新增', 2076, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:add', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2079, '兑换商品修改', 2076, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:edit', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2080, '兑换商品删除', 2076, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:remove', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2081, '兑换商品导出', 2076, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:goods:export', '#', 'admin', '2024-12-21 20:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2082, '品牌方管理', 2105, 1, 'brewery', 'brewery/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:brewery:list', '#', 'admin', '2024-12-21 20:06:11', 'admin', '2025-01-08 21:52:21', '品牌方菜单');
INSERT INTO `sys_menu` VALUES (2083, '品牌方查询', 2082, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:query', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2084, '品牌方新增', 2082, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:add', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2085, '品牌方修改', 2082, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:edit', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2086, '品牌方删除', 2082, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:remove', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2087, '品牌方导出', 2082, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:brewery:export', '#', 'admin', '2024-12-21 20:06:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2088, '啤酒', 2001, 1, 'beer', 'brewery/beer/index', NULL, '', 1, 0, 'C', '0', '0', 'brewery:beer:list', '#', 'admin', '2024-12-21 20:06:14', 'admin', '2025-01-08 21:54:02', '啤酒菜单');
INSERT INTO `sys_menu` VALUES (2089, '啤酒查询', 2088, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:query', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2090, '啤酒新增', 2088, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:add', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2091, '啤酒修改', 2088, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:edit', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2092, '啤酒删除', 2088, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:remove', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2093, '啤酒导出', 2088, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'brewery:beer:export', '#', 'admin', '2024-12-21 20:06:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2094, '品牌方菜单管理', 2105, 2, 'breweryMenu', 'system/menu/brewery', NULL, '', 1, 1, 'C', '0', '0', 'system:menu:list', '#', 'admin', '2024-12-23 21:40:28', 'admin', '2025-01-08 21:56:36', '');
INSERT INTO `sys_menu` VALUES (2095, '小程序运营', 0, 5, 'mpOperation', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'mp', 'admin', '2025-01-07 00:08:38', 'admin', '2025-01-10 23:19:44', '');
INSERT INTO `sys_menu` VALUES (2096, 'banner管理', 2095, 1, 'banner', 'mp/banner/index', NULL, '', 1, 0, 'C', '0', '0', 'system:platFormBanner:list', '#', 'admin', '2025-01-07 00:10:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2097, '修改', 2096, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:platFormBanner:edit', '#', 'admin', '2025-01-07 00:11:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2098, '删除', 2096, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:platFormBanner:remove', '#', 'admin', '2025-01-07 00:11:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2099, '新增', 2096, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:platFormBanner:add', '#', 'admin', '2025-01-07 00:12:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2100, '活动管理', 2095, 2, 'mpActivity', 'mp/activity/index', NULL, '', 1, 0, 'C', '0', '0', 'system:activity:list', '#', 'admin', '2025-01-07 00:13:37', 'admin', '2025-01-11 22:46:52', '');
INSERT INTO `sys_menu` VALUES (2101, '新增', 2100, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:activity:add', '#', 'admin', '2025-01-07 00:13:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2102, '编辑', 2100, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:activity:edit', '#', 'admin', '2025-01-07 00:14:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2103, '删除', 2100, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'system:activity:remove', '#', 'admin', '2025-01-07 00:14:20', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2104, '专辑管理', 2095, 3, 'featurePage', 'mp/platformFeaturePage/index', NULL, '', 1, 0, 'C', '0', '0', 'system:PlatFormFeaturePage:list', '#', 'admin', '2025-01-07 23:48:31', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2105, '品牌方', 0, 1, 'brewery', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'server', 'admin', '2025-01-08 21:52:09', 'admin', '2025-01-08 22:12:05', '');
INSERT INTO `sys_menu` VALUES (2106, '订单管理', 0, 2, 'order', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'list', 'admin', '2025-01-08 22:04:40', 'admin', '2025-01-08 22:11:38', '');
INSERT INTO `sys_menu` VALUES (2107, '门店', 0, 8, 'bar', 'bar/index', NULL, '', 1, 0, 'C', '0', '0', 'system:bar:list', 'peoples', 'admin', '2025-01-08 22:15:06', 'admin', '2025-01-10 23:21:40', '');
INSERT INTO `sys_menu` VALUES (2108, '平台活动', 0, 4, 'platformActivity', 'platform/activity', NULL, '', 1, 0, 'C', '0', '0', '', 'sunny', 'admin', '2025-01-10 23:18:12', 'admin', '2025-01-10 23:19:39', '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-12-19 20:11:56', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-12-19 20:11:56', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(11) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(11) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '返回参数',
  `status` int(11) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(20) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 399 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/store/setting\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:06:37', 153);
INSERT INTO `sys_oper_log` VALUES (101, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:06:50', 38);
INSERT INTO `sys_oper_log` VALUES (102, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 21:06:37\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"store\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:06:58', 40);
INSERT INTO `sys_oper_log` VALUES (103, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":9,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:25:34', 106);
INSERT INTO `sys_oper_log` VALUES (104, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":10,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:25:39', 24);
INSERT INTO `sys_oper_log` VALUES (105, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:25:43', 24);
INSERT INTO `sys_oper_log` VALUES (106, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"product\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:27:03', 26);
INSERT INTO `sys_oper_log` VALUES (107, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"营销推广\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"marketing\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:28:38', 103);
INSERT INTO `sys_oper_log` VALUES (108, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"star\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒评管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"review\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:29:53', 25);
INSERT INTO `sys_oper_log` VALUES (109, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:30:45', 27);
INSERT INTO `sys_oper_log` VALUES (110, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"skill\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"增值服务\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"upgrade\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:32:15', 28);
INSERT INTO `sys_oper_log` VALUES (111, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"店铺信息\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"storeinfo\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:53:36', 56);
INSERT INTO `sys_oper_log` VALUES (112, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"店铺装修\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"decoration\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:55:16', 81);
INSERT INTO `sys_oper_log` VALUES (113, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"clipboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"打印设置\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":1,\"path\":\"printcfg\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 21:58:23', 25);
INSERT INTO `sys_oper_log` VALUES (114, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒厂封面图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2007,\"path\":\"cover\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:00:05', 24);
INSERT INTO `sys_oper_log` VALUES (115, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒厂轮播图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2007,\"path\":\"banners\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:00:28', 43);
INSERT INTO `sys_oper_log` VALUES (116, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 21:55:16\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2007,\"menuName\":\"店铺装修\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"decoration\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:00:48', 31);
INSERT INTO `sys_oper_log` VALUES (117, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"酒品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"path\":\"beers\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:02:13', 20);
INSERT INTO `sys_oper_log` VALUES (118, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"商品更换里\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":2001,\"path\":\"goods\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:02:46', 95);
INSERT INTO `sys_oper_log` VALUES (119, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:02:46\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2012,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":2001,\"path\":\"goods\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:03:11', 118);
INSERT INTO `sys_oper_log` VALUES (120, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"一物一码\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2001,\"path\":\"qrcode\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:04:17', 90);
INSERT INTO `sys_oper_log` VALUES (121, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:04:55', 67);
INSERT INTO `sys_oper_log` VALUES (122, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:05:11', 91);
INSERT INTO `sys_oper_log` VALUES (123, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2013,\"path\":\"batch\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:06:11', 102);
INSERT INTO `sys_oper_log` VALUES (124, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"商品二维码\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"beerqrcode\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:06:48', 58);
INSERT INTO `sys_oper_log` VALUES (125, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-19 22:06:48\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2015,\"menuName\":\"商品二维码\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2013,\"path\":\"beerqrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:07:05', 25);
INSERT INTO `sys_oper_log` VALUES (126, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_brewery_banner,wy_beer_qrcode,wy_beer_review_like,wy_beer_review_reply,wy_activity,wy_redeem_order,wy_beer_coin_plan,wy_beer_review,wy_beer,wy_beer_qrcode_batch\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:20:22', 377);
INSERT INTO `sys_oper_log` VALUES (127, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_goods,wy_brewery,wy_brewery_auth\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:20:43', 105);
INSERT INTO `sys_oper_log` VALUES (128, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"activity\",\"className\":\"WyActivity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":2,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityType\",\"columnComment\":\"活动类型\",\"columnId\":3,\"columnName\":\"activity_type\",\"columnType\":\"smallint(2)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityName\",\"columnComment\":\"活动名称\",\"columnId\":4,\"columnName\":\"activity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:25:24', 73);
INSERT INTO `sys_oper_log` VALUES (129, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"beer\",\"className\":\"WyBeer\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":14,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":15,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerName\",\"columnComment\":\"啤酒名称\",\"columnId\":16,\"columnName\":\"beer_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Cover\",\"columnComment\":\"封面图\",\"columnId\":17,\"columnName\":\"cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"cover\",\"javaType\":\"String\",', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:27:13', 227);
INSERT INTO `sys_oper_log` VALUES (130, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"plan\",\"className\":\"WyBeerCoinPlan\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":36,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":37,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PlanName\",\"columnComment\":\"方案名\",\"columnId\":38,\"columnName\":\"plan_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"planName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ReceivedUserCount\",\"columnComment\":\"可领取用户数量\",\"columnId\":39,\"columnName\":\"received_user_count\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"j', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:29:00', 66);
INSERT INTO `sys_oper_log` VALUES (131, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"batch\",\"className\":\"WyBeerQrcodeBatch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":64,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方\",\"columnId\":65,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchSn\",\"columnComment\":\"批次编号\",\"columnId\":66,\"columnName\":\"batch_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":67,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:29:34', 111);
INSERT INTO `sys_oper_log` VALUES (132, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"qrcode\",\"className\":\"WyBeerQrcode\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":48,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":49,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":50,\"columnName\":\"batch_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BearId\",\"columnComment\":\"啤酒id\",\"columnId\":51,\"columnName\":\"bear_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"bearId\",\"javaType\":\"Long\",\"list\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:30:32', 86);
INSERT INTO `sys_oper_log` VALUES (133, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"review\",\"className\":\"WyBeerReview\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":74,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":75,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":76,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户id\",\"columnId\":77,\"columnName\":\"user_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":tr', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:32:32', 171);
INSERT INTO `sys_oper_log` VALUES (134, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"like\",\"className\":\"WyBeerReviewLike\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":88,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":89,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":90,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ReviewId\",\"columnComment\":\"评价id\",\"columnId\":91,\"columnName\":\"review_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"reviewId\",\"javaType\":\"Long\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:33:13', 117);
INSERT INTO `sys_oper_log` VALUES (135, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"reply\",\"className\":\"WyBeerReviewReply\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":98,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":99,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":100,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ReviewId\",\"columnComment\":\"评论id\",\"columnId\":101,\"columnName\":\"review_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"reviewId\",\"javaType\":\"Lon', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:34:05', 31);
INSERT INTO `sys_oper_log` VALUES (136, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"banner\",\"className\":\"WyBreweryBanner\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":109,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":110,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BannerType\",\"columnComment\":\"广告图类型\",\"columnId\":111,\"columnName\":\"banner_type\",\"columnType\":\"smallint(3)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"bannerType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BannerOrder\",\"columnComment\":\"显示顺序\",\"columnId\":112,\"columnName\":\"banner_order\",\"columnType\":\"smallint(3)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaFi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:36:40', 143);
INSERT INTO `sys_oper_log` VALUES (137, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"order\",\"className\":\"WyRedeemOrder\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":119,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":120,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"OrderSn\",\"columnComment\":\"订单编号\",\"columnId\":121,\"columnName\":\"order_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"orderSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"GoodsId\",\"columnComment\":\"商品id\",\"columnId\":122,\"columnName\":\"goods_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsId\",\"javaTy', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:41:19', 209);
INSERT INTO `sys_oper_log` VALUES (138, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"redeemOrder\",\"className\":\"WyRedeemOrder\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":119,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:41:19\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":120,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:41:19\",\"usableColumn\":false},{\"capJavaField\":\"OrderSn\",\"columnComment\":\"订单编号\",\"columnId\":121,\"columnName\":\"order_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"orderSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:41:19\",\"usableColumn\":false},{\"capJavaField\":\"GoodsId\",\"columnComment\":\"商品id\",\"columnId\":122,\"columnName\":\"goods_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isInc', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:42:22', 93);
INSERT INTO `sys_oper_log` VALUES (139, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"brewery\",\"className\":\"WyBrewery\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"品牌id\",\"columnId\":140,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BrandName\",\"columnComment\":\"品牌名称\",\"columnId\":141,\"columnName\":\"brand_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"brandName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BrandCode\",\"columnComment\":\"品牌编号\",\"columnId\":142,\"columnName\":\"brand_code\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"brandCode\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Country\",\"columnComment\":\"所在国家\",\"columnId\":143,\"columnName\":\"country\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequir', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:43:05', 172);
INSERT INTO `sys_oper_log` VALUES (140, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"auth\",\"className\":\"WyBreweryAuth\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":158,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"酒厂id\",\"columnId\":159,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductionLicense\",\"columnComment\":\"生产许可证\",\"columnId\":160,\"columnName\":\"production_license\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"productionLicense\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Producer\",\"columnComment\":\"生产商\",\"columnId\":161,\"columnName\":\"producer\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:43:23', 38);
INSERT INTO `sys_oper_log` VALUES (141, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"goods\",\"className\":\"WyGoods\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":174,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方\",\"columnId\":175,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"GoodsName\",\"columnComment\":\"商品名称\",\"columnId\":176,\"columnName\":\"goods_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"GoodsCover\",\"columnComment\":\"图片\",\"columnId\":177,\"columnName\":\"goods_cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsCo', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-21 19:43:44', 115);
INSERT INTO `sys_oper_log` VALUES (142, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_activity,wy_beer,wy_beer_coin_plan,wy_beer_qrcode,wy_beer_qrcode_batch,wy_beer_review,wy_beer_review_like,wy_beer_review_reply,wy_brewery_banner,wy_redeem_order,wy_brewery,wy_brewery_auth,wy_goods\"}', NULL, 0, NULL, '2024-12-21 19:46:04', 1456);
INSERT INTO `sys_oper_log` VALUES (143, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_brewery_user,wy_brewery_menu,wy_brewery_user_role,wy_brewery_role_menu\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:27:17', 172);
INSERT INTO `sys_oper_log` VALUES (144, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"menu\",\"className\":\"WyBreweryMenu\",\"columns\":[{\"capJavaField\":\"MenuId\",\"columnComment\":\"菜单ID\",\"columnId\":193,\"columnName\":\"menu_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"menuId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MenuName\",\"columnComment\":\"菜单名称\",\"columnId\":194,\"columnName\":\"menu_name\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"menuName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父菜单ID\",\"columnId\":195,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"OrderNum\",\"columnComment\":\"显示顺序\",\"columnId\":196,\"columnName\":\"order_num\",\"columnType\":\"int(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isReq', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:28:02', 124);
INSERT INTO `sys_oper_log` VALUES (145, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"menu\",\"className\":\"WyBreweryRoleMenu\",\"columns\":[{\"capJavaField\":\"RoleId\",\"columnComment\":\"角色ID\",\"columnId\":213,\"columnName\":\"role_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"roleId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MenuId\",\"columnComment\":\"菜单ID\",\"columnId\":214,\"columnName\":\"menu_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"menuId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"品牌方角色和菜单关联\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"brewery\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.brewery\",\"params\":{},\"sub\":false,\"tableComment\":\"品牌方角色和菜单关联表\",\"tableId\":15,\"tableName\":\"wy_brewery_role_menu\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:28:13', 52);
INSERT INTO `sys_oper_log` VALUES (146, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"user\",\"className\":\"WyBreweryUser\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":215,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"DeptId\",\"columnComment\":\"部门ID\",\"columnId\":216,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":217,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserName\",\"columnComment\":\"用户账号\",\"columnId\":218,\"columnName\":\"user_name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequir', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:29:03', 205);
INSERT INTO `sys_oper_log` VALUES (147, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"role\",\"className\":\"WyBreweryUserRole\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":235,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":17,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RoleId\",\"columnComment\":\"角色ID\",\"columnId\":236,\"columnName\":\"role_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-22 11:27:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"roleId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":17,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"品牌方用户和角色关联\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"brewery\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.brewery\",\"params\":{},\"sub\":false,\"tableComment\":\"品牌方用户和角色关联表\",\"tableId\":17,\"tableName\":\"wy_brewery_user_role\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 11:29:12', 39);
INSERT INTO `sys_oper_log` VALUES (148, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_brewery_menu,wy_brewery_role_menu,wy_brewery_user,wy_brewery_user_role\"}', NULL, 0, NULL, '2024-12-22 11:29:18', 403);
INSERT INTO `sys_oper_log` VALUES (149, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', '研发部门', '/tool/gen/synchDb/wy_activity', '111.127.225.115', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 18:47:40', 94);
INSERT INTO `sys_oper_log` VALUES (150, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"activity\",\"className\":\"WyActivity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-22 18:47:39\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"酒厂ID\",\"columnId\":2,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-22 18:47:39\",\"usableColumn\":false},{\"capJavaField\":\"ActivityType\",\"columnComment\":\"1定向 2招募\",\"columnId\":3,\"columnName\":\"activity_type\",\"columnType\":\"smallint(2)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityType\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-22 18:47:39\",\"usableColumn\":false},{\"capJavaField\":\"ActivityName\",\"columnComment\":\"活动名称\",\"columnId\":4,\"columnName\":\"activity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"in', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 18:49:47', 69);
INSERT INTO `sys_oper_log` VALUES (151, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"beer\",\"className\":\"WyBeer\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":14,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:27:12\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":15,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:27:12\",\"usableColumn\":false},{\"capJavaField\":\"BeerName\",\"columnComment\":\"啤酒名称\",\"columnId\":16,\"columnName\":\"beer_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:27:12\",\"usableColumn\":false},{\"capJavaField\":\"Cover\",\"columnComment\":\"封面图\",\"columnId\":17,\"columnName\":\"cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isIn', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 18:59:08', 66);
INSERT INTO `sys_oper_log` VALUES (152, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"plan\",\"className\":\"WyBeerCoinPlan\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":36,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:29:00\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":37,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:29:00\",\"usableColumn\":false},{\"capJavaField\":\"PlanName\",\"columnComment\":\"方案名\",\"columnId\":38,\"columnName\":\"plan_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"planName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:29:00\",\"usableColumn\":false},{\"capJavaField\":\"ReceivedUserCount\",\"columnComment\":\"可领取用户数量\",\"columnId\":39,\"columnName\":\"received_user_count\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":tru', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:02:27', 31);
INSERT INTO `sys_oper_log` VALUES (153, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"qrcode\",\"className\":\"WyBeerQrcode\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":48,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:30:32\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":49,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:30:32\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":50,\"columnName\":\"batch_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":4,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:30:32\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":51,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:06:13', 38);
INSERT INTO `sys_oper_log` VALUES (154, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"review\",\"className\":\"WyBeerReview\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":74,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:32:32\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":75,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:32:32\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":76,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:32:32\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户id\",\"columnId\":77,\"columnName\":\"user_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:09:08', 35);
INSERT INTO `sys_oper_log` VALUES (155, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"banner\",\"className\":\"WyBreweryBanner\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":109,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:36:40\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":110,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:36:40\",\"usableColumn\":false},{\"capJavaField\":\"BannerType\",\"columnComment\":\"广告图类型\",\"columnId\":111,\"columnName\":\"banner_type\",\"columnType\":\"smallint(3)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"bannerType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:36:40\",\"usableColumn\":false},{\"capJavaField\":\"BannerOrder\",\"columnComment\":\"显示顺序\",\"columnId\":112,\"columnName\":\"banner_order\",\"columnType\":\"smallint(3)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"is', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:11:38', 28);
INSERT INTO `sys_oper_log` VALUES (156, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"redeemOrder\",\"className\":\"WyRedeemOrder\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":119,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:42:21\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":120,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:42:21\",\"usableColumn\":false},{\"capJavaField\":\"OrderSn\",\"columnComment\":\"订单编号\",\"columnId\":121,\"columnName\":\"order_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"orderSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:42:21\",\"usableColumn\":false},{\"capJavaField\":\"GoodsId\",\"columnComment\":\"商品id\",\"columnId\":122,\"columnName\":\"goods_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isInc', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:13:10', 46);
INSERT INTO `sys_oper_log` VALUES (157, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"reply\",\"className\":\"WyBeerReviewReply\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":98,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:34:05\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":99,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:34:05\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":100,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:34:05\",\"usableColumn\":false},{\"capJavaField\":\"ReviewId\",\"columnComment\":\"评论id\",\"columnId\":101,\"columnName\":\"review_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"is', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:18:08', 26);
INSERT INTO `sys_oper_log` VALUES (158, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"like\",\"className\":\"WyBeerReviewLike\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":88,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:33:13\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":89,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:33:13\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":90,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"beerId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:33:13\",\"usableColumn\":false},{\"capJavaField\":\"ReviewId\",\"columnComment\":\"评价id\",\"columnId\":91,\"columnName\":\"review_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInse', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:20:14', 27);
INSERT INTO `sys_oper_log` VALUES (159, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"batch\",\"className\":\"WyBeerQrcodeBatch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":64,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:29:34\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方\",\"columnId\":65,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:29:34\",\"usableColumn\":false},{\"capJavaField\":\"BatchSn\",\"columnComment\":\"批次编号\",\"columnId\":66,\"columnName\":\"batch_sn\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchSn\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:29:34\",\"usableColumn\":false},{\"capJavaField\":\"BeerId\",\"columnComment\":\"啤酒id\",\"columnId\":67,\"columnName\":\"beer_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:21\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:21:00', 28);
INSERT INTO `sys_oper_log` VALUES (160, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"brewery\",\"className\":\"WyBrewery\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"品牌id\",\"columnId\":140,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:04\",\"usableColumn\":false},{\"capJavaField\":\"BrandName\",\"columnComment\":\"品牌名称\",\"columnId\":141,\"columnName\":\"brand_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"brandName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:04\",\"usableColumn\":false},{\"capJavaField\":\"BrandCode\",\"columnComment\":\"品牌编号\",\"columnId\":142,\"columnName\":\"brand_code\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"brandCode\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:04\",\"usableColumn\":false},{\"capJavaField\":\"Country\",\"columnComment\":\"所在国家\",\"columnId\":143,\"columnName\":\"country\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:22:00', 44);
INSERT INTO `sys_oper_log` VALUES (161, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"auth\",\"className\":\"WyBreweryAuth\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":158,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:23\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"酒厂id\",\"columnId\":159,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:23\",\"usableColumn\":false},{\"capJavaField\":\"ProductionLicense\",\"columnComment\":\"生产许可证\",\"columnId\":160,\"columnName\":\"production_license\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"productionLicense\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:23\",\"usableColumn\":false},{\"capJavaField\":\"Producer\",\"columnComment\":\"生产商\",\"columnId\":161,\"columnName\":\"producer\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:23:22', 39);
INSERT INTO `sys_oper_log` VALUES (162, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.225.115', 'XX XX', '{\"businessName\":\"goods\",\"className\":\"WyGoods\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":174,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:43\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方\",\"columnId\":175,\"columnName\":\"brewery_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:43\",\"usableColumn\":false},{\"capJavaField\":\"GoodsName\",\"columnComment\":\"商品名称\",\"columnId\":176,\"columnName\":\"goods_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"goodsName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-21 19:43:43\",\"usableColumn\":false},{\"capJavaField\":\"GoodsCover\",\"columnComment\":\"图片\",\"columnId\":177,\"columnName\":\"goods_cover\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-21 19:20:43\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"is', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:24:04', 45);
INSERT INTO `sys_oper_log` VALUES (163, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"qrcode/batch\",\"createTime\":\"2024-12-19 22:06:11\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2014,\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2013,\"path\":\"batch\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:36:39', 22);
INSERT INTO `sys_oper_log` VALUES (164, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:37:13', 10);
INSERT INTO `sys_oper_log` VALUES (165, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"/qrcode/batch\",\"createTime\":\"2024-12-19 22:06:11\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2014,\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2013,\"path\":\"batch\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:38:00', 10);
INSERT INTO `sys_oper_log` VALUES (166, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"qrcode/batch/index\",\"createTime\":\"2024-12-19 22:06:11\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2014,\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2013,\"path\":\"batch\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:41:30', 10);
INSERT INTO `sys_oper_log` VALUES (167, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/batch/index\",\"createTime\":\"2024-12-21 20:05:29\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2034,\"menuName\":\"批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"batch\",\"perms\":\"brewery:batch:list\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:45:02', 9);
INSERT INTO `sys_oper_log` VALUES (168, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/batch/index\",\"createTime\":\"2024-12-21 20:05:29\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2034,\"menuName\":\"批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2014,\"path\":\"batch\",\"perms\":\"brewery:batch:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 19:46:58', 16);
INSERT INTO `sys_oper_log` VALUES (169, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/index\",\"createTime\":\"2024-12-21 20:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2082,\"menuName\":\"品牌方\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"brewery\",\"perms\":\"brewery:brewery:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 23:12:36', 10);
INSERT INTO `sys_oper_log` VALUES (170, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/index\",\"createTime\":\"2024-12-21 20:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2082,\"menuName\":\"品牌方管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"brewery:brewery:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 23:18:18', 9);
INSERT INTO `sys_oper_log` VALUES (171, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/index\",\"createTime\":\"2024-12-21 20:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2082,\"menuName\":\"品牌方管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"brewery:brewery:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-22 23:18:44', 10);
INSERT INTO `sys_oper_log` VALUES (172, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:03:17', 26);
INSERT INTO `sys_oper_log` VALUES (173, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:08:24', 11);
INSERT INTO `sys_oper_log` VALUES (174, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"system/menu/brewery\",\"createBy\":\"admin\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuName\":\"品牌方菜单管理\",\"menuType\":\"C\",\"orderNum\":21,\"params\":{},\"parentId\":0,\"path\":\"breweryMenu\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:40:28', 12);
INSERT INTO `sys_oper_log` VALUES (175, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-23 21:46:56\",\"isCache\":\"0\",\"isFrame\":1,\"menuId\":1,\"menuName\":\"主目录\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:46:57', 160);
INSERT INTO `sys_oper_log` VALUES (176, '品牌方菜单权限', 3, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/brewery/menu/1', '111.127.225.115', 'XX XX', '[1]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:47:18', 11);
INSERT INTO `sys_oper_log` VALUES (177, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-23 21:51:11\",\"isCache\":\"0\",\"isFrame\":1,\"menuId\":2,\"menuName\":\"酒评管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"beerReview/index\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:51:11', 9);
INSERT INTO `sys_oper_log` VALUES (178, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 21:51:12\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":1,\"menuId\":2,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"beerReview\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 21:53:34\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:53:34', 10);
INSERT INTO `sys_oper_log` VALUES (179, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 21:51:12\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":1,\"menuId\":2,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"/beerReview\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 21:53:55\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:53:55', 10);
INSERT INTO `sys_oper_log` VALUES (180, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/index\",\"createTime\":\"2024-12-21 20:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2082,\"menuName\":\"品牌方管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"brewery:brewery:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 22:10:50', 17);
INSERT INTO `sys_oper_log` VALUES (181, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"system/menu/brewery\",\"createTime\":\"2024-12-23 21:40:28\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2094,\"menuName\":\"品牌方菜单管理\",\"menuType\":\"C\",\"orderNum\":21,\"params\":{},\"parentId\":0,\"path\":\"breweryMenu\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 22:12:07', 11);
INSERT INTO `sys_oper_log` VALUES (182, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 22:51:12', 12);
INSERT INTO `sys_oper_log` VALUES (183, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createTime\":\"2024-12-23 23:06:11\",\"isCache\":\"0\",\"isFrame\":1,\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"beers\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:06:11', 8);
INSERT INTO `sys_oper_log` VALUES (184, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":1,\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"/beers\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 23:07:25\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:07:25', 7);
INSERT INTO `sys_oper_log` VALUES (185, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 21:51:12\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":1,\"menuId\":2,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"beerReview\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 23:23:50\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:23:50', 8);
INSERT INTO `sys_oper_log` VALUES (186, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":1,\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"beers\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 23:23:53\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:23:53', 6);
INSERT INTO `sys_oper_log` VALUES (187, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"marketing/index\",\"createTime\":\"2024-12-23 23:32:35\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":4,\"menuName\":\"营销推广\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"marketing\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:32:36', 156);
INSERT INTO `sys_oper_log` VALUES (188, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"statistics/index\",\"createTime\":\"2024-12-23 23:34:53\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":5,\"menuName\":\"数据统计\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:34:53', 9);
INSERT INTO `sys_oper_log` VALUES (189, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"valueAdded/index\",\"createTime\":\"2024-12-23 23:36:45\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":6,\"menuName\":\"增值服务\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"valueAdded\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:36:45', 8);
INSERT INTO `sys_oper_log` VALUES (190, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"valueAdded/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:36:45\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":6,\"menuName\":\"增值服务\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"valueAdded\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 23:38:00\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:38:00', 9);
INSERT INTO `sys_oper_log` VALUES (191, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"statistics/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:34:53\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":5,\"menuName\":\"数据统计\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 23:46:21\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:46:22', 31);
INSERT INTO `sys_oper_log` VALUES (192, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 21:51:12\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"beerReview\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 23:46:44\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:46:44', 9);
INSERT INTO `sys_oper_log` VALUES (193, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"beers\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-23 23:46:50\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:46:50', 9);
INSERT INTO `sys_oper_log` VALUES (194, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"store/index\",\"createTime\":\"2024-12-23 23:47:36\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"store\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 23:47:36', 10);
INSERT INTO `sys_oper_log` VALUES (195, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"product\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 00:08:52\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:08:52', 8);
INSERT INTO `sys_oper_log` VALUES (196, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"酒款管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"beers\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 00:09:38\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:09:38', 8);
INSERT INTO `sys_oper_log` VALUES (197, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"product\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 00:11:47\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:11:47', 9);
INSERT INTO `sys_oper_log` VALUES (198, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createTime\":\"2024-12-24 00:12:31\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":8,\"menuName\":\"酒款管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"beers\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:12:32', 11);
INSERT INTO `sys_oper_log` VALUES (199, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"product\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 00:12:50\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:12:50', 8);
INSERT INTO `sys_oper_log` VALUES (200, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"qrcode/index\",\"createTime\":\"2024-12-24 00:23:15\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":9,\"menuName\":\"二维码数据明细\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":3,\"path\":\"qrcode\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:23:15', 9);
INSERT INTO `sys_oper_log` VALUES (201, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"statistics/verification\",\"createTime\":\"2024-12-24 00:51:19\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":10,\"menuName\":\"核销数据统计\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":5,\"path\":\"verification\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:51:19', 8);
INSERT INTO `sys_oper_log` VALUES (202, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"statistics/ranking\",\"createTime\":\"2024-12-24 00:53:27\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":11,\"menuName\":\"核销数量排行\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":5,\"path\":\"ranking\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:53:27', 7);
INSERT INTO `sys_oper_log` VALUES (203, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:34:53\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":5,\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 00:54:31\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:54:31', 10);
INSERT INTO `sys_oper_log` VALUES (204, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:34:53\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":5,\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 00:55:59\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 00:55:59', 6);
INSERT INTO `sys_oper_log` VALUES (205, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/cover\",\"createTime\":\"2024-12-24 01:06:15\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":12,\"menuName\":\"酒厂封面图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":7,\"path\":\"cover\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 01:06:15', 7);
INSERT INTO `sys_oper_log` VALUES (206, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"store/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"store\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 01:06:47\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 01:06:47', 9);
INSERT INTO `sys_oper_log` VALUES (207, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"store\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 01:06:58\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 01:06:58', 7);
INSERT INTO `sys_oper_log` VALUES (208, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/cover\",\"createTime\":\"2024-12-24 01:07:41\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":13,\"menuName\":\"酒厂封面图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":7,\"path\":\"cover\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 01:07:41', 7);
INSERT INTO `sys_oper_log` VALUES (209, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 01:08:17\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 01:08:17', 6);
INSERT INTO `sys_oper_log` VALUES (210, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/cover\",\"createTime\":\"2024-12-24 01:09:24\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":14,\"menuName\":\"酒厂封面图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":7,\"path\":\"cover\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 01:09:25', 9);
INSERT INTO `sys_oper_log` VALUES (211, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner\",\"createTime\":\"2024-12-24 01:11:46\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":15,\"menuName\":\"酒厂轮播图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":7,\"path\":\"banner\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 01:11:46', 7);
INSERT INTO `sys_oper_log` VALUES (212, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 21:51:12\",\"icon\":\"pjgl\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"beerReview\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 21:23:51\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 21:23:51', 7);
INSERT INTO `sys_oper_log` VALUES (213, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"spdl\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"product\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 21:24:10\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 21:24:10', 8);
INSERT INTO `sys_oper_log` VALUES (214, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"marketing/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:32:36\",\"icon\":\"yxtg\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":4,\"menuName\":\"营销推广\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"marketing\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 21:24:27\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 21:24:27', 8);
INSERT INTO `sys_oper_log` VALUES (215, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"valueAdded/index\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:36:45\",\"icon\":\"zzfw\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":6,\"menuName\":\"增值服务\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"valueAdded\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 21:24:35\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 21:24:35', 7);
INSERT INTO `sys_oper_log` VALUES (216, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"\",\"createBy\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"dpgl\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"remark\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"\",\"updateTime\":\"2024-12-24 21:24:47\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 21:24:47', 8);
INSERT INTO `sys_oper_log` VALUES (217, '品牌方菜单权限', 3, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/brewery/menu/12', '111.127.225.115', 'XX XX', '[12]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 21:58:18', 16);
INSERT INTO `sys_oper_log` VALUES (218, '品牌方菜单权限', 3, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/brewery/menu/13', '111.127.225.115', 'XX XX', '[13]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 21:58:21', 7);
INSERT INTO `sys_oper_log` VALUES (219, '品牌方菜单权限', 3, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/brewery/menu/14', '111.127.225.115', 'XX XX', '[14]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 00:09:14', 13);
INSERT INTO `sys_oper_log` VALUES (220, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner\",\"createTime\":\"2024-12-24 01:11:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":15,\"menuName\":\"酒厂广告图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":7,\"path\":\"banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 00:10:17\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 00:10:17', 17);
INSERT INTO `sys_oper_log` VALUES (221, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner\",\"createTime\":\"2024-12-24 01:11:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":15,\"menuName\":\"品牌广告图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":7,\"path\":\"banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 00:10:38\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 00:10:38', 7);
INSERT INTO `sys_oper_log` VALUES (222, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"qrcode/index\",\"createTime\":\"2024-12-24 00:23:15\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":9,\"menuName\":\"二维码数据明细\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":3,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-26 00:30:56\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 00:30:56', 7);
INSERT INTO `sys_oper_log` VALUES (223, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"product/commodity/index\",\"createTime\":\"2024-12-26 00:33:55\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":16,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":3,\"path\":\"commodity\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 00:33:55', 8);
INSERT INTO `sys_oper_log` VALUES (224, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"qrcode/index\",\"createTime\":\"2024-12-24 00:23:15\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":9,\"menuName\":\"二维码数据明细\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":3,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2024-12-27 00:06:28\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 00:06:28', 25);
INSERT INTO `sys_oper_log` VALUES (225, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.225.115', 'XX XX', '{\"children\":[],\"component\":\"qrcode/batch/index\",\"createTime\":\"2024-12-27 00:07:03\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":17,\"menuName\":\"批次管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":3,\"path\":\"batch\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 00:07:03', 13);
INSERT INTO `sys_oper_log` VALUES (226, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:06:37\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"store\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:07:21', 27);
INSERT INTO `sys_oper_log` VALUES (227, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"brewery/redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"/redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:07:26', 14);
INSERT INTO `sys_oper_log` VALUES (228, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"小程序运营\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"mpOperation\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:08:38', 14);
INSERT INTO `sys_oper_log` VALUES (229, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:27:03\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":12,\"params\":{},\"parentId\":0,\"path\":\"product\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:08:54', 13);
INSERT INTO `sys_oper_log` VALUES (230, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"mp/banner/index\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"banner管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2095,\"path\":\"banner\",\"perms\":\"system:platFormBanner:list\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:10:57', 12);
INSERT INTO `sys_oper_log` VALUES (231, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"修改\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2096,\"perms\":\"system:platFormBanner:edit\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:11:37', 10);
INSERT INTO `sys_oper_log` VALUES (232, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"删除\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2096,\"perms\":\"system:platFormBanner:remove\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:11:59', 10);
INSERT INTO `sys_oper_log` VALUES (233, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"新增\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2096,\"perms\":\"system:platFormBanner:add\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:12:33', 11);
INSERT INTO `sys_oper_log` VALUES (234, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"mp/activity/index\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"活动管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2095,\"path\":\"activity\",\"perms\":\"system:activity:list\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:13:37', 12);
INSERT INTO `sys_oper_log` VALUES (235, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"新增\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2100,\"perms\":\"system:activity:add\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:13:53', 10);
INSERT INTO `sys_oper_log` VALUES (236, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"编辑\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2100,\"perms\":\"system:activity:edit\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:14:06', 10);
INSERT INTO `sys_oper_log` VALUES (237, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"删除\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2100,\"perms\":\"system:activity:remove\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:14:20', 9);
INSERT INTO `sys_oper_log` VALUES (238, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"brewery/activity/index\",\"createTime\":\"2024-12-21 20:04:59\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"营销活动\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"activity1\",\"perms\":\"brewery:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:14:49', 10);
INSERT INTO `sys_oper_log` VALUES (239, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner/index\",\"createTime\":\"2024-12-21 20:05:20\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2028,\"menuName\":\"品牌方广告图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"banner1\",\"perms\":\"brewery:banner:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:14:56', 12);
INSERT INTO `sys_oper_log` VALUES (240, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityList\",\"bannerName\":\"第一张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://121.37.100.169:9090/profile/upload/2025/01/07/AD1_20250107001931A001.png\",\"clickCount\":1,\"clickRate\":1,\"createTime\":\"2025-01-07 00:20:04\",\"id\":1,\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:20:04', 22);
INSERT INTO `sys_oper_log` VALUES (241, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/beerCoin/beerCoin\",\"bannerName\":\"第二张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://121.37.100.169:9090/profile/upload/2025/01/07/AD2_20250107002619A002.png\",\"clickCount\":2,\"clickRate\":2,\"createTime\":\"2025-01-07 00:27:09\",\"id\":2,\"params\":{},\"publishState\":1,\"showCount\":2,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":2,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:27:09', 10);
INSERT INTO `sys_oper_log` VALUES (242, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityList\",\"bannerName\":\"第一张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://121.37.100.169:9090/profile/upload/2025/01/07/AD1_20250107001931A001.png\",\"clickCount\":1,\"clickRate\":1,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:20:05\",\"id\":1,\"params\":{},\"publishState\":0,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 00:27:19\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:27:19', 8);
INSERT INTO `sys_oper_log` VALUES (243, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityList\",\"bannerName\":\"第一张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://121.37.100.169:9090/profile/upload/2025/01/07/AD1_20250107001931A001.png\",\"clickCount\":1,\"clickRate\":1,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:20:05\",\"id\":1,\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 00:27:23\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 00:27:23', 7);
INSERT INTO `sys_oper_log` VALUES (244, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityDetail\",\"bannerName\":\"第一张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://121.37.100.169:9090/profile/upload/2025/01/07/AD1_20250107001931A001.png\",\"clickCount\":1,\"clickRate\":1,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:20:05\",\"id\":1,\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 01:13:18\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:13:18', 7);
INSERT INTO `sys_oper_log` VALUES (245, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityDetail\",\"bannerName\":\"第二张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://121.37.100.169:9090/profile/upload/2025/01/07/AD2_20250107002619A002.png\",\"clickCount\":2,\"clickRate\":2,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:27:10\",\"id\":2,\"params\":{},\"publishState\":1,\"showCount\":2,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":2,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 01:13:23\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:13:23', 6);
INSERT INTO `sys_oper_log` VALUES (246, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityDetail?id=1\",\"bannerName\":\"第一张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/AD1_20250107011446A003.png\",\"clickCount\":1,\"clickRate\":1,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:20:05\",\"id\":1,\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 01:15:05\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:15:05', 7);
INSERT INTO `sys_oper_log` VALUES (247, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityDetail?id=2\",\"bannerName\":\"第二张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/AD2_20250107011515A004.png\",\"clickCount\":2,\"clickRate\":2,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:27:10\",\"id\":2,\"params\":{},\"publishState\":1,\"showCount\":2,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":2,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 01:15:26\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:15:26', 7);
INSERT INTO `sys_oper_log` VALUES (248, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"pages/activityList/activityDetail?id=3\",\"bannerName\":\"第三张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/AD3_20250107011536A005.png\",\"clickCount\":3,\"clickRate\":3,\"createTime\":\"2025-01-07 01:16:28\",\"id\":3,\"params\":{},\"publishState\":1,\"showCount\":3,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":3,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:16:28', 9);
INSERT INTO `sys_oper_log` VALUES (249, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"/pages/activityList/activityDetail?id=1\",\"bannerName\":\"第一张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/AD1_20250107011446A003.png\",\"clickCount\":1,\"clickRate\":1,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:20:05\",\"id\":1,\"params\":{},\"publishState\":1,\"showCount\":1,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":1,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 01:18:02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:18:02', 7);
INSERT INTO `sys_oper_log` VALUES (250, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"/pages/activityList/activityDetail?id=2\",\"bannerName\":\"第二张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/AD2_20250107011515A004.png\",\"clickCount\":2,\"clickRate\":2,\"createBy\":\"\",\"createTime\":\"2025-01-07 00:27:10\",\"id\":2,\"params\":{},\"publishState\":1,\"showCount\":2,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":2,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 01:18:06\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:18:06', 6);
INSERT INTO `sys_oper_log` VALUES (251, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"/pages/activityList/activityDetail?id=3\",\"bannerName\":\"第三张\",\"bannerType\":\"homeAD\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/AD3_20250107011536A005.png\",\"clickCount\":3,\"clickRate\":3,\"createBy\":\"\",\"createTime\":\"2025-01-07 01:16:29\",\"id\":3,\"params\":{},\"publishState\":1,\"showCount\":3,\"showEndTime\":\"2025-01-31 00:00:00\",\"showOrder\":3,\"showRegion\":\"呼和浩特\",\"showStartTime\":\"2025-01-01 00:00:00\",\"updateBy\":\"\",\"updateTime\":\"2025-01-07 01:18:09\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:18:09', 6);
INSERT INTO `sys_oper_log` VALUES (252, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:28:38\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2002,\"menuName\":\"营销推广\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"marketing\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:28:31', 10);
INSERT INTO `sys_oper_log` VALUES (253, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:28:36', 11);
INSERT INTO `sys_oper_log` VALUES (254, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:28:44', 9);
INSERT INTO `sys_oper_log` VALUES (255, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:28:38\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2002,\"menuName\":\"营销推广\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"marketing\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:28:47', 10);
INSERT INTO `sys_oper_log` VALUES (256, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:29:53\",\"icon\":\"star\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"酒评管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"review\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:28:51', 10);
INSERT INTO `sys_oper_log` VALUES (257, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:30:45\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2004,\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:28:55', 8);
INSERT INTO `sys_oper_log` VALUES (258, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:32:15\",\"icon\":\"skill\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2005,\"menuName\":\"增值服务\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"upgrade\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:29:03', 8);
INSERT INTO `sys_oper_log` VALUES (259, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:27:03\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":12,\"params\":{},\"parentId\":0,\"path\":\"product\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:29:17', 11);
INSERT INTO `sys_oper_log` VALUES (260, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"brewery/redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"/redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:29:25', 10);
INSERT INTO `sys_oper_log` VALUES (261, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:06:37\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"store\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:29:31', 8);
INSERT INTO `sys_oper_log` VALUES (262, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2025-01-07 00:08:38\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2095,\"menuName\":\"小程序运营\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"mpOperation\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:29:51', 8);
INSERT INTO `sys_oper_log` VALUES (263, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"system/menu/brewery\",\"createTime\":\"2024-12-23 21:40:28\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2094,\"menuName\":\"品牌方菜单管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"breweryMenu\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 01:29:55', 8);
INSERT INTO `sys_oper_log` VALUES (264, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.107', 'XX XX', '{\"bannerLink\":\"/pages/login/chooseLogin\",\"bannerName\":\"首页顶部邀请入驻图片\",\"bannerType\":\"homeJoin\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/homeJoin_20250107221150A001.jpg\",\"createTime\":\"2025-01-07 22:12:35\",\"id\":4,\"params\":{},\"publishState\":1,\"showOrder\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 22:12:35', 178);
INSERT INTO `sys_oper_log` VALUES (265, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:28:38\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2002,\"menuName\":\"营销推广\",\"menuType\":\"M\",\"orderNum\":31,\"params\":{},\"parentId\":0,\"path\":\"marketing\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 23:45:22', 28);
INSERT INTO `sys_oper_log` VALUES (266, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":31,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 23:45:25', 16);
INSERT INTO `sys_oper_log` VALUES (267, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"system/menu/brewery\",\"createTime\":\"2024-12-23 21:40:28\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2094,\"menuName\":\"品牌方菜单管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"breweryMenu\",\"perms\":\"system:menu:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 23:46:47', 12);
INSERT INTO `sys_oper_log` VALUES (268, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"mp/platformFeaturePage/index\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"专辑管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2095,\"path\":\"featurePage\",\"perms\":\"system:PlatFormFeaturePage:list\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 23:48:31', 15);
INSERT INTO `sys_oper_log` VALUES (269, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityDesc\":\"风味西打酒\",\"activityName\":\"焦糖肉桂红柿子\",\"activityRewardCount\":5,\"activityRewardGoodsId\":1,\"activityTarget\":10,\"beerScope\":0,\"city\":\"呼和浩特\",\"createTime\":\"2025-01-07 23:56:40\",\"duration\":30,\"endDate\":\"2025-01-31\",\"params\":{},\"startDate\":\"2025-01-01\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'activity_type\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformActivityMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformActivityMapper.insertWyPlatformActivity-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_activity          ( activity_name,             activity_desc,                          beer_scope,             activity_target,                          activity_reward_goods_id,             activity_reward_count,             start_date,             end_date,             duration,             city,                          create_time )           values ( ?,             ?,                          ?,             ?,                          ?,             ?,             ?,             ?,             ?,             ?,                          ? )\n### Cause: java.sql.SQLException: Field \'activity_type\' doesn\'t have a default value\n; Field \'activity_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'activity_type\' doesn\'t have a default value', '2025-01-07 23:56:40', 86);
INSERT INTO `sys_oper_log` VALUES (270, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityDesc\":\"风味西打酒\",\"activityName\":\"焦糖肉桂红柿子\",\"activityRewardCount\":5,\"activityRewardGoodsId\":1,\"activityTarget\":100,\"activityType\":1,\"beerScope\":0,\"city\":\"呼和浩特\",\"createTime\":\"2025-01-08 00:03:40\",\"duration\":30,\"endDate\":\"2025-01-31\",\"params\":{},\"startDate\":\"2025-01-01\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'activity_reward_type\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformActivityMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformActivityMapper.insertWyPlatformActivity-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_activity          ( activity_type,             activity_name,             activity_desc,                          beer_scope,             activity_target,                          activity_reward_goods_id,             activity_reward_count,             start_date,             end_date,             duration,             city,                          create_time )           values ( ?,             ?,             ?,                          ?,             ?,                          ?,             ?,             ?,             ?,             ?,             ?,                          ? )\n### Cause: java.sql.SQLException: Field \'activity_reward_type\' doesn\'t have a default value\n; Field \'activity_reward_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'activity_reward_type\' doesn\'t have a default value', '2025-01-08 00:03:40', 6);
INSERT INTO `sys_oper_log` VALUES (271, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityDesc\":\"这是介绍\",\"activityName\":\"焦糖肉桂红柿子\",\"activityRewardCount\":20,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":100,\"activityType\":2,\"beerScope\":0,\"city\":\"呼和浩特\",\"createTime\":\"2025-01-08 00:06:27\",\"duration\":30,\"endDate\":\"2025-01-31\",\"id\":1,\"params\":{},\"startDate\":\"2025-01-01\"}', NULL, 1, '', '2025-01-08 00:06:27', 11);
INSERT INTO `sys_oper_log` VALUES (272, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"pageName\":\"TasteRoom 风味屋 · 风味之旅系列\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"showOrder\":1,\"subTitle\":\"探索啤酒风味新边界\"}', NULL, 1, 'beerIds不能为空', '2025-01-08 00:09:00', 7);
INSERT INTO `sys_oper_log` VALUES (273, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"pageName\":\"TasteRoom 风味屋 · 风味之旅系列\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"showOrder\":1,\"subTitle\":\"探索啤酒风味新边界\"}', NULL, 1, 'beerIds不能为空', '2025-01-08 00:09:47', 1);
INSERT INTO `sys_oper_log` VALUES (274, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"pageName\":\"TasteRoom 风味屋 · 风味之旅系列\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"探索啤酒风味新边界\"}', NULL, 1, 'beerIds不能为空', '2025-01-08 00:10:28', 2);
INSERT INTO `sys_oper_log` VALUES (275, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"pageName\":\"TasteRoom 风味屋 · 风味之旅系列\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"探索啤酒风味新边界\"}', NULL, 1, 'beerIds不能为空', '2025-01-08 00:11:26', 1);
INSERT INTO `sys_oper_log` VALUES (276, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"beerIds\":[1],\"createTime\":\"2025-01-08 00:13:43\",\"id\":1,\"pageName\":\"TasteRoom 风味屋 · 风味之旅系列\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"探索啤酒风味新边界\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformFeatureBeerMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformFeatureBeerMapper.insertWyPlatformFeatureBeer-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_feature_beer          ( page_id,             beer_id )           values ( ?,             ? )\n### Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n; Field \'beer_name\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value', '2025-01-08 00:13:43', 13);
INSERT INTO `sys_oper_log` VALUES (277, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:27:03\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"product\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:08:04', 11);
INSERT INTO `sys_oper_log` VALUES (278, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"product/beers/index\",\"createTime\":\"2024-12-19 22:02:13\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2011,\"menuName\":\"酒品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"path\":\"beers\",\"perms\":\"system:beers:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:11:26', 10);
INSERT INTO `sys_oper_log` VALUES (279, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"product/commodity/index\",\"createTime\":\"2024-12-19 22:02:46\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2012,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2001,\"path\":\"commodity\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:12:29', 10);
INSERT INTO `sys_oper_log` VALUES (280, '啤酒', 2, 'com.ruoyi.web.controller.brewery.WyBeerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/beer', '111.127.226.107', 'XX XX', '{\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-08 21:19:23\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:19:23', 15);
INSERT INTO `sys_oper_log` VALUES (281, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2025-01-07 00:08:38\",\"icon\":\"mp\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2095,\"menuName\":\"小程序运营\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"mpOperation\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:22:12', 10);
INSERT INTO `sys_oper_log` VALUES (282, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:29:53\",\"icon\":\"star\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"酒评管理\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"review\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:24:42', 9);
INSERT INTO `sys_oper_log` VALUES (283, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createTime\":\"2024-12-19 21:29:53\",\"icon\":\"star\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"beerReview\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:26:34', 10);
INSERT INTO `sys_oper_log` VALUES (284, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:36:05', 10);
INSERT INTO `sys_oper_log` VALUES (285, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:30:45\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2004,\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:38:55', 10);
INSERT INTO `sys_oper_log` VALUES (286, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:32:15\",\"icon\":\"skill\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2005,\"menuName\":\"增值服务\",\"menuType\":\"M\",\"orderNum\":8,\"params\":{},\"parentId\":0,\"path\":\"upgrade\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:39:11', 11);
INSERT INTO `sys_oper_log` VALUES (287, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:45:51', 10);
INSERT INTO `sys_oper_log` VALUES (288, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/review/index\",\"createTime\":\"2024-12-21 20:05:56\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2040,\"menuName\":\"酒评\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"review\",\"perms\":\"brewery:review:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:46:54', 10);
INSERT INTO `sys_oper_log` VALUES (289, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/activity/index\",\"createTime\":\"2024-12-21 20:04:59\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"营销活动\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"activity1\",\"perms\":\"brewery:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:47:39', 12);
INSERT INTO `sys_oper_log` VALUES (290, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"品牌方\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:52:09', 9);
INSERT INTO `sys_oper_log` VALUES (291, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/index\",\"createTime\":\"2024-12-21 20:06:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2082,\"menuName\":\"品牌方管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2105,\"path\":\"brewery\",\"perms\":\"brewery:brewery:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:52:21', 9);
INSERT INTO `sys_oper_log` VALUES (292, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/auth/index\",\"createTime\":\"2024-12-21 20:05:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2022,\"menuName\":\"主体认证信息\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2105,\"path\":\"auth\",\"perms\":\"brewery:auth:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:52:39', 9);
INSERT INTO `sys_oper_log` VALUES (293, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner/index\",\"createTime\":\"2024-12-21 20:05:20\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2028,\"menuName\":\"品牌方广告图\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2105,\"path\":\"banner1\",\"perms\":\"brewery:banner:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:52:52', 9);
INSERT INTO `sys_oper_log` VALUES (294, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/plan/index\",\"createTime\":\"2024-12-21 20:06:06\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2064,\"menuName\":\"啤酒币方案\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2105,\"path\":\"plan\",\"perms\":\"brewery:plan:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:53:07', 10);
INSERT INTO `sys_oper_log` VALUES (295, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/qrcode/index\",\"createTime\":\"2024-12-21 20:06:04\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2058,\"menuName\":\"酒品二维码\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"path\":\"qrcode\",\"perms\":\"brewery:qrcode:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:53:33', 9);
INSERT INTO `sys_oper_log` VALUES (296, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/goods/index\",\"createTime\":\"2024-12-21 20:06:09\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2076,\"menuName\":\"兑换商品\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"path\":\"goods\",\"perms\":\"brewery:goods:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:53:51', 10);
INSERT INTO `sys_oper_log` VALUES (297, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/beer/index\",\"createTime\":\"2024-12-21 20:06:14\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2088,\"menuName\":\"啤酒\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"path\":\"beer\",\"perms\":\"brewery:beer:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:54:02', 10);
INSERT INTO `sys_oper_log` VALUES (298, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/reply/index\",\"createTime\":\"2024-12-21 20:05:59\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2046,\"menuName\":\"酒评回复\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2003,\"path\":\"reply\",\"perms\":\"brewery:reply:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:54:14', 8);
INSERT INTO `sys_oper_log` VALUES (299, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/like/index\",\"createTime\":\"2024-12-21 20:06:07\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2070,\"menuName\":\"酒评点赞\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2003,\"path\":\"like\",\"perms\":\"brewery:like:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:54:22', 10);
INSERT INTO `sys_oper_log` VALUES (300, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:32:15\",\"icon\":\"skill\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2005,\"menuName\":\"增值服务\",\"menuType\":\"M\",\"orderNum\":8,\"params\":{},\"parentId\":2105,\"path\":\"upgrade\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:55:07', 9);
INSERT INTO `sys_oper_log` VALUES (301, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/review/index\",\"createTime\":\"2024-12-21 20:05:56\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2040,\"menuName\":\"酒评\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2003,\"path\":\"review\",\"perms\":\"brewery:review:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:55:31', 9);
INSERT INTO `sys_oper_log` VALUES (302, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"system/menu/brewery\",\"createTime\":\"2024-12-23 21:40:28\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2094,\"menuName\":\"品牌方菜单管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2105,\"path\":\"breweryMenu\",\"perms\":\"system:menu:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 21:56:36', 9);
INSERT INTO `sys_oper_log` VALUES (303, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"订单管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"order\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:04:40', 10);
INSERT INTO `sys_oper_log` VALUES (304, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"redeemOrder/index\",\"createTime\":\"2024-12-21 20:06:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2052,\"menuName\":\"兑换订单\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":2106,\"path\":\"redeemOrder\",\"perms\":\"brewery:redeemOrder:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:04:51', 10);
INSERT INTO `sys_oper_log` VALUES (305, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":10,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:09:02', 9);
INSERT INTO `sys_oper_log` VALUES (306, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createTime\":\"2025-01-08 22:04:40\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2106,\"menuName\":\"订单管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"order\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:10:50', 10);
INSERT INTO `sys_oper_log` VALUES (307, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createTime\":\"2025-01-08 22:04:40\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2106,\"menuName\":\"订单管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"order\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:11:38', 9);
INSERT INTO `sys_oper_log` VALUES (308, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createTime\":\"2025-01-08 21:52:09\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2105,\"menuName\":\"品牌方\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:12:05', 10);
INSERT INTO `sys_oper_log` VALUES (309, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"component\":\"brewery/activity/index\",\"createTime\":\"2024-12-21 20:04:59\",\"icon\":\"sunny\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"营销活动\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"activity1\",\"perms\":\"brewery:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:12:58', 12);
INSERT INTO `sys_oper_log` VALUES (310, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"门店\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"bar\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:15:06', 9);
INSERT INTO `sys_oper_log` VALUES (311, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:06:37\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"store\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:28:32', 11);
INSERT INTO `sys_oper_log` VALUES (312, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.49.227', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:06:37\",\"icon\":\"dashboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":2105,\"path\":\"store\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 22:28:44', 8);
INSERT INTO `sys_oper_log` VALUES (313, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"brewery/auth\",\"createTime\":\"2024-12-21 20:05:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2022,\"menuName\":\"主体认证信息\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2105,\"path\":\"auth\",\"perms\":\"brewery:auth:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-09 00:03:40', 30);
INSERT INTO `sys_oper_log` VALUES (314, '审核主体认证信息', 2, 'com.ruoyi.web.controller.brewery.WyBreweryAuthController.approval()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/auth/approval', '111.127.226.107', 'XX XX', '{\"approval\":1,\"approvalReason\":\"\",\"authId\":5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-09 00:19:37', 32);
INSERT INTO `sys_oper_log` VALUES (315, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '110.18.11.117', 'XX XX', '{\"tables\":\"wy_bar\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 15:54:13', 85);
INSERT INTO `sys_oper_log` VALUES (316, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', '研发部门', '/tool/gen/synchDb/wy_bar', '110.18.11.117', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 15:54:23', 58);
INSERT INTO `sys_oper_log` VALUES (317, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '110.18.11.117', 'XX XX', '{\"businessName\":\"bar\",\"className\":\"WyBar\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":237,\"columnName\":\"id\",\"columnType\":\"int\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 15:54:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"updateTime\":\"2025-01-10 15:54:23\",\"usableColumn\":false},{\"capJavaField\":\"BarName\",\"columnComment\":\"酒吧名称\",\"columnId\":238,\"columnName\":\"bar_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 15:54:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"barName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"updateTime\":\"2025-01-10 15:54:23\",\"usableColumn\":false},{\"capJavaField\":\"BarNumber\",\"columnComment\":\"酒吧编号\",\"columnId\":239,\"columnName\":\"bar_number\",\"columnType\":\"varchar(20)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 15:54:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"barNumber\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"updateTime\":\"2025-01-10 15:54:23\",\"usableColumn\":false},{\"capJavaField\":\"BarLogo\",\"columnComment\":\"酒吧logo\",\"columnId\":240,\"columnName\":\"bar_logo\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 15:54:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 15:54:42', 64);
INSERT INTO `sys_oper_log` VALUES (318, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '110.18.11.117', 'XX XX', '{\"children\":[],\"component\":\"bar/index\",\"createTime\":\"2025-01-08 22:15:06\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2107,\"menuName\":\"门店\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"bar\",\"perms\":\"system:bar:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 16:00:50', 11);
INSERT INTO `sys_oper_log` VALUES (319, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/2012', '110.18.11.117', 'XX XX', '2012', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 17:02:42', 12);
INSERT INTO `sys_oper_log` VALUES (320, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '110.18.11.117', 'XX XX', '{\"children\":[],\"component\":\"product/goods/index\",\"createTime\":\"2024-12-21 20:06:09\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2076,\"menuName\":\"兑换商品\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"path\":\"goods\",\"perms\":\"brewery:goods:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 17:04:09', 10);
INSERT INTO `sys_oper_log` VALUES (321, '酒吧', 2, 'com.ruoyi.web.controller.bar.WyBarController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/bar/bar', '111.127.226.107', 'XX XX', '{\"address\":\"呼和浩特\",\"authState\":0,\"barContactPhone\":\"18004802730\",\"barLogo\":\"http://121.37.100.169:9090/profile/upload/2025/01/05/VXhbyt8UHWVE38d5ed9ba4fbfad97bd7b1bbbbe2c5e6_20250105231301A001.png\",\"barName\":\"今夜不回家\",\"barNumber\":\"54658724\",\"businessLicense\":\"http://121.37.100.169:9090/profile/upload/2025/01/05/LLZAPDT6ZTer4759f00fe9f8e8afcffeb11dfec86812_20250105231409A002.png\",\"createBy\":\"\",\"createTime\":\"2025-01-05 23:37:52\",\"id\":4,\"params\":{},\"storefrontPhoto\":\"http://ma.zdtap.com/profile/upload/2025/01/10/切图 1 (1)_20250110215921A001.png\",\"updateBy\":\"\",\"updateTime\":\"2025-01-10 22:01:02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 22:01:03', 24);
INSERT INTO `sys_oper_log` VALUES (322, '审核酒吧', 2, 'com.ruoyi.web.controller.bar.WyBarController.approval()', 'PUT', 1, 'admin', '研发部门', '/system/bar/bar/approval', '111.127.226.107', 'XX XX', '{\"approval\":1,\"approvalReason\":\"\",\"barId\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 22:03:33', 15);
INSERT INTO `sys_oper_log` VALUES (323, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"mp/activity/index\",\"createTime\":\"2024-12-21 20:04:59\",\"icon\":\"sunny\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"营销活动\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"activity\",\"perms\":\"brewery:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 22:26:44', 24);
INSERT INTO `sys_oper_log` VALUES (324, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"mp/activity/index\",\"createTime\":\"2024-12-21 20:04:59\",\"icon\":\"sunny\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"营销活动\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"activity1\",\"perms\":\"brewery:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 22:28:00', 12);
INSERT INTO `sys_oper_log` VALUES (325, '啤酒', 2, 'com.ruoyi.web.controller.brewery.WyBeerController.approval()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/beer/approval', '111.127.226.107', 'XX XX', '{\"approval\":1,\"approvalReason\":\"\",\"beerId\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 22:39:38', 10);
INSERT INTO `sys_oper_log` VALUES (326, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityName\":\"111111\",\"activityRewardCount\":1,\"activityRewardType\":2,\"activityTarget\":11,\"activityType\":2,\"beerScope\":0,\"createTime\":\"2025-01-10 22:40:23\",\"id\":2,\"params\":{}}', NULL, 1, '', '2025-01-10 22:40:23', 27);
INSERT INTO `sys_oper_log` VALUES (327, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '111.127.226.107', 'XX XX', '{\"tables\":\"wy_platform_activity\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:12:56', 252);
INSERT INTO `sys_oper_log` VALUES (328, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '111.127.226.107', 'XX XX', '{\"businessName\":\"activity\",\"className\":\"WyPlatformActivity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":255,\"columnName\":\"id\",\"columnType\":\"int\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 23:12:56\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":19,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityType\",\"columnComment\":\"1定向 2招募\",\"columnId\":256,\"columnName\":\"activity_type\",\"columnType\":\"smallint\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 23:12:56\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityType\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":19,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityName\",\"columnComment\":\"活动名称\",\"columnId\":257,\"columnName\":\"activity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 23:12:56\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":19,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityDesc\",\"columnComment\":\"活动描述\",\"columnId\":258,\"columnName\":\"activity_desc\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-01-10 23:12:56\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:14:20', 95);
INSERT INTO `sys_oper_log` VALUES (329, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"platform/activity\",\"createBy\":\"admin\",\"icon\":\"sunny\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"平台活动\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"platformActivity\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:18:12', 22);
INSERT INTO `sys_oper_log` VALUES (330, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":8,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:18:45', 13);
INSERT INTO `sys_oper_log` VALUES (331, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createTime\":\"2024-12-19 21:29:53\",\"icon\":\"star\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"beerReview\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:18:52', 13);
INSERT INTO `sys_oper_log` VALUES (332, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:27:03\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"product\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:18:56', 10);
INSERT INTO `sys_oper_log` VALUES (333, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"platform/activity\",\"createTime\":\"2025-01-10 23:18:12\",\"icon\":\"sunny\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2108,\"menuName\":\"平台活动\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"platformActivity\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:19:04', 11);
INSERT INTO `sys_oper_log` VALUES (334, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2025-01-07 00:08:38\",\"icon\":\"mp\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2095,\"menuName\":\"小程序运营\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"mpOperation\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:19:21', 14);
INSERT INTO `sys_oper_log` VALUES (335, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"bar/index\",\"createTime\":\"2025-01-08 22:15:06\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2107,\"menuName\":\"门店\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"bar\",\"perms\":\"system:bar:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:19:29', 9);
INSERT INTO `sys_oper_log` VALUES (336, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"platform/activity\",\"createTime\":\"2025-01-10 23:18:12\",\"icon\":\"sunny\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2108,\"menuName\":\"平台活动\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"platformActivity\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:19:39', 11);
INSERT INTO `sys_oper_log` VALUES (337, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2025-01-07 00:08:38\",\"icon\":\"mp\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2095,\"menuName\":\"小程序运营\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"mpOperation\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:19:44', 10);
INSERT INTO `sys_oper_log` VALUES (338, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:27:03\",\"icon\":\"shopping\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"商品管理\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"product\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:19:55', 10);
INSERT INTO `sys_oper_log` VALUES (339, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":19,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:20:22', 10);
INSERT INTO `sys_oper_log` VALUES (340, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":20,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:20:30', 9);
INSERT INTO `sys_oper_log` VALUES (341, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 20:11:55\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":21,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:20:37', 10);
INSERT INTO `sys_oper_log` VALUES (342, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"bar/index\",\"createTime\":\"2025-01-08 22:15:06\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2107,\"menuName\":\"门店\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"bar\",\"perms\":\"system:bar:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:20:53', 11);
INSERT INTO `sys_oper_log` VALUES (343, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"bar/index\",\"createTime\":\"2025-01-08 22:15:06\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2107,\"menuName\":\"门店\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"bar\",\"perms\":\"system:bar:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:20:59', 10);
INSERT INTO `sys_oper_log` VALUES (344, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:30:45\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2004,\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":8,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:21:09', 12);
INSERT INTO `sys_oper_log` VALUES (345, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 22:04:17\",\"icon\":\"component\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"一物一码\",\"menuType\":\"M\",\"orderNum\":9,\"params\":{},\"parentId\":0,\"path\":\"qrcode\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:21:13', 11);
INSERT INTO `sys_oper_log` VALUES (346, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"beerReview/index\",\"createTime\":\"2024-12-19 21:29:53\",\"icon\":\"star\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"酒评管理\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"beerReview\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:21:32', 9);
INSERT INTO `sys_oper_log` VALUES (347, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"bar/index\",\"createTime\":\"2025-01-08 22:15:06\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2107,\"menuName\":\"门店\",\"menuType\":\"C\",\"orderNum\":8,\"params\":{},\"parentId\":0,\"path\":\"bar\",\"perms\":\"system:bar:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:21:40', 12);
INSERT INTO `sys_oper_log` VALUES (348, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"createTime\":\"2024-12-19 21:30:45\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2004,\"menuName\":\"数据统计\",\"menuType\":\"M\",\"orderNum\":10,\"params\":{},\"parentId\":0,\"path\":\"statistics\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-10 23:21:52', 9);
INSERT INTO `sys_oper_log` VALUES (349, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityName\":\"1111111\",\"activityRewardCount\":11,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":11,\"activityType\":2,\"beerScope\":0,\"city\":\"呼和浩特\",\"createTime\":\"2025-01-11 00:23:20\",\"duration\":12,\"endDate\":\"2025-01-31\",\"id\":3,\"params\":{},\"startDate\":\"2025-01-01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-11 00:23:20', 16);
INSERT INTO `sys_oper_log` VALUES (350, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"mp/activity/index\",\"createTime\":\"2024-12-21 20:04:59\",\"icon\":\"sunny\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"营销活动\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"activity\",\"perms\":\"brewery:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-11 21:17:55', 9);
INSERT INTO `sys_oper_log` VALUES (351, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '111.127.226.107', 'XX XX', '{\"children\":[],\"component\":\"mp/activity/index\",\"createTime\":\"2025-01-07 00:13:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2100,\"menuName\":\"活动管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2095,\"path\":\"mpActivity\",\"perms\":\"system:activity:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-11 22:46:52', 25);
INSERT INTO `sys_oper_log` VALUES (352, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"beerIds\":[1],\"createTime\":\"2025-01-12 00:00:41\",\"id\":2,\"pageDesc\":\"111\",\"pageName\":\"111\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"2\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformFeatureBeerMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformFeatureBeerMapper.insertWyPlatformFeatureBeer-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_feature_beer          ( page_id,             beer_id )           values ( ?,             ? )\n### Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n; Field \'beer_name\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value', '2025-01-12 00:00:41', 91);
INSERT INTO `sys_oper_log` VALUES (353, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"beerIds\":[1],\"createTime\":\"2025-01-12 00:01:04\",\"id\":3,\"pageDesc\":\"111\",\"pageName\":\"111\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"2\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformFeatureBeerMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformFeatureBeerMapper.insertWyPlatformFeatureBeer-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_feature_beer          ( page_id,             beer_id )           values ( ?,             ? )\n### Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n; Field \'beer_name\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value', '2025-01-12 00:01:05', 12);
INSERT INTO `sys_oper_log` VALUES (354, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityName\":\"2222\",\"activityRewardCount\":22,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":2,\"activityType\":2,\"beerScope\":1,\"params\":{}}', NULL, 1, '请选择啤酒', '2025-01-12 00:03:29', 8);
INSERT INTO `sys_oper_log` VALUES (355, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityName\":\"2222\",\"activityRewardCount\":22,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":2,\"activityType\":2,\"beerScope\":0,\"createTime\":\"2025-01-12 00:05:11\",\"id\":4,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-12 00:05:11', 14);
INSERT INTO `sys_oper_log` VALUES (356, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"beerIds\":[1],\"createTime\":\"2025-01-13 23:13:55\",\"id\":4,\"pageDesc\":\"2\",\"pageName\":\"测试\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"1\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformFeatureBeerMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformFeatureBeerMapper.insertWyPlatformFeatureBeer-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_feature_beer          ( page_id,             beer_id )           values ( ?,             ? )\n### Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n; Field \'beer_name\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value', '2025-01-13 23:13:55', 9);
INSERT INTO `sys_oper_log` VALUES (357, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.226.107', 'XX XX', '{\"activityName\":\"测试\",\"activityRewardCount\":12,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":1,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"createTime\":\"2025-01-13 23:50:20\",\"id\":5,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-13 23:50:20', 13);
INSERT INTO `sys_oper_log` VALUES (358, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"beerIds\":[1],\"createTime\":\"2025-01-13 23:52:22\",\"id\":5,\"pageDesc\":\"22\",\"pageName\":\"测试专辑\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"123\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformFeatureBeerMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformFeatureBeerMapper.insertWyPlatformFeatureBeer-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_feature_beer          ( page_id,             beer_id )           values ( ?,             ? )\n### Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n; Field \'beer_name\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value', '2025-01-13 23:52:22', 9);
INSERT INTO `sys_oper_log` VALUES (359, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.107', 'XX XX', '{\"beerIds\":[1],\"createTime\":\"2025-01-14 00:29:42\",\"id\":6,\"pageName\":\"测试\",\"params\":{},\"platformActivityId\":1,\"publishState\":1}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n### The error may exist in URL [jar:file:/mnt/data/zhidian/ruoyi-zhidian.jar!/BOOT-INF/lib/ruoyi-system-3.8.8.jar!/mapper/system/WyPlatformFeatureBeerMapper.xml]\n### The error may involve com.ruoyi.system.mapper.WyPlatformFeatureBeerMapper.insertWyPlatformFeatureBeer-Inline\n### The error occurred while setting parameters\n### SQL: insert into wy_platform_feature_beer          ( page_id,             beer_id )           values ( ?,             ? )\n### Cause: java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value\n; Field \'beer_name\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'beer_name\' doesn\'t have a default value', '2025-01-14 00:29:42', 12);
INSERT INTO `sys_oper_log` VALUES (360, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.23', 'XX XX', '{\"beerIds\":[1],\"createTime\":\"2025-01-15 23:29:48\",\"id\":7,\"pageDesc\":\"2\",\"pageName\":\"测试\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-15 23:29:48', 32);
INSERT INTO `sys_oper_log` VALUES (361, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.23', 'XX XX', '{\"beerIds\":[1],\"pageDesc\":\"111\",\"pageName\":\"测试专辑\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"副标题\"}', NULL, 1, '封面图片不能为空', '2025-01-15 23:53:54', 18);
INSERT INTO `sys_oper_log` VALUES (362, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.23', 'XX XX', '{\"beerIds\":[1],\"cover\":\"http://ma.zdtap.com/profile/upload/2025/01/15/切图 1 (1)_20250115235403A001.png\",\"createTime\":\"2025-01-15 23:54:04\",\"id\":1,\"pageDesc\":\"111\",\"pageName\":\"测试专辑\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"subTitle\":\"副标题\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-15 23:54:04', 23);
INSERT INTO `sys_oper_log` VALUES (363, '专题页', 2, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.23', 'XX XX', '{\"activity\":{\"activityName\":\"1111111\",\"activityRewardCount\":11,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":11,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-10 22:39:39\"}],\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2025-01-11 00:23:20\",\"duration\":12,\"endDate\":\"2025-01-31\",\"id\":3,\"params\":{},\"startDate\":\"2025-01-01\",\"updateBy\":\"\"},\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-10 22:39:39\"}],\"clickCount\":0,\"clickRate\":0,\"cover\":\"http://ma.zdtap.com/profile/upload/2025/01/15/切图 1 (1)_20250115235403A001.png\",\"createBy\":\"\",\"createTime\":\"2025-01-15 23:54:05\",\"id\":1,\"pageDesc\":\"111\",\"pageName\":\"测试专辑\",\"params\":{},\"platformActivityId\":3,\"publishState\":1,\"showCount\":0,\"showOrder\":1,\"subTitle\":\"副标题\",\"updateBy\":\"\",\"updateTime\":\"2025-01-16 00:01:40\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-16 00:01:40', 55);
INSERT INTO `sys_oper_log` VALUES (364, '专题页', 2, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.226.23', 'XX XX', '{\"activity\":{\"activityName\":\"1111111\",\"activityRewardCount\":11,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":11,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-10 22:39:39\"}],\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2025-01-11 00:23:20\",\"duration\":12,\"endDate\":\"2025-01-31\",\"id\":3,\"params\":{},\"startDate\":\"2025-01-01\",\"updateBy\":\"\"},\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-10 22:39:39\"}],\"clickCount\":0,\"clickRate\":0,\"cover\":\"http://ma.zdtap.com/profile/upload/2025/01/15/切图 1 (1)_20250115235403A001.png\",\"createBy\":\"\",\"createTime\":\"2025-01-15 23:54:05\",\"id\":1,\"pageDesc\":\"这是备注\",\"pageName\":\"TasteRoom 风味屋·风味之旅系列\",\"params\":{},\"platformActivityId\":3,\"publishState\":1,\"showCount\":0,\"showOrder\":1,\"subTitle\":\"探索啤酒风味新边界\",\"updateBy\":\"\",\"updateTime\":\"2025-01-16 00:13:15\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-16 00:13:15', 11);
INSERT INTO `sys_oper_log` VALUES (365, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.23', 'XX XX', '{\"bannerName\":\"新酒上市\",\"bannerType\":\"quickNav\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/20/新酒上市_20250120222815A001.png\",\"createTime\":\"2025-01-20 22:28:33\",\"id\":5,\"params\":{},\"publishState\":1,\"showOrder\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-20 22:28:33', 14);
INSERT INTO `sys_oper_log` VALUES (366, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.23', 'XX XX', '{\"bannerName\":\"啤酒币入口\",\"bannerType\":\"quickNav\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/20/啤酒币入口_20250120223410A002.png\",\"createTime\":\"2025-01-20 22:34:34\",\"id\":6,\"params\":{},\"publishState\":1,\"showOrder\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-20 22:34:34', 6);
INSERT INTO `sys_oper_log` VALUES (367, 'platFormBanner', 1, 'com.ruoyi.web.controller.system.WyPlatformBannerController.add()', 'POST', 1, 'admin', '研发部门', '/system/platFormBanner', '111.127.226.23', 'XX XX', '{\"bannerName\":\"关注酒厂\",\"bannerType\":\"quickNav\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/20/关注酒厂_20250120223531A003.png\",\"createTime\":\"2025-01-20 22:35:33\",\"id\":7,\"params\":{},\"publishState\":1,\"showOrder\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-20 22:35:33', 8);
INSERT INTO `sys_oper_log` VALUES (368, '营销活动', 2, 'com.ruoyi.web.controller.system.WyPlatformActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/activity', '111.127.226.23', 'XX XX', '{\"activityName\":\"1111111\",\"activityRewardCount\":11,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":11,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerOverallRating\":5.0,\"beerReviewsCount\":1,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 20:48:25\"}],\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2025-01-11 00:23:20\",\"duration\":12,\"endDate\":\"2025-01-31\",\"id\":3,\"params\":{},\"startDate\":\"2025-01-01\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 22:41:40\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 22:41:40', 59);
INSERT INTO `sys_oper_log` VALUES (369, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '111.127.226.23', 'XX XX', '{\"activityDesc\":\"简介\",\"activityName\":\"测试\",\"activityRewardCount\":0,\"activityRewardType\":0,\"activityStatus\":1,\"activityTarget\":0,\"activityType\":2,\"beerScope\":0,\"breweryId\":1,\"createBy\":\"\",\"createTime\":\"2024-12-30 21:15:35\",\"endDate\":\"2024-12-31\",\"id\":1,\"params\":{},\"remainingBeerCount\":0,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 22:43:05\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 22:43:05', 17);
INSERT INTO `sys_oper_log` VALUES (370, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '111.127.226.23', 'XX XX', '{\"activityDesc\":\"123123\",\"activityName\":\"测试活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":12,\"activityType\":1,\"barIds\":[],\"beerId\":2,\"beerIds\":[],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 22:45:38\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 22:45:38', 10);
INSERT INTO `sys_oper_log` VALUES (371, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '111.127.226.23', 'XX XX', '{\"activityDesc\":\"简介\",\"activityName\":\"品牌方活动\",\"activityRewardCount\":6,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":10,\"activityType\":2,\"beerId\":2,\"beerScope\":1,\"breweryId\":1,\"createBy\":\"\",\"createTime\":\"2024-12-30 21:15:35\",\"duration\":20,\"endDate\":\"2024-12-31\",\"id\":1,\"params\":{},\"remainingBeerCount\":0,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:13:29\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:13:29', 8);
INSERT INTO `sys_oper_log` VALUES (372, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '111.127.226.23', 'XX XX', '{\"activityDesc\":\"简介\",\"activityName\":\"品牌方活动\",\"activityRewardCount\":6,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":10,\"activityType\":2,\"beerId\":2,\"beerIds\":[2],\"beerScope\":1,\"breweryId\":1,\"createBy\":\"\",\"createTime\":\"2024-12-30 21:15:35\",\"duration\":20,\"endDate\":\"2024-12-31\",\"id\":1,\"params\":{},\"remainingBeerCount\":10,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:18:04\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:18:04', 8);
INSERT INTO `sys_oper_log` VALUES (373, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '111.127.226.23', 'XX XX', '{\"activityDesc\":\"<p>简介</p>\",\"activityName\":\"品牌方活动\",\"activityRewardCount\":6,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":10,\"activityType\":2,\"beerId\":2,\"beerIds\":[2],\"beerScope\":1,\"breweryId\":1,\"createBy\":\"\",\"createTime\":\"2024-12-30 21:15:35\",\"duration\":20,\"endDate\":\"2024-12-31\",\"id\":1,\"params\":{},\"remainingBeerCount\":10,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:34:27\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:34:28', 188);
INSERT INTO `sys_oper_log` VALUES (374, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '111.127.226.23', 'XX XX', '{\"activityDesc\":\"<p>简介</p>\",\"activityName\":\"品牌方奖励啤酒币活动\",\"activityRewardCount\":611,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":100,\"activityType\":2,\"beerId\":2,\"beerIds\":[2],\"beerScope\":1,\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerOverallRating\":5.0,\"beerReviewsCount\":1,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 20:48:25\"}],\"breweryId\":1,\"createBy\":\"\",\"createTime\":\"2024-12-30 21:15:35\",\"duration\":20,\"endDate\":\"2024-12-31\",\"id\":1,\"params\":{},\"remainingBeerCount\":10,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:46:34\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:46:34', 29);
INSERT INTO `sys_oper_log` VALUES (375, '营销活动', 2, 'com.ruoyi.web.controller.brewery.WyActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/activity', '111.127.226.23', 'XX XX', '{\"activityDesc\":\"<p>123123</p>\",\"activityName\":\"奖励商品活动\",\"activityRewardCount\":12,\"activityRewardGoodsId\":1,\"activityRewardType\":1,\"activityStatus\":1,\"activityTarget\":209,\"activityType\":2,\"barIds\":[],\"beerId\":2,\"beerIds\":[2],\"beerScope\":1,\"breweryId\":1,\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2024-12-30 23:46:19\",\"duration\":2,\"endDate\":\"2024-12-31\",\"id\":2,\"params\":{},\"remainingBeerCount\":12,\"startDate\":\"2024-12-30\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 23:58:14\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-26 23:58:14', 16);
INSERT INTO `sys_oper_log` VALUES (376, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '110.18.8.118', 'XX XX', '{\"bannerLink\":\"/pages/login/chooseLogin\",\"bannerName\":\"首页顶部邀请入驻图片\",\"bannerType\":\"homeJoin\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/homeJoin_20250107221150A001.jpg\",\"clickCount\":0,\"clickRate\":0,\"createBy\":\"\",\"createTime\":\"2025-01-07 22:12:35\",\"id\":4,\"params\":{},\"publishState\":0,\"showCount\":0,\"showOrder\":0,\"updateBy\":\"\",\"updateTime\":\"2025-02-09 19:39:33\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-09 19:39:33', 16);
INSERT INTO `sys_oper_log` VALUES (377, 'platFormBanner', 2, 'com.ruoyi.web.controller.system.WyPlatformBannerController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/platFormBanner', '110.18.8.118', 'XX XX', '{\"bannerLink\":\"/pages/login/chooseLogin\",\"bannerName\":\"首页顶部邀请入驻图片\",\"bannerType\":\"homeJoin\",\"bannerUrl\":\"http://ma.zdtap.com/profile/upload/2025/01/07/homeJoin_20250107221150A001.jpg\",\"clickCount\":0,\"clickRate\":0,\"createBy\":\"\",\"createTime\":\"2025-01-07 22:12:35\",\"id\":4,\"params\":{},\"publishState\":1,\"showCount\":0,\"showOrder\":0,\"updateBy\":\"\",\"updateTime\":\"2025-02-09 19:39:51\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-09 19:39:51', 10);
INSERT INTO `sys_oper_log` VALUES (378, '专题页', 2, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '110.18.8.118', 'XX XX', '{\"activity\":{\"activityName\":\"1111111\",\"activityRewardCount\":11,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":11,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerOverallRating\":5.0,\"beerReviewsCount\":1,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 20:48:25\"}],\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2025-01-11 00:23:20\",\"duration\":12,\"endDate\":\"2025-01-31\",\"id\":3,\"params\":{},\"startDate\":\"2025-01-01\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 22:41:40\"},\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerOverallRating\":5.0,\"beerReviewsCount\":1,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 20:48:25\"}],\"clickCount\":0,\"clickRate\":0,\"cover\":\"http://ma.zdtap.com/profile/upload/2025/01/15/切图 1 (1)_20250115235403A001.png\",\"createBy\":\"\",\"createTime\":\"2025-01-15 23:54:05\",\"id\":1,\"pageDesc\":\"这是备注\",\"pageName\":\"TasteRoom 风味屋·风味之旅系列\",\"params\":{},\"platformActivityId\":3,\"publishStat', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-09 19:40:47', 31);
INSERT INTO `sys_oper_log` VALUES (379, '参数管理', 2, 'com.ruoyi.web.controller.system.SysConfigController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/config', '110.18.8.118', 'XX XX', '{\"configId\":1,\"configKey\":\"sys.index.skinName\",\"configName\":\"主框架页-默认皮肤样式名称\",\"configType\":\"Y\",\"configValue\":\"skin-green\",\"createBy\":\"admin\",\"createTime\":\"2024-12-19 20:11:56\",\"params\":{},\"remark\":\"蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-09 21:28:37', 12);
INSERT INTO `sys_oper_log` VALUES (380, '营销活动', 2, 'com.ruoyi.web.controller.system.WyPlatformActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/activity', '111.127.224.223', 'XX XX', '{\"activityName\":\"1111111\",\"activityRewardCount\":11,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":2,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerOverallRating\":5.0,\"beerReviewsCount\":1,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"breweryLogo\":\"http://ma.zdtap.com/profile/upload/2025/02/10/bar-bg_20250210211111A002.png\",\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 20:48:25\"}],\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2025-01-11 00:23:20\",\"duration\":12,\"endDate\":\"2025-01-31\",\"id\":3,\"params\":{},\"startDate\":\"2025-01-01\",\"updateBy\":\"\",\"updateTime\":\"2025-02-10 21:14:05\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-10 21:14:06', 46);
INSERT INTO `sys_oper_log` VALUES (381, '营销活动', 2, 'com.ruoyi.web.controller.system.WyPlatformActivityController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/activity', '111.127.224.223', 'XX XX', '{\"activityName\":\"1111111\",\"activityRewardCount\":11,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":2,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"beers\":[{\"approval\":1,\"approvalReason\":\"\",\"barcode\":\"354645745457457\",\"beerAbv\":12,\"beerIbus\":2,\"beerName\":\"青岛啤酒\",\"beerOg\":8,\"beerOverallRating\":5.0,\"beerReviewsCount\":1,\"beerSn\":\"765123141243\",\"beerStyles\":\"小麦啤酒（Wheat beer）\",\"brandLogo\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png\",\"brandName\":\"青岛啤酒\",\"breweryId\":1,\"breweryLogo\":\"http://ma.zdtap.com/profile/upload/2025/02/10/bar-bg_20250210211111A002.png\",\"cover\":\"http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png\",\"createBy\":\"\",\"createTime\":\"2024-12-26 00:29:48\",\"desc\":\"很好喝\",\"id\":2,\"launchDate\":\"2024-12-03\",\"marketPrice\":8,\"onSale\":1,\"params\":{},\"scanCoinCount\":11,\"specs\":\"1\",\"updateBy\":\"\",\"updateTime\":\"2025-01-26 20:48:25\"}],\"city\":\"呼和浩特\",\"createBy\":\"\",\"createTime\":\"2025-01-11 00:23:20\",\"duration\":12,\"endDate\":\"2025-02-28\",\"id\":3,\"params\":{},\"startDate\":\"2025-01-01\",\"updateBy\":\"\",\"updateTime\":\"2025-02-10 21:14:42\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-10 21:14:42', 18);
INSERT INTO `sys_oper_log` VALUES (382, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.223', 'XX XX', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"dpgl\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateTime\":\"2025-02-10 22:12:17\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-10 22:12:17', 15);
INSERT INTO `sys_oper_log` VALUES (383, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.223', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner\",\"createTime\":\"2024-12-24 01:11:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":15,\"menuName\":\"品牌广告图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":7,\"path\":\"banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateTime\":\"2025-02-10 22:12:29\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-10 22:12:29', 8);
INSERT INTO `sys_oper_log` VALUES (384, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.223', 'XX XX', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-23 23:06:11\",\"icon\":\"spdl\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"商品\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"product\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2025-02-10 22:54:25\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-10 22:54:25', 9);
INSERT INTO `sys_oper_log` VALUES (385, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.224.223', 'XX XX', '{\"activityDesc\":\"扫5罐得10个啤酒币\",\"activityName\":\"铁罐活动（平台）\",\"activityRewardCount\":10,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":5,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"city\":\"呼和浩特\",\"createTime\":\"2025-02-11 22:02:19\",\"duration\":30,\"endDate\":\"2025-03-10\",\"id\":1,\"params\":{},\"startDate\":\"2025-02-11\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-11 22:02:19', 20);
INSERT INTO `sys_oper_log` VALUES (386, '营销活动', 1, 'com.ruoyi.web.controller.system.WyPlatformActivityController.add()', 'POST', 1, 'admin', '研发部门', '/system/activity', '111.127.224.223', 'XX XX', '{\"activityDesc\":\"扫1罐得2个啤酒币\",\"activityName\":\"1罐得2个啤酒币\",\"activityRewardCount\":2,\"activityRewardType\":2,\"activityStatus\":1,\"activityTarget\":1,\"activityType\":2,\"beerIds\":[2],\"beerScope\":1,\"city\":\"呼和浩特\",\"createTime\":\"2025-02-11 22:03:26\",\"duration\":30,\"endDate\":\"2025-03-10\",\"id\":2,\"params\":{},\"startDate\":\"2025-02-11\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-11 22:03:26', 11);
INSERT INTO `sys_oper_log` VALUES (387, '专题页', 3, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage/1', '111.127.224.223', 'XX XX', '[1]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-11 22:19:33', 12);
INSERT INTO `sys_oper_log` VALUES (388, '专题页', 1, 'com.ruoyi.web.controller.system.WyPlatformFeaturePageController.add()', 'POST', 1, 'admin', '研发部门', '/system/PlatFormFeaturePage', '111.127.224.223', 'XX XX', '{\"beerIds\":[1],\"cover\":\"http://ma.zdtap.com/profile/upload/2025/02/11/切图 1 (1)_20250211222044A001.png\",\"createTime\":\"2025-02-11 22:21:18\",\"id\":2,\"pageDesc\":\"这是备注\",\"pageName\":\"TasteRoom 风味屋·风味之旅系列\",\"params\":{},\"platformActivityId\":1,\"publishState\":1,\"showRegion\":\"呼和浩特\",\"subTitle\":\"探索啤酒风味新边界!\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-11 22:21:18', 15);
INSERT INTO `sys_oper_log` VALUES (389, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.101', 'XX XX', '{\"children\":[],\"component\":\"qrcode/batch/index\",\"createTime\":\"2024-12-27 00:07:03\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":17,\"menuName\":\"酒签打印记录\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":3,\"path\":\"batch\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2025-02-12 23:53:21\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-12 23:53:21', 18);
INSERT INTO `sys_oper_log` VALUES (390, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.101', 'XX XX', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"dpgl\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2025-02-13 00:11:17\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-13 00:11:17', 30);
INSERT INTO `sys_oper_log` VALUES (391, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.101', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner\",\"createTime\":\"2024-12-24 01:11:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":15,\"menuName\":\"品牌广告图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":7,\"path\":\"banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2025-02-13 00:16:05\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-13 00:16:05', 7);
INSERT INTO `sys_oper_log` VALUES (392, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.101', 'XX XX', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"dpgl\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateTime\":\"2025-02-13 00:16:49\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-13 00:16:49', 7);
INSERT INTO `sys_oper_log` VALUES (393, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.101', 'XX XX', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-23 23:47:37\",\"icon\":\"dpgl\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":7,\"menuName\":\"店铺设置\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"brewery\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateTime\":\"2025-02-13 00:20:09\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-13 00:20:09', 8);
INSERT INTO `sys_oper_log` VALUES (394, '品牌方菜单权限', 2, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/brewery/menu', '111.127.224.101', 'XX XX', '{\"children\":[],\"component\":\"brewery/banner\",\"createTime\":\"2024-12-24 01:11:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":15,\"menuName\":\"品牌广告图\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":7,\"path\":\"banner\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateTime\":\"2025-02-13 00:20:13\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-13 00:20:13', 7);
INSERT INTO `sys_oper_log` VALUES (395, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_platform_bill_template,wy_brewery_tag_print_template\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 13:41:25', 1354);
INSERT INTO `sys_oper_log` VALUES (396, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"billTemplate\",\"className\":\"WyPlatformBillTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"模板id\",\"columnId\":286,\"columnName\":\"id\",\"columnType\":\"int\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":21,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TemplateName\",\"columnComment\":\"模板名称\",\"columnId\":287,\"columnName\":\"template_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"templateName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":21,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ShowOrder\",\"columnComment\":\"排序\",\"columnId\":288,\"columnName\":\"show_order\",\"columnType\":\"int\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"showOrder\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":21,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TemplateType\",\"columnComment\":\"模板类型 1图片 2pdf\",\"columnId\":289,\"columnName\":\"template_type\",\"columnType\":\"int\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 13:42:11', 721);
INSERT INTO `sys_oper_log` VALUES (397, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"breweryTagPrintTemplate\",\"className\":\"WyBreweryTagPrintTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"模板id\",\"columnId\":275,\"columnName\":\"id\",\"columnType\":\"int\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":20,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TemplateName\",\"columnComment\":\"模板名称\",\"columnId\":276,\"columnName\":\"template_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"templateName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":20,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BreweryId\",\"columnComment\":\"品牌方id\",\"columnId\":277,\"columnName\":\"brewery_id\",\"columnType\":\"int\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"breweryId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":20,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PageWidth\",\"columnComment\":\"宽度 mm\",\"columnId\":278,\"columnName\":\"page_width\",\"columnType\":\"double\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 13:41:24\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 13:42:54', 625);
INSERT INTO `sys_oper_log` VALUES (398, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_brewery_tag_print_template,wy_platform_bill_template\"}', NULL, 0, NULL, '2025-02-15 13:43:08', 465);
INSERT INTO `sys_oper_log` VALUES (399, '品牌方菜单权限', 1, 'com.ruoyi.web.controller.brewery.WyBreweryMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/brewery/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"product/billTemplate/index\",\"createTime\":\"2025-02-15 15:44:40\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":18,\"menuName\":\"酒单模板管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":3,\"path\":\"billTemplate\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 15:44:40', 85);
INSERT INTO `sys_oper_log` VALUES (400, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_activity_bar\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 21:44:55', 81);
INSERT INTO `sys_oper_log` VALUES (401, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"activityBarBatch\",\"className\":\"WyActivityBar\",\"columns\":[{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":300,\"columnName\":\"batch_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 21:44:55\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":22,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityId\",\"columnComment\":\"活动id\",\"columnId\":301,\"columnName\":\"activity_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 21:44:55\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":22,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivitySupplier\",\"columnComment\":\"活动发布方 0平台 1品牌方\",\"columnId\":302,\"columnName\":\"activity_supplier\",\"columnType\":\"tinyint(1)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 21:44:55\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activitySupplier\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":22,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BarId\",\"columnComment\":\"门店id\",\"columnId\":303,\"columnName\":\"bar_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 21:44:55\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 21:50:45', 180);
INSERT INTO `sys_oper_log` VALUES (402, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_activity_bar\"}', NULL, 0, NULL, '2025-02-15 21:50:50', 389);
INSERT INTO `sys_oper_log` VALUES (403, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"wy_activity_join_batch\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 22:23:54', 66);
INSERT INTO `sys_oper_log` VALUES (404, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"activityJoinBatch\",\"className\":\"WyActivityJoinBatch\",\"columns\":[{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":305,\"columnName\":\"batch_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 22:23:54\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivityId\",\"columnComment\":\"活动id\",\"columnId\":306,\"columnName\":\"activity_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 22:23:54\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activityId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ActivitySupplier\",\"columnComment\":\"活动发布方 0平台 1品牌方\",\"columnId\":307,\"columnName\":\"activity_supplier\",\"columnType\":\"tinyint(1)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 22:23:54\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"activitySupplier\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":23,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BarId\",\"columnComment\":\"参与方id\",\"columnId\":308,\"columnName\":\"bar_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2025-02-15 22:23:54\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-15 22:25:03', 75);
INSERT INTO `sys_oper_log` VALUES (405, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"wy_activity_join_batch\"}', NULL, 0, NULL, '2025-02-15 22:25:10', 291);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '岗位名称',
  `post_sort` int(11) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-12-19 20:11:54', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(11) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2025-02-15 22:23:46', 'admin', '2024-12-19 20:11:54', '', '2025-02-15 22:23:46', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-19 20:11:54', 'admin', '2024-12-19 20:11:54', '', NULL, '测试员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

-- ----------------------------
-- Table structure for wy_activity
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity`;
CREATE TABLE `wy_activity`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL COMMENT '品牌方id',
  `activity_type` smallint(6) NOT NULL COMMENT '1定向 2招募',
  `activity_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '活动名称',
  `activity_desc` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '活动描述',
  `activity_status` tinyint(4) NULL DEFAULT NULL COMMENT '0无效 1有效',
  `beer_scope` tinyint(4) NOT NULL DEFAULT 0 COMMENT '活动产品范围：0无限制，1特定产品',
  `beer_id` int(11) NULL DEFAULT NULL COMMENT '活动产品id',
  `activity_target` int(11) NOT NULL COMMENT '活动目标（桶）',
  `activity_reward_type` tinyint(4) NOT NULL COMMENT '奖励方式 1商品，2啤酒币',
  `activity_reward_goods_id` int(11) NULL DEFAULT NULL COMMENT '奖励商品id（activity_reward_type=1）',
  `activity_reward_count` int(11) NOT NULL COMMENT '奖励数量',
  `start_date` datetime NULL DEFAULT NULL COMMENT '活动参与开始日期',
  `end_date` datetime NULL DEFAULT NULL COMMENT '活动参与截至日期',
  `duration` int(11) NULL DEFAULT NULL COMMENT '持续时间(天)，招募类型活动时生效',
  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '活动城市',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '营销活动' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_activity
-- ----------------------------
INSERT INTO `wy_activity` VALUES (1, 1, 2, '扫铁罐得啤酒币', '<p>扫铁罐得啤酒币，3罐得10个啤酒币</p>', 1, 1, 2, 3, 1, 1, 9, '2025-02-11 00:00:00', '2025-03-10 00:00:00', 30, '北京市/东城区', '', '2025-02-11 22:08:13', '', '2025-02-12 22:38:50', NULL);

-- ----------------------------
-- Table structure for wy_activity_bar
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity_bar`;
CREATE TABLE `wy_activity_bar`  (
  `activity_id` int(11) NOT NULL,
  `bar_id` int(11) NOT NULL,
  PRIMARY KEY (`activity_id`, `bar_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '活动参与酒吧' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wy_activity_bar
-- ----------------------------

-- ----------------------------
-- Table structure for wy_activity_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity_beer`;
CREATE TABLE `wy_activity_beer`  (
  `activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `beer_id` int(11) NOT NULL COMMENT '酒款id',
  PRIMARY KEY (`activity_id`, `beer_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '平台活动酒款表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_activity_beer
-- ----------------------------
INSERT INTO `wy_activity_beer` VALUES (1, 2);

-- ----------------------------
-- Table structure for wy_activity_join_batch
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity_join_batch`;
CREATE TABLE `wy_activity_join_batch`  (
  `batch_id` int(11) NOT NULL AUTO_INCREMENT,
  `activity_id` int(11) NOT NULL,
  `activity_supplier` tinyint(1) NOT NULL COMMENT '活动发布方 0平台 1品牌方',
  `bar_id` int(11) NOT NULL,
  `join_status` tinyint(2) NOT NULL COMMENT '参加状态',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`batch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '获得参与批次信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_activity_join_batch
-- ----------------------------

-- ----------------------------
-- Table structure for wy_activity_reward
-- ----------------------------
DROP TABLE IF EXISTS `wy_activity_reward`;
CREATE TABLE `wy_activity_reward`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activity_id` int(11) NOT NULL COMMENT '品牌方活动id',
  `brewery_id` int(11) NOT NULL COMMENT '品牌方id',
  `bar_id` int(11) NOT NULL COMMENT '奖励的门店id',
  `reward_status` tinyint(1) NOT NULL COMMENT '领奖状态',
  `claim_time` datetime NULL DEFAULT NULL COMMENT '领奖时间',
  `join_batch_id` int(11) NOT NULL DEFAULT 0 COMMENT '参与活动的批次id',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方活动奖励' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_activity_reward
-- ----------------------------
INSERT INTO `wy_activity_reward` VALUES (1, 1, 1, 4, 0, NULL, 0, '', '2025-02-14 00:40:52', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_bar
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar`;
CREATE TABLE `wy_bar`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bar_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒吧名称',
  `bar_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒吧编号',
  `bar_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '酒吧logo',
  `bar_contact_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系方式',
  `province` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所在省',
  `city` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所在城市',
  `district` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所在区',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '地址',
  `last_auth_time` datetime NULL DEFAULT NULL COMMENT '最后认证时间',
  `auth_state` tinyint(4) NOT NULL DEFAULT 0 COMMENT '认证状态',
  `business_license` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '营业执照',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `approval_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '审核理由',
  `storefront_photo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '门头照',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒吧' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_bar
-- ----------------------------
INSERT INTO `wy_bar` VALUES (4, '今夜不回家', '54658724', 'http://121.37.100.169:9090/profile/upload/2025/01/05/VXhbyt8UHWVE38d5ed9ba4fbfad97bd7b1bbbbe2c5e6_20250105231301A001.png', '18004802730', NULL, NULL, NULL, '呼和浩特', NULL, 1, 'http://121.37.100.169:9090/profile/upload/2025/01/05/LLZAPDT6ZTer4759f00fe9f8e8afcffeb11dfec86812_20250105231409A002.png', '', '2025-01-05 23:37:52', '', '2025-01-10 22:03:33', NULL, '', 'http://ma.zdtap.com/profile/upload/2025/01/10/切图 1 (1)_20250110215921A001.png');
INSERT INTO `wy_bar` VALUES (5, '星星酒吧', '29793239', 'http://ma.zdtap.com/profile/upload/2025/01/07/tmp_106f7eb003eb6a03d41387b086dc1b5deb0ae6a918efe0f4_20250107224024A002.jpg', '18147107797', NULL, NULL, NULL, '内蒙古呼和浩特赛罕区解放军减肥', NULL, 0, 'http://ma.zdtap.com/profile/upload/2025/01/07/tmp_bc18b89cd639ce5a335bfd3adaa6a3e99a0b30080c95a66d_20250107224115A003.jpg', '', '2025-01-07 22:41:47', '', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for wy_bar_icon
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_icon`;
CREATE TABLE `wy_bar_icon`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL DEFAULT 0 COMMENT '品牌方id，0代表平台',
  `bar_id` int(11) NOT NULL COMMENT '酒吧id',
  `balance` int(11) NOT NULL DEFAULT 0 COMMENT '啤酒币数量',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`, `bar_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒吧啤酒币余额' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_bar_icon
-- ----------------------------
INSERT INTO `wy_bar_icon` VALUES (6, 0, 4, 0, '', '2025-02-14 00:01:14', '', '2025-02-15 12:46:18', NULL);
INSERT INTO `wy_bar_icon` VALUES (7, 1, 4, 77, '', '2025-02-15 12:51:24', '', '2025-02-15 14:46:30', NULL);

-- ----------------------------
-- Table structure for wy_bar_icon_log
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_icon_log`;
CREATE TABLE `wy_bar_icon_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL DEFAULT 0 COMMENT '品牌方id，0代表平台',
  `bar_id` int(11) NOT NULL COMMENT '酒吧id',
  `amount` int(11) NOT NULL DEFAULT 0 COMMENT '变动记录，正数代表增加，复数代表减少',
  `balance` int(11) NOT NULL DEFAULT 0 COMMENT '变动后啤酒币数量',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `obtain_type` tinyint(4) NULL DEFAULT NULL COMMENT '获取类型 0直接领取 1活动奖励 2核销啤酒',
  `beer_id` int(11) NULL DEFAULT NULL COMMENT '核销啤酒的id',
  `code_id` int(11) NULL DEFAULT NULL COMMENT '核销啤酒的二维码id',
  PRIMARY KEY (`id`, `bar_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 20 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒吧啤酒币变动记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_bar_icon_log
-- ----------------------------
INSERT INTO `wy_bar_icon_log` VALUES (1, 1, 4, 11, 11, '', '2025-02-15 12:51:24', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (2, 1, 4, 11, 22, '', '2025-02-15 12:52:09', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (3, 1, 4, 11, 33, '', '2025-02-15 12:52:11', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (4, 1, 4, 11, 33, '', '2025-02-15 12:52:12', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (5, 1, 4, 11, 44, '', '2025-02-15 12:52:12', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (6, 1, 4, 11, 44, '', '2025-02-15 12:52:12', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (7, 1, 4, 11, 55, '', '2025-02-15 12:52:13', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (8, 1, 4, 11, 66, '', '2025-02-15 12:52:13', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (9, 1, 4, 11, 77, '', '2025-02-15 13:01:58', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (10, 1, 4, 11, 88, '', '2025-02-15 13:01:58', '核销奖励啤酒币', 2, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (11, 1, 4, 11, 99, '', '2025-02-15 13:18:05', '核销奖励啤酒币', 2, NULL, 13);
INSERT INTO `wy_bar_icon_log` VALUES (12, 1, 4, 11, 110, '', '2025-02-15 13:18:05', '核销奖励啤酒币', 2, NULL, 13);
INSERT INTO `wy_bar_icon_log` VALUES (13, 1, 4, -11, 99, '', '2025-02-15 14:14:57', '兑换商品:燕京U8 数量:1', 3, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (20, 1, 4, -11, 88, '', '2025-02-15 14:40:45', '兑换商品:燕京U8 数量:1', 3, NULL, NULL);
INSERT INTO `wy_bar_icon_log` VALUES (21, 1, 4, -11, 77, '', '2025-02-15 14:46:30', '兑换商品:燕京U8 数量:1', 3, NULL, NULL);

-- ----------------------------
-- Table structure for wy_bar_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_role`;
CREATE TABLE `wy_bar_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(11) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_bar_role
-- ----------------------------
INSERT INTO `wy_bar_role` VALUES (1, '酒吧创建人', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '超级管理员');
INSERT INTO `wy_bar_role` VALUES (2, '酒吧员工', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for wy_bar_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_role_menu`;
CREATE TABLE `wy_bar_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_bar_role_menu
-- ----------------------------
INSERT INTO `wy_bar_role_menu` VALUES (1, 1);

-- ----------------------------
-- Table structure for wy_bar_user
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_user`;
CREATE TABLE `wy_bar_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `bar_id` int(11) NULL DEFAULT NULL COMMENT '酒吧id',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `open_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '微信小程序openid',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_bar_user
-- ----------------------------
INSERT INTO `wy_bar_user` VALUES (3, NULL, 4, '18004802730', '喝不醉', '00', '', '18004802730', '0', 'http://121.37.100.169:9090/profile/upload/2025/01/05/VXhbyt8UHWVE38d5ed9ba4fbfad97bd7b1bbbbe2c5e6_20250105231301A001.png', '$2a$10$XDI.tNm6q/uSLG5HkTuqU.VH0/yQU32B.NQmWJpbeJS76FXXogZUy', '0', '0', '', NULL, 'o79Dx6_VDW6kNaW7fyCzQDnZ9j68', '', '2025-01-05 23:37:52', '', NULL, NULL);
INSERT INTO `wy_bar_user` VALUES (4, NULL, 5, '18147107797', '张三', '00', '', '18147107797', '0', 'http://ma.zdtap.com/profile/upload/2025/01/07/tmp_106f7eb003eb6a03d41387b086dc1b5deb0ae6a918efe0f4_20250107224024A002.jpg', '$2a$10$iGMMHb8K8DeBtU63116gFuNlxwIbvLjUfK5.2dKnO.VgdGoJNuYqK', '0', '0', '', NULL, 'o79Dx6-Ha9r7U_luLtzTxCMG8uNg', '', '2025-01-07 22:41:47', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_bar_user_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_bar_user_role`;
CREATE TABLE `wy_bar_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_bar_user_role
-- ----------------------------
INSERT INTO `wy_bar_user_role` VALUES (3, 1);
INSERT INTO `wy_bar_user_role` VALUES (4, 1);

-- ----------------------------
-- Table structure for wy_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer`;
CREATE TABLE `wy_beer`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `brand_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_styles` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_abv` decimal(10, 2) NULL DEFAULT NULL COMMENT '酒精度',
  `beer_ibus` decimal(10, 2) NULL DEFAULT NULL COMMENT '苦度值',
  `barcode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `on_sale` tinyint(1) NULL DEFAULT 0,
  `beer_og` decimal(10, 2) NULL DEFAULT NULL COMMENT '原麦汁浓度',
  `market_price` decimal(10, 2) NULL DEFAULT NULL,
  `specs` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `desc` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL,
  `scan_coin_count` int(11) NULL DEFAULT NULL COMMENT '扫码获得啤酒币数',
  `launch_date` date NULL DEFAULT NULL COMMENT '上市日期',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `approval` tinyint(1) NULL DEFAULT 0 COMMENT '审核状态',
  `approval_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '审核拒绝理由',
  `beer_reviews_count` int(11) NULL DEFAULT 0 COMMENT '评论数',
  `beer_overall_rating` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '综合评分',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `beer_sn`(`beer_sn` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '啤酒' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer
-- ----------------------------
INSERT INTO `wy_beer` VALUES (2, 1, '铁罐青岛啤酒', 'http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226002918A003.png', 'http://121.37.100.169:9090/profile/upload/2024/12/26/切图 1 (1)_20241226002924A004.png', '765123141243', '小麦啤酒（Wheat beer）', 12.00, 2.00, '354645745457457', 1, 8.00, 8.00, '300ml', '<p>很好喝</p>', 11, '2024-12-03', '', '2024-12-26 00:29:48', '', '2025-02-11 21:57:25', NULL, 1, '', 1, 5.00);

-- ----------------------------
-- Table structure for wy_beer_coin_plan
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_coin_plan`;
CREATE TABLE `wy_beer_coin_plan`  (
  `id` int(11) NOT NULL,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `plan_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `received_user_count` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '可领取用户数量',
  `received_coin_count` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '每用户可领取啤酒币数量',
  `effective_days` int(11) NULL DEFAULT NULL COMMENT '有效天数',
  `receive_times` int(11) NULL DEFAULT NULL COMMENT '每日领取次数',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '啤酒币方案' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_coin_plan
-- ----------------------------

-- ----------------------------
-- Table structure for wy_beer_qrcode
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_qrcode`;
CREATE TABLE `wy_beer_qrcode`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `batch_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `sku_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `qrcode_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `qrcode_status` tinyint(4) NULL DEFAULT NULL COMMENT '0未核销 1已核销 2已失效',
  `verify_time` datetime NULL DEFAULT NULL COMMENT '核销时间',
  `scan_times` int(11) NULL DEFAULT 0 COMMENT '被扫次数',
  `verify_city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '核销城市',
  `verify_ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '核销ip',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `verify_icon_amount` int(11) NULL DEFAULT 0 COMMENT '核销奖励啤酒币数量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒品二维码' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_qrcode
-- ----------------------------
INSERT INTO `wy_beer_qrcode` VALUES (1, 1, 1, 2, 'f1fe0ac513254547ad547aa48d1860d9', 'http://ma.zdtap.com/profile/upload/qrcode/a296e9fe-466f-4446-b3fc-7bcf1790f1f8/f1fe0ac513254547ad547aa48d1860d9.jpg', 0, NULL, 17, NULL, NULL, '', NULL, '', '2025-02-12 01:13:04', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (2, 1, 1, 2, 'dd0938ba8b0e440dbd610c9f48103675', 'http://ma.zdtap.com/profile/upload/qrcode/a296e9fe-466f-4446-b3fc-7bcf1790f1f8/dd0938ba8b0e440dbd610c9f48103675.jpg', 0, NULL, 1, NULL, NULL, '', NULL, '', '2025-02-11 22:35:34', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (3, 1, 1, 2, 'e1da236873a3428b8ffe49fcee769638', 'http://ma.zdtap.com/profile/upload/qrcode/a296e9fe-466f-4446-b3fc-7bcf1790f1f8/e1da236873a3428b8ffe49fcee769638.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (4, 1, 1, 2, '97d4afa3df7e41c0a0f82e09c9fc2ec6', 'http://ma.zdtap.com/profile/upload/qrcode/a296e9fe-466f-4446-b3fc-7bcf1790f1f8/97d4afa3df7e41c0a0f82e09c9fc2ec6.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (5, 1, 1, 2, '5ab1d748d180438d96834b7f715cdfc5', 'http://ma.zdtap.com/profile/upload/qrcode/a296e9fe-466f-4446-b3fc-7bcf1790f1f8/5ab1d748d180438d96834b7f715cdfc5.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (6, 1, 2, 2, '8b4514b757924340947095ca0db30921', 'http://ma.zdtap.com/profile/upload/qrcode/1f421a4a-53dd-4d00-83a5-a984253f109c/8b4514b757924340947095ca0db30921.jpg', 1, '2025-02-14 00:11:49', 7, NULL, NULL, '', NULL, '', '2025-02-14 00:24:44', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (7, 1, 2, 2, '9bc66e5bb2d940ecbd578310a46b5da9', 'http://ma.zdtap.com/profile/upload/qrcode/1f421a4a-53dd-4d00-83a5-a984253f109c/9bc66e5bb2d940ecbd578310a46b5da9.jpg', 1, '2025-02-14 00:26:20', 4, NULL, NULL, '', NULL, '', '2025-02-14 00:26:20', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (8, 1, 2, 2, '5080da80186c4814a57404593930242a', 'http://ma.zdtap.com/profile/upload/qrcode/1f421a4a-53dd-4d00-83a5-a984253f109c/5080da80186c4814a57404593930242a.jpg', 1, '2025-02-14 00:40:52', 8, NULL, NULL, '', NULL, '', '2025-02-15 12:32:38', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (9, 1, 3, 2, '86731956e61344c8b2675edf23d79473', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/86731956e61344c8b2675edf23d79473.jpg', 1, '2025-02-15 12:34:53', 4, NULL, NULL, '', NULL, '', '2025-02-15 12:34:53', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (10, 1, 3, 2, 'd2a3a5f4926b496fb1b4bc73f01341d3', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/d2a3a5f4926b496fb1b4bc73f01341d3.jpg', 1, '2025-02-15 12:43:28', 5, NULL, NULL, '', NULL, '', '2025-02-15 12:51:23', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (11, 1, 3, 2, 'a8d391643107456b904055afeeec11a8', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/a8d391643107456b904055afeeec11a8.jpg', 1, '2025-02-15 12:52:12', 5, NULL, NULL, '', NULL, '', '2025-02-15 12:52:13', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (12, 1, 3, 2, '5667af73126546f9aa6438cce2c7659e', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/5667af73126546f9aa6438cce2c7659e.jpg', 1, '2025-02-15 13:01:58', 6, NULL, NULL, '', NULL, '', '2025-02-15 13:20:35', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (13, 1, 3, 2, '9e51af2565954cc29adc9a10cf4dad11', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/9e51af2565954cc29adc9a10cf4dad11.jpg', 1, '2025-02-15 13:18:05', 4, NULL, NULL, '', NULL, '', '2025-02-15 13:18:05', NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (14, 1, 3, 2, 'f839a830b3cc4ede8da1631f4f8511bc', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/f839a830b3cc4ede8da1631f4f8511bc.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (15, 1, 3, 2, 'd735d9335828404584c8031058e2af8c', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/d735d9335828404584c8031058e2af8c.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (16, 1, 3, 2, 'be9fbfc6eeb949f2a80f7380a5ab3b00', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/be9fbfc6eeb949f2a80f7380a5ab3b00.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (17, 1, 3, 2, 'c095f6e7a2d644279644f8b3a71858eb', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/c095f6e7a2d644279644f8b3a71858eb.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);
INSERT INTO `wy_beer_qrcode` VALUES (18, 1, 3, 2, 'fda35b627834458c832381a2045507d2', 'http://ma.zdtap.com/profile/upload/qrcode/feb41dd5-9960-4bc2-a687-ee814685126c/fda35b627834458c832381a2045507d2.jpg', 0, NULL, 0, NULL, NULL, '', NULL, '', NULL, NULL, 11);

-- ----------------------------
-- Table structure for wy_beer_qrcode_batch
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_qrcode_batch`;
CREATE TABLE `wy_beer_qrcode_batch`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL COMMENT '品牌方',
  `batch_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `generate_num` int(11) NULL DEFAULT NULL,
  `generate_state` tinyint(4) NULL DEFAULT 0,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '批次' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_qrcode_batch
-- ----------------------------
INSERT INTO `wy_beer_qrcode_batch` VALUES (1, 1, 'a296e9fe-466f-4446-b3fc-7bcf1790f1f8', 2, 5, 1, '', '2025-02-11 22:09:33', '', '2025-02-11 22:09:41', NULL);
INSERT INTO `wy_beer_qrcode_batch` VALUES (2, 1, '1f421a4a-53dd-4d00-83a5-a984253f109c', 2, 3, 1, '', '2025-02-13 23:52:57', '', '2025-02-13 23:52:58', NULL);
INSERT INTO `wy_beer_qrcode_batch` VALUES (3, 1, 'feb41dd5-9960-4bc2-a687-ee814685126c', 2, 10, 1, '', '2025-02-15 12:33:51', '', '2025-02-15 12:33:52', NULL);

-- ----------------------------
-- Table structure for wy_beer_qrcode_scan_log
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_qrcode_scan_log`;
CREATE TABLE `wy_beer_qrcode_scan_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code_id` int(11) NULL DEFAULT NULL COMMENT '二维码id',
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL COMMENT '扫码人id',
  `sku_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `scan_status` tinyint(4) NULL DEFAULT NULL COMMENT '扫码结果 0无效 1有效',
  `scan_time` datetime NULL DEFAULT NULL COMMENT '扫码时间',
  `scan_city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '扫码城市',
  `scan_ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '扫码ip',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `bar_id` int(11) NULL DEFAULT NULL COMMENT '酒吧id',
  `activity_id` int(11) NULL DEFAULT NULL COMMENT '扫码参与的活动id',
  `activity_supplier` tinyint(1) NULL DEFAULT NULL COMMENT '活动发布方类型，0平台，1品牌方',
  `join_batch_id` int(11) NULL DEFAULT NULL COMMENT '参见活动批次id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒品二维码扫码记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_qrcode_scan_log
-- ----------------------------
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (1, 10, 1, 2, 3, 'd2a3a5f4926b496fb1b4bc73f01341d3', 0, '2025-02-15 12:51:23', NULL, NULL, '', '2025-02-15 12:51:24', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (2, 11, 1, 2, 3, 'a8d391643107456b904055afeeec11a8', 0, '2025-02-15 12:52:09', NULL, NULL, '', '2025-02-15 12:52:09', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (3, 11, 1, 2, 3, 'a8d391643107456b904055afeeec11a8', 1, '2025-02-15 12:52:11', NULL, NULL, '', '2025-02-15 12:52:11', '', NULL, NULL, 4, 1, 1, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (4, 11, 1, 2, 3, 'a8d391643107456b904055afeeec11a8', 1, '2025-02-15 12:52:11', NULL, NULL, '', '2025-02-15 12:52:12', '', NULL, NULL, 4, 1, 1, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (5, 11, 1, 2, 3, 'a8d391643107456b904055afeeec11a8', 1, '2025-02-15 12:52:11', NULL, NULL, '', '2025-02-15 12:52:12', '', NULL, NULL, 4, 1, 0, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (6, 11, 1, 2, 3, 'a8d391643107456b904055afeeec11a8', 1, '2025-02-15 12:52:11', NULL, NULL, '', '2025-02-15 12:52:12', '', NULL, NULL, 4, 1, 0, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (7, 11, 1, 2, 3, 'a8d391643107456b904055afeeec11a8', 0, '2025-02-15 12:52:12', NULL, NULL, '', '2025-02-15 12:52:13', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (8, 11, 1, 2, 3, 'a8d391643107456b904055afeeec11a8', 0, '2025-02-15 12:52:13', NULL, NULL, '', '2025-02-15 12:52:13', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (9, 12, 1, 2, 3, '5667af73126546f9aa6438cce2c7659e', 0, '2025-02-15 13:01:42', NULL, NULL, '', '2025-02-15 13:01:42', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (10, 12, 1, 2, 3, '5667af73126546f9aa6438cce2c7659e', 1, '2025-02-15 13:01:58', NULL, NULL, '', '2025-02-15 13:01:58', '', NULL, NULL, 4, 1, 1, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (11, 12, 1, 2, 3, '5667af73126546f9aa6438cce2c7659e', 1, '2025-02-15 13:01:58', NULL, NULL, '', '2025-02-15 13:01:58', '', NULL, NULL, 4, 1, 0, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (12, 12, 1, 2, 3, '5667af73126546f9aa6438cce2c7659e', 0, '2025-02-15 13:02:01', NULL, NULL, '', '2025-02-15 13:02:01', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (13, 13, 1, 2, 3, '9e51af2565954cc29adc9a10cf4dad11', 0, '2025-02-15 13:17:44', NULL, NULL, '', '2025-02-15 13:17:44', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (14, 13, 1, 2, 3, '9e51af2565954cc29adc9a10cf4dad11', 1, '2025-02-15 13:18:04', NULL, NULL, '', '2025-02-15 13:18:04', '', NULL, NULL, 4, 1, 1, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (15, 13, 1, 2, 3, '9e51af2565954cc29adc9a10cf4dad11', 1, '2025-02-15 13:18:04', NULL, NULL, '', '2025-02-15 13:18:05', '', NULL, NULL, 4, 1, 0, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (16, 13, 1, 2, 3, '9e51af2565954cc29adc9a10cf4dad11', 0, '2025-02-15 13:18:05', NULL, NULL, '', '2025-02-15 13:18:05', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (17, 12, 1, 2, 3, '5667af73126546f9aa6438cce2c7659e', 0, '2025-02-15 13:20:20', NULL, NULL, '', '2025-02-15 13:20:20', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log` VALUES (18, 12, 1, 2, 3, '5667af73126546f9aa6438cce2c7659e', 0, '2025-02-15 13:20:35', NULL, NULL, '', '2025-02-15 13:20:35', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for wy_beer_qrcode_scan_log_copy1
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_qrcode_scan_log_copy1`;
CREATE TABLE `wy_beer_qrcode_scan_log_copy1`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code_id` int(11) NULL DEFAULT NULL COMMENT '二维码id',
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL COMMENT '扫码人id',
  `sku_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `scan_status` tinyint(4) NULL DEFAULT NULL COMMENT '扫码结果 0无效 1有效',
  `scan_time` datetime NULL DEFAULT NULL COMMENT '扫码时间',
  `scan_city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '扫码城市',
  `scan_ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '扫码ip',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `bar_id` int(11) NULL DEFAULT NULL COMMENT '酒吧id',
  `activity_id` int(11) NULL DEFAULT NULL COMMENT '扫码参与的活动id',
  `activity_supplier` tinyint(1) NULL DEFAULT NULL COMMENT '活动发布方类型，0平台，1品牌方',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 38 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒品二维码扫码记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_qrcode_scan_log_copy1
-- ----------------------------
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (2, 1, 1, 2, 3, 'f1fe0ac513254547ad547aa48d1860d9', 0, '2025-02-12 00:40:00', NULL, NULL, '', '2025-02-12 00:40:00', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (3, 1, 1, 2, 3, 'f1fe0ac513254547ad547aa48d1860d9', 0, '2025-02-12 01:07:59', NULL, NULL, '', '2025-02-12 01:07:59', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (4, 1, 1, 2, 3, 'f1fe0ac513254547ad547aa48d1860d9', 0, '2025-02-12 01:09:20', NULL, NULL, '', '2025-02-12 01:09:20', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (5, 1, 1, 2, 3, 'f1fe0ac513254547ad547aa48d1860d9', 0, '2025-02-12 01:11:39', NULL, NULL, '', '2025-02-12 01:11:39', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (6, 1, 1, 2, 3, 'f1fe0ac513254547ad547aa48d1860d9', 0, '2025-02-12 01:12:18', NULL, NULL, '', '2025-02-12 01:12:18', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (7, 1, 1, 2, 3, 'f1fe0ac513254547ad547aa48d1860d9', 0, '2025-02-12 01:13:04', NULL, NULL, '', '2025-02-12 01:13:04', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (11, 6, 1, 2, 3, '8b4514b757924340947095ca0db30921', 0, '2025-02-14 00:01:14', NULL, NULL, '', '2025-02-14 00:01:14', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (12, 6, 1, 2, 3, '8b4514b757924340947095ca0db30921', 0, '2025-02-14 00:06:02', NULL, NULL, '', '2025-02-14 00:06:02', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (13, 6, 1, 2, 3, '8b4514b757924340947095ca0db30921', 0, '2025-02-14 00:11:29', NULL, NULL, '', '2025-02-14 00:11:29', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (14, 6, 1, 2, 3, '8b4514b757924340947095ca0db30921', 1, '2025-02-14 00:11:48', NULL, NULL, '', '2025-02-14 00:11:48', '', NULL, NULL, 4, 1, 1);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (15, 6, 1, 2, 3, '8b4514b757924340947095ca0db30921', 1, '2025-02-14 00:11:48', NULL, NULL, '', '2025-02-14 00:11:49', '', NULL, NULL, 4, 1, 0);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (16, 6, 1, 2, 3, '8b4514b757924340947095ca0db30921', 0, '2025-02-14 00:19:36', NULL, NULL, '', '2025-02-14 00:19:36', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (17, 6, 1, 2, 3, '8b4514b757924340947095ca0db30921', 0, '2025-02-14 00:24:44', NULL, NULL, '', '2025-02-14 00:24:44', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (18, 7, 1, 2, 3, '9bc66e5bb2d940ecbd578310a46b5da9', 0, '2025-02-14 00:25:31', NULL, NULL, '', '2025-02-14 00:25:31', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (19, 7, 1, 2, 3, '9bc66e5bb2d940ecbd578310a46b5da9', 1, '2025-02-14 00:26:20', NULL, NULL, '', '2025-02-14 00:26:20', '', NULL, NULL, 4, 1, 1);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (20, 7, 1, 2, 3, '9bc66e5bb2d940ecbd578310a46b5da9', 1, '2025-02-14 00:26:20', NULL, NULL, '', '2025-02-14 00:26:20', '', NULL, NULL, 4, 1, 0);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (21, 7, 1, 2, 3, '9bc66e5bb2d940ecbd578310a46b5da9', 0, '2025-02-14 00:26:20', NULL, NULL, '', '2025-02-14 00:26:20', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (22, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 0, '2025-02-14 00:40:43', NULL, NULL, '', '2025-02-14 00:40:43', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (23, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 1, '2025-02-14 00:40:52', NULL, NULL, '', '2025-02-14 00:40:52', '', NULL, NULL, 4, 1, 1);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (24, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 1, '2025-02-14 00:40:52', NULL, NULL, '', '2025-02-14 00:40:52', '', NULL, NULL, 4, 2, 0);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (25, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 0, '2025-02-14 00:40:52', NULL, NULL, '', '2025-02-14 00:40:52', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (26, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 0, '2025-02-14 22:31:52', NULL, NULL, '', '2025-02-14 22:31:52', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (27, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 0, '2025-02-14 22:33:01', NULL, NULL, '', '2025-02-14 22:33:01', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (28, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 0, '2025-02-14 22:34:19', NULL, NULL, '', '2025-02-14 22:34:19', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (29, 8, 1, 2, 3, '5080da80186c4814a57404593930242a', 0, '2025-02-15 12:32:38', NULL, NULL, '', '2025-02-15 12:32:38', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (30, 9, 1, 2, 3, '86731956e61344c8b2675edf23d79473', 0, '2025-02-15 12:34:25', NULL, NULL, '', '2025-02-15 12:34:25', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (31, 9, 1, 2, 3, '86731956e61344c8b2675edf23d79473', 1, '2025-02-15 12:34:52', NULL, NULL, '', '2025-02-15 12:34:52', '', NULL, NULL, 4, 1, 1);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (32, 9, 1, 2, 3, '86731956e61344c8b2675edf23d79473', 1, '2025-02-15 12:34:52', NULL, NULL, '', '2025-02-15 12:34:53', '', NULL, NULL, 4, 1, 0);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (33, 9, 1, 2, 3, '86731956e61344c8b2675edf23d79473', 0, '2025-02-15 12:34:53', NULL, NULL, '', '2025-02-15 12:34:53', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (34, 10, 1, 2, 3, 'd2a3a5f4926b496fb1b4bc73f01341d3', 0, '2025-02-15 12:38:44', NULL, NULL, '', '2025-02-15 12:38:45', '', NULL, '二维码未被使用,可以核销', 4, NULL, NULL);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (35, 10, 1, 2, 3, 'd2a3a5f4926b496fb1b4bc73f01341d3', 1, '2025-02-15 12:39:05', NULL, NULL, '', '2025-02-15 12:40:39', '', NULL, NULL, 4, 1, 1);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (36, 10, 1, 2, 3, 'd2a3a5f4926b496fb1b4bc73f01341d3', 1, '2025-02-15 12:39:05', NULL, NULL, '', '2025-02-15 12:43:28', '', NULL, NULL, 4, 1, 0);
INSERT INTO `wy_beer_qrcode_scan_log_copy1` VALUES (37, 10, 1, 2, 3, 'd2a3a5f4926b496fb1b4bc73f01341d3', 0, '2025-02-15 12:46:18', NULL, NULL, '', '2025-02-15 12:46:18', '', NULL, '二维码已被使用,不能核销', 4, NULL, NULL);

-- ----------------------------
-- Table structure for wy_beer_review
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_review`;
CREATE TABLE `wy_beer_review`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `review_content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `taste_rating` int(11) NULL DEFAULT NULL COMMENT '口味评分',
  `aroma_rating` int(11) NULL DEFAULT NULL COMMENT '香味评分',
  `color_rating` int(11) NULL DEFAULT NULL COMMENT '颜色评分',
  `overall_rating` int(11) NULL DEFAULT NULL COMMENT '综合评分',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `review_img` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒评' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_review
-- ----------------------------
INSERT INTO `wy_beer_review` VALUES (1, 1, 2, 3, '这个酒不赖，便宜还好喝，值得尝一尝', 5, 5, 5, 5, '', '2025-01-26 20:48:24', '', NULL, NULL, 'http://ma.zdtap.com/profile/upload/2025/01/25/YWqXjTbVd3pj7a3013aafc855ae959e2e84063bb469d_20250125161645A002.png');

-- ----------------------------
-- Table structure for wy_beer_review_like
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_review_like`;
CREATE TABLE `wy_beer_review_like`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `review_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒评点赞' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_review_like
-- ----------------------------
INSERT INTO `wy_beer_review_like` VALUES (2, NULL, 2, 1, 3, '', '2025-01-28 17:33:07', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_beer_review_reply
-- ----------------------------
DROP TABLE IF EXISTS `wy_beer_review_reply`;
CREATE TABLE `wy_beer_review_reply`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL,
  `beer_id` int(11) NULL DEFAULT NULL,
  `review_id` int(11) NULL DEFAULT NULL,
  `reply_id` int(11) NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `replay_content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒评回复' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_beer_review_reply
-- ----------------------------

-- ----------------------------
-- Table structure for wy_brewery
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery`;
CREATE TABLE `wy_brewery`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '品牌id',
  `brand_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '品牌名称',
  `brand_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '品牌编号',
  `country` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '所在国家',
  `province` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '所在省份',
  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '所在地区',
  `contact_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系人',
  `contact_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '联系电话',
  `building_date` date NULL DEFAULT NULL COMMENT '创立日期',
  `desc` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '简介',
  `state` tinyint(4) NULL DEFAULT 1 COMMENT '状态 0无效 1有效',
  `authorized` tinyint(1) NULL DEFAULT 0 COMMENT '认证 0未认证 1已认证',
  `brand_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '品牌logo',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `brand_cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '品牌封面图',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery
-- ----------------------------
INSERT INTO `wy_brewery` VALUES (1, '青岛啤酒', '0100101', '中国', '内蒙古自治区', '呼和浩特市', '张三', '13812341234', '2010-10-10', '       香甜就是它的主调，柿子的风味恰好在鲜嫩与熟成之间的交界，水润之外还有温暖的甜蜜感，焦糖带来的回甜会顺着柿子的香气从舌尖走到舌根', 1, 1, 'http://ma.zdtap.com/profile/upload/2025/02/10/bar-bg_20250210211111A002.png', '', NULL, '', '2025-02-13 00:51:07', NULL, 'http://ma.zdtap.com/profile/upload/2025/02/13/brandBanner_20250213005102A001.png');

-- ----------------------------
-- Table structure for wy_brewery_auth
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_auth`;
CREATE TABLE `wy_brewery_auth`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL COMMENT '酒厂id',
  `production_license` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '生产许可证',
  `producer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '生产商',
  `production_license_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生产许可证编号',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '地址',
  `customer_support_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '客服电话',
  `business_entity` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '主体信息',
  `manager` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人姓名',
  `manager_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人联系电话',
  `authorization_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '品牌授权书',
  `state` tinyint(4) NULL DEFAULT NULL COMMENT '状态 0待确认 1已确认',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `approval_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '审核不通过原因',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '主体认证信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_auth
-- ----------------------------
INSERT INTO `wy_brewery_auth` VALUES (5, 1, 'http://121.37.100.169:9090/profile/upload/2024/12/25/logo_20241225005345A006.png', '青岛啤酒', 'GB1232025123N', '内蒙古呼和浩特', '400123123', '青岛啤酒有限公司', '张三', '15812345678', 'http://121.37.100.169:9090/profile/upload/2024/12/25/icon-logo_20241225005306A005.png', 1, '', '2024-12-25 00:53:46', '', '2025-01-09 00:19:37', NULL, '');

-- ----------------------------
-- Table structure for wy_brewery_auth2
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_auth2`;
CREATE TABLE `wy_brewery_auth2`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL COMMENT '酒厂id',
  `production_license` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '生产许可证',
  `producer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '生产商',
  `production_license_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '生产许可证编号',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '地址',
  `customer_support_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '客服电话',
  `business_entity` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '主体信息',
  `manager` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人姓名',
  `manager_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '负责人联系电话',
  `state` tinyint(4) NULL DEFAULT NULL COMMENT '状态 0待确认 1已确认',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '主体认证信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_auth2
-- ----------------------------

-- ----------------------------
-- Table structure for wy_brewery_banner
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_banner`;
CREATE TABLE `wy_brewery_banner`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL,
  `banner_type` smallint(6) NOT NULL DEFAULT 1 COMMENT '1封面图 2轮播图',
  `banner_order` smallint(6) NOT NULL,
  `banner_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方广告图' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_banner
-- ----------------------------
INSERT INTO `wy_brewery_banner` VALUES (1, 1, 1, 0, 'http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221430@2x_20241226001131A001.png', '', '2024-12-26 00:12:28', '', NULL, NULL);
INSERT INTO `wy_brewery_banner` VALUES (2, 1, 2, 1, 'http://121.37.100.169:9090/profile/upload/2024/12/26/WX20241225-221446@2x_20241226001316A002.png', '', '2024-12-26 00:13:18', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_brewery_menu
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_menu`;
CREATE TABLE `wy_brewery_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(11) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(11) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_menu
-- ----------------------------
INSERT INTO `wy_brewery_menu` VALUES (2, '酒评管理', 0, 4, 'beerReview', 'beerReview/index', NULL, '', 1, 1, 'C', '0', '0', NULL, 'pjgl', '', '2024-12-23 21:51:12', '', '2024-12-24 21:23:52', '');
INSERT INTO `wy_brewery_menu` VALUES (3, '商品', 0, 2, 'product', '', NULL, '', 1, 0, 'M', '0', '0', '', 'spdl', '', '2024-12-23 23:06:11', '', '2025-02-10 22:54:25', '');
INSERT INTO `wy_brewery_menu` VALUES (4, '营销推广', 0, 3, 'marketing', 'marketing/index', NULL, '', 1, 0, 'C', '0', '0', NULL, 'yxtg', '', '2024-12-23 23:32:36', '', '2024-12-24 21:24:27', '');
INSERT INTO `wy_brewery_menu` VALUES (5, '数据统计', 0, 5, 'statistics', '', NULL, '', 1, 0, 'M', '0', '0', NULL, 'server', '', '2024-12-23 23:34:53', '', '2024-12-24 00:56:00', '');
INSERT INTO `wy_brewery_menu` VALUES (6, '增值服务', 0, 6, 'valueAdded', 'valueAdded/index', NULL, '', 1, 0, 'C', '0', '0', NULL, 'zzfw', '', '2024-12-23 23:36:45', '', '2024-12-24 21:24:35', '');
INSERT INTO `wy_brewery_menu` VALUES (7, '店铺设置', 0, 1, 'brewery', '', NULL, '', 1, 0, 'M', '1', '1', '', 'dpgl', '', '2024-12-23 23:47:37', '', '2025-02-13 00:20:09', '');
INSERT INTO `wy_brewery_menu` VALUES (8, '酒款管理', 3, 1, 'beers', 'product/beers/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-24 00:12:32', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (9, '二维码数据明细', 3, 4, 'qrcode', 'qrcode/index', NULL, '', 1, 0, 'C', '0', '0', '', '#', '', '2024-12-24 00:23:15', '', '2024-12-27 00:06:28', '');
INSERT INTO `wy_brewery_menu` VALUES (10, '核销数据统计', 5, 1, 'verification', 'statistics/verification', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-24 00:51:19', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (11, '核销数量排行', 5, 2, 'ranking', 'statistics/ranking', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-24 00:53:28', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (15, '品牌广告图', 7, 2, 'banner', 'brewery/banner', NULL, '', 1, 0, 'C', '1', '1', '', '#', '', '2024-12-24 01:11:47', '', '2025-02-13 00:20:14', '');
INSERT INTO `wy_brewery_menu` VALUES (16, '商品管理', 3, 2, 'commodity', 'product/commodity/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2024-12-26 00:33:56', '', NULL, '');
INSERT INTO `wy_brewery_menu` VALUES (17, '酒签打印记录', 3, 3, 'batch', 'qrcode/batch/index', NULL, '', 1, 0, 'C', '0', '0', '', '#', '', '2024-12-27 00:07:03', '', '2025-02-12 23:53:21', '');
INSERT INTO `wy_brewery_menu` VALUES (18, '酒单模板管理', 3, 5, 'billTemplate', 'product/billTemplate/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', '', '2025-02-15 15:44:41', '', NULL, '');

-- ----------------------------
-- Table structure for wy_brewery_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_role`;
CREATE TABLE `wy_brewery_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(11) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_role
-- ----------------------------
INSERT INTO `wy_brewery_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '超级管理员');
INSERT INTO `wy_brewery_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-19 20:11:54', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for wy_brewery_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_role_menu`;
CREATE TABLE `wy_brewery_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for wy_brewery_tag_print_template
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_tag_print_template`;
CREATE TABLE `wy_brewery_tag_print_template`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '模板id',
  `template_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '模板名称',
  `brewery_id` int(11) NOT NULL COMMENT '品牌方id',
  `page_width` double NOT NULL COMMENT '宽度 mm',
  `page_height` double NOT NULL COMMENT '高度 mm',
  `elements` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '打印元素',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方标签套打模板' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_tag_print_template
-- ----------------------------
INSERT INTO `wy_brewery_tag_print_template` VALUES (1, '测试模版', 1, 460, 230, NULL, '', '2025-02-15 16:54:42', '', '2025-02-15 16:54:52', NULL);

-- ----------------------------
-- Table structure for wy_brewery_user
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_user`;
CREATE TABLE `wy_brewery_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `brewery_id` int(11) NULL DEFAULT NULL,
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_user
-- ----------------------------
INSERT INTO `wy_brewery_user` VALUES (1, 103, 1, 'zhangsan', '青岛啤酒张三', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-21 19:19:13', 'admin', '2024-12-19 20:11:54', '', '2024-12-21 19:19:12', '管理员');
INSERT INTO `wy_brewery_user` VALUES (2, 105, 1, 'lisi', '青岛啤酒李四', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-19 20:11:54', 'admin', '2024-12-19 20:11:54', '', NULL, '测试员');

-- ----------------------------
-- Table structure for wy_brewery_user_role
-- ----------------------------
DROP TABLE IF EXISTS `wy_brewery_user_role`;
CREATE TABLE `wy_brewery_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '品牌方用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_brewery_user_role
-- ----------------------------
INSERT INTO `wy_brewery_user_role` VALUES (1, 1);
INSERT INTO `wy_brewery_user_role` VALUES (2, 2);

-- ----------------------------
-- Table structure for wy_favorited_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_favorited_beer`;
CREATE TABLE `wy_favorited_beer`  (
  `user_id` int(11) NOT NULL,
  `beer_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`, `beer_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_favorited_beer
-- ----------------------------
INSERT INTO `wy_favorited_beer` VALUES (3, 2);

-- ----------------------------
-- Table structure for wy_favorited_brewery
-- ----------------------------
DROP TABLE IF EXISTS `wy_favorited_brewery`;
CREATE TABLE `wy_favorited_brewery`  (
  `user_id` int(11) NOT NULL,
  `brewery_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`, `brewery_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_favorited_brewery
-- ----------------------------
INSERT INTO `wy_favorited_brewery` VALUES (3, 1);

-- ----------------------------
-- Table structure for wy_goods
-- ----------------------------
DROP TABLE IF EXISTS `wy_goods`;
CREATE TABLE `wy_goods`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NULL DEFAULT NULL COMMENT '品牌方',
  `goods_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '商品名称',
  `goods_cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '图片',
  `specs` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '规格',
  `purchase_method` smallint(6) NULL DEFAULT NULL COMMENT '购买方式 1啤酒币兑换 2返利兑换',
  `redeemed` tinyint(1) NULL DEFAULT 0 COMMENT '是否可兑换 0不可 1可以',
  `redeemed_num` int(11) NULL DEFAULT NULL COMMENT '啤酒币兑换数',
  `goods_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '编号',
  `goods_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '本店售价',
  `market_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '市场售价',
  `stock_num` int(11) NULL DEFAULT 0 COMMENT '库存数量',
  `frozen_num` int(11) NULL DEFAULT 0 COMMENT '冻结数量',
  `on_sale` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '上架 0不上架 1上架',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `goods_sn`(`goods_sn` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '兑换商品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_goods
-- ----------------------------
INSERT INTO `wy_goods` VALUES (1, 1, '燕京U8', 'http://121.37.100.169:9090/profile/upload/2024/12/30/WX20241225-221430@2x_20241230234508A001.png', '2', 2, 0, 20, '1111111', 11.00, 13.00, 120, 3, '1', '', '2024-12-30 23:45:11', '', '2025-02-15 14:46:30', NULL);

-- ----------------------------
-- Table structure for wy_platform_activity
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_activity`;
CREATE TABLE `wy_platform_activity`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activity_type` smallint(6) NOT NULL COMMENT '1定向 2招募',
  `activity_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '活动名称',
  `activity_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '活动描述',
  `activity_status` tinyint(4) NULL DEFAULT NULL COMMENT '0无效 1有效',
  `beer_scope` tinyint(4) NOT NULL DEFAULT 0 COMMENT '活动产品范围：0无限制，1特定产品',
  `beer_id` int(11) NULL DEFAULT NULL COMMENT '活动产品id',
  `activity_target` int(11) NOT NULL COMMENT '活动目标（桶）',
  `activity_reward_type` tinyint(4) NOT NULL COMMENT '奖励方式 1商品，2啤酒币',
  `activity_reward_goods_id` int(11) NULL DEFAULT NULL COMMENT '奖励商品id（activity_reward_type=1）',
  `activity_reward_count` int(11) NOT NULL COMMENT '奖励数量',
  `start_date` datetime NULL DEFAULT NULL COMMENT '活动参与开始日期',
  `end_date` datetime NULL DEFAULT NULL COMMENT '活动参与截至日期',
  `duration` int(11) NULL DEFAULT NULL COMMENT '持续时间(天)，招募类型活动时生效',
  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '活动城市',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '营销活动' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_activity
-- ----------------------------
INSERT INTO `wy_platform_activity` VALUES (1, 2, '铁罐活动（平台）', '扫5罐得10个啤酒币', 1, 1, NULL, 5, 2, NULL, 10, '2025-02-11 00:00:00', '2025-03-10 00:00:00', 30, '呼和浩特', '', '2025-02-11 22:02:20', '', NULL, NULL);
INSERT INTO `wy_platform_activity` VALUES (2, 2, '1罐得2个啤酒币', '扫1罐得2个啤酒币', 1, 1, NULL, 1, 2, NULL, 2, '2025-02-11 00:00:00', '2025-03-10 00:00:00', 30, '呼和浩特', '', '2025-02-11 22:03:26', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_platform_activity_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_activity_beer`;
CREATE TABLE `wy_platform_activity_beer`  (
  `activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `beer_id` int(11) NOT NULL COMMENT '酒款id',
  PRIMARY KEY (`activity_id`, `beer_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '平台活动酒款表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_activity_beer
-- ----------------------------
INSERT INTO `wy_platform_activity_beer` VALUES (1, 2);
INSERT INTO `wy_platform_activity_beer` VALUES (2, 2);

-- ----------------------------
-- Table structure for wy_platform_activity_reward
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_activity_reward`;
CREATE TABLE `wy_platform_activity_reward`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `bar_id` int(11) NOT NULL COMMENT '奖励的门店id',
  `reward_status` tinyint(1) NOT NULL COMMENT '领奖状态',
  `claim_time` datetime NULL DEFAULT NULL COMMENT '领奖时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '平台活动奖励' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_activity_reward
-- ----------------------------
INSERT INTO `wy_platform_activity_reward` VALUES (3, 2, 4, 1, '2025-02-14 00:40:52', '', '2025-02-14 00:40:52', '', '2025-02-14 00:40:52', NULL);

-- ----------------------------
-- Table structure for wy_platform_banner
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_banner`;
CREATE TABLE `wy_platform_banner`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `banner_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'banner名称',
  `banner_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'banner位置',
  `banner_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '图片链接',
  `banner_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '跳转链接',
  `publish_state` tinyint(1) NOT NULL DEFAULT 0 COMMENT '发布状态',
  `show_order` int(11) NOT NULL DEFAULT 1 COMMENT '显示顺序',
  `show_start_time` datetime NULL DEFAULT NULL,
  `show_end_time` datetime NULL DEFAULT NULL,
  `show_count` int(11) NULL DEFAULT 0 COMMENT '曝光量',
  `click_count` int(11) NULL DEFAULT 0 COMMENT '点击量',
  `click_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '点击率',
  `show_region` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '显示地区',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_banner
-- ----------------------------
INSERT INTO `wy_platform_banner` VALUES (1, '第一张', 'homeAD', 'http://ma.zdtap.com/profile/upload/2025/01/07/AD1_20250107011446A003.png', '/pages/activityList/activityDetail?id=1', 1, 1, '2025-01-01 00:00:00', '2025-01-31 00:00:00', 1, 1, 1.00, '呼和浩特', '', '2025-01-07 00:20:05', '', '2025-01-07 01:18:03', NULL);
INSERT INTO `wy_platform_banner` VALUES (2, '第二张', 'homeAD', 'http://ma.zdtap.com/profile/upload/2025/01/07/AD2_20250107011515A004.png', '/pages/activityList/activityDetail?id=2', 1, 2, '2025-01-01 00:00:00', '2025-01-31 00:00:00', 2, 2, 2.00, '呼和浩特', '', '2025-01-07 00:27:10', '', '2025-01-07 01:18:06', NULL);
INSERT INTO `wy_platform_banner` VALUES (3, '第三张', 'homeAD', 'http://ma.zdtap.com/profile/upload/2025/01/07/AD3_20250107011536A005.png', '/pages/activityList/activityDetail?id=3', 1, 3, '2025-01-01 00:00:00', '2025-01-31 00:00:00', 3, 3, 3.00, '呼和浩特', '', '2025-01-07 01:16:29', '', '2025-01-07 01:18:09', NULL);
INSERT INTO `wy_platform_banner` VALUES (4, '首页顶部邀请入驻图片', 'homeJoin', 'http://ma.zdtap.com/profile/upload/2025/01/07/homeJoin_20250107221150A001.jpg', '/pages/login/chooseLogin', 1, 0, NULL, NULL, 0, 0, 0.00, NULL, '', '2025-01-07 22:12:35', '', '2025-02-09 19:39:51', NULL);
INSERT INTO `wy_platform_banner` VALUES (5, '新酒上市', 'quickNav', 'http://ma.zdtap.com/profile/upload/2025/01/20/新酒上市_20250120222815A001.png', NULL, 1, 1, NULL, NULL, 0, 0, 0.00, NULL, '', '2025-01-20 22:28:34', '', NULL, NULL);
INSERT INTO `wy_platform_banner` VALUES (6, '啤酒币入口', 'quickNav', 'http://ma.zdtap.com/profile/upload/2025/01/20/啤酒币入口_20250120223410A002.png', NULL, 1, 2, NULL, NULL, 0, 0, 0.00, NULL, '', '2025-01-20 22:34:35', '', NULL, NULL);
INSERT INTO `wy_platform_banner` VALUES (7, '关注酒厂', 'quickNav', 'http://ma.zdtap.com/profile/upload/2025/01/20/关注酒厂_20250120223531A003.png', NULL, 1, 3, NULL, NULL, 0, 0, 0.00, NULL, '', '2025-01-20 22:35:33', '', NULL, NULL);

-- ----------------------------
-- Table structure for wy_platform_bill_template
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_bill_template`;
CREATE TABLE `wy_platform_bill_template`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '模板id',
  `template_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '模板名称',
  `show_order` int(11) NULL DEFAULT 0 COMMENT '排序',
  `template_type` int(11) NOT NULL COMMENT '模板类型 1图片 2pdf',
  `bar_id` int(11) NOT NULL DEFAULT 0 COMMENT '专属门店id 0表示公共',
  `total_export_count` int(11) NOT NULL DEFAULT 0 COMMENT '导出次数',
  `page_width` double NOT NULL COMMENT '宽度 mm',
  `page_height` double NOT NULL COMMENT '高度 mm',
  `elements` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '元素',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒单套打模板' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_bill_template
-- ----------------------------

-- ----------------------------
-- Table structure for wy_platform_bill_template_export_log
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_bill_template_export_log`;
CREATE TABLE `wy_platform_bill_template_export_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '记录id',
  `template_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '模板id',
  `template_type` int(11) NOT NULL COMMENT '模板类型 1图片 2pdf',
  `bar_id` int(11) NOT NULL DEFAULT 0 COMMENT '门店id',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `template_id`(`template_id` ASC) USING BTREE,
  INDEX `bar_id`(`bar_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '酒单套打模板导出记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_bill_template_export_log
-- ----------------------------

-- ----------------------------
-- Table structure for wy_platform_feature_beer
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_feature_beer`;
CREATE TABLE `wy_platform_feature_beer`  (
  `page_id` int(11) NOT NULL COMMENT '专题id',
  `beer_id` int(11) NOT NULL COMMENT '酒款id',
  `beer_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒款名称',
  `beer_cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '酒款封面'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '专题页酒款表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_feature_beer
-- ----------------------------

-- ----------------------------
-- Table structure for wy_platform_feature_page
-- ----------------------------
DROP TABLE IF EXISTS `wy_platform_feature_page`;
CREATE TABLE `wy_platform_feature_page`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '专题页名称',
  `sub_title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '副标题',
  `page_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `platform_activity_id` int(11) NOT NULL COMMENT '平台活动id',
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '封面图',
  `page_link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '跳转链接',
  `publish_state` tinyint(4) NOT NULL DEFAULT 0 COMMENT '发布状态0未发布 1已发布 2已下架',
  `show_order` int(11) NULL DEFAULT 1 COMMENT '排序规则',
  `show_region` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '显示地区',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `show_count` int(11) NULL DEFAULT 0 COMMENT '曝光量',
  `click_count` int(11) NULL DEFAULT 0 COMMENT '点击量',
  `click_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '点击率',
  `page_content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '专题页内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '专题页' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_platform_feature_page
-- ----------------------------
INSERT INTO `wy_platform_feature_page` VALUES (2, 'TasteRoom 风味屋·风味之旅系列', '探索啤酒风味新边界!', '这是备注', 1, 'http://ma.zdtap.com/profile/upload/2025/02/11/切图 1 (1)_20250211222044A001.png', NULL, 1, 1, '呼和浩特', '', '2025-02-11 22:21:18', '', NULL, NULL, 0, 0, 0.00, NULL);

-- ----------------------------
-- Table structure for wy_redeem_order
-- ----------------------------
DROP TABLE IF EXISTS `wy_redeem_order`;
CREATE TABLE `wy_redeem_order`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brewery_id` int(11) NOT NULL,
  `order_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `goods_id` int(11) NULL DEFAULT NULL,
  `goods_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `user_id` int(11) NULL DEFAULT NULL,
  `beer_coin_num` int(11) NULL DEFAULT NULL,
  `platform_coin_num` int(11) NULL DEFAULT NULL,
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `contact_persion` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `contact_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL,
  `order_status` tinyint(4) NULL DEFAULT NULL,
  `shipping_status` tinyint(4) NULL DEFAULT NULL,
  `paid_time` datetime NULL DEFAULT NULL,
  `shipping_time` datetime NULL DEFAULT NULL,
  `tracking_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '快递单号',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注',
  `redeem_num` int(11) NULL DEFAULT 1 COMMENT '兑换数量',
  `bar_id` int(11) NULL DEFAULT NULL COMMENT '门店id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '兑换订单' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_redeem_order
-- ----------------------------
INSERT INTO `wy_redeem_order` VALUES (2, 1, '2025-02-15 14:14:574099', 1, '燕京U8', 3, 11, NULL, '呼和浩特', '18004802730', '18004802730', 1, NULL, '2025-02-15 14:14:57', NULL, NULL, '', '2025-02-15 14:14:57', '', '2025-02-15 14:14:57', NULL, 1, 4);
INSERT INTO `wy_redeem_order` VALUES (3, 1, '2025-02-15 14:40:446657', 1, '燕京U8', 3, 11, NULL, '呼和浩特', '18004802730', '18004802730', 1, NULL, '2025-02-15 14:40:45', NULL, NULL, '', '2025-02-15 14:40:45', '', '2025-02-15 14:40:45', NULL, 1, 4);
INSERT INTO `wy_redeem_order` VALUES (4, 1, '2025-02-15 14:46:298057', 1, '燕京U8', 3, 11, NULL, '呼和浩特', '18004802730', '18004802730', 1, NULL, '2025-02-15 14:46:30', NULL, NULL, '', '2025-02-15 14:46:30', '', '2025-02-15 14:46:30', NULL, 1, 4);

-- ----------------------------
-- Table structure for wy_wechat_user
-- ----------------------------
DROP TABLE IF EXISTS `wy_wechat_user`;
CREATE TABLE `wy_wechat_user`  (
  `open_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '微信openid',
  `app_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '小程序appid',
  `nickname` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '用户昵称',
  `avatar` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '头像',
  `create_time` datetime NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  PRIMARY KEY (`open_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '微信用户' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of wy_wechat_user
-- ----------------------------
INSERT INTO `wy_wechat_user` VALUES ('o79Dx6-Ha9r7U_luLtzTxCMG8uNg', 'wxafc7be9f3ada44a0', NULL, NULL, '2025-01-05 11:27:02', NULL, NULL, NULL, NULL);
INSERT INTO `wy_wechat_user` VALUES ('o79Dx6_VDW6kNaW7fyCzQDnZ9j68', 'wxafc7be9f3ada44a0', NULL, NULL, '2025-01-05 19:48:23', NULL, NULL, NULL, NULL);
INSERT INTO `wy_wechat_user` VALUES ('o79Dx6_un273OjTgNoIaN98HNajw', 'wxafc7be9f3ada44a0', NULL, NULL, '2025-02-09 21:21:55', NULL, NULL, NULL, NULL);
INSERT INTO `wy_wechat_user` VALUES ('o79Dx6yIk4BS6CKcLbWg1dU9qlMs', 'wxafc7be9f3ada44a0', NULL, NULL, '2025-01-07 20:02:33', NULL, NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
